function SROUT = srElettra2_9_4_beta


% Elettra2.0 Storage ring lattice definition file for AT
% High betax at long straights

%global THERING

% energy =  2.4e9;  % dipende dall'energia anello
% disp(['** Loading lattice in ' mfilename])

% L0 = 259.200;
% C0 = 299792458;       % speed of light [m/s]
% HarmNumber = 432;
% HarmNumber*C0/L0, HarmNumber = 179875474.8
%% Cavity ------------------------------------------------
% rf = atrfcavity('RF' , 0 , 0.5e6 , HarmNumber*C0/L0, HarmNumber , energy,'CavityPass');
rf = atrfcavity('RF' , 0 , 0.5e6 , 179875474.8 , 2.4e9,'CavityPass');
%% Drifts ------------------------------------------------

ll          = atdrift('ll',     2.3980, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures' , [20  4]*1e-3);
ss          = atdrift('ss',     0.63000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures' , [20  4]*1e-3);
ss_apetx          = atdrift('ss',     0.63000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'RApertures' , [-20 20 -2.5 2.5]*1e-3);
ll_s        = atdrift('ll_s',   2,       'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'RApertures', [-20 20 -2.5 2.5]*1e-3);
ll_scw      = atdrift('ll_scw', 2.3980, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [30 5]*1e-3);
dru        = atdrift('dru',     1.38, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3);
invacu_short  = {dru ll_s dru};


dr1 =  atdrift('dr2',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
dr2 =  atdrift('dr3',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
dr3 =  atdrift('dr4',    0.05000000, 'EApertures', [13.5 8.5]*1e-3); 
dr4a =  atdrift('dr4a',  0.01700000, 'EApertures', [13.5 8.5]*1e-3);
dr4 =  atdrift('dr5',    0.09300000, 'EApertures', [13.5 8.5]*1e-3); 
dr5 =  atdrift('dr6',    0.13000000, 'EApertures', [13.5 8.5]*1e-3); 
dr6 =  atdrift('dr9',    0.07000000, 'EApertures', [13.5 8.5]*1e-3); 
dr7 =  atdrift('dr14',   0.18000000, 'EApertures', [13.5 8.5]*1e-3); 
dr8 =  atdrift('dr17',   0.03300000, 'EApertures', [13.5 8.5]*1e-3);
dr9 =  atdrift('dr18',   0.02700000, 'EApertures', [13.5 8.5]*1e-3); 
dr10 =  atdrift('dr19',  0.04000000, 'EApertures', [13.5 8.5]*1e-3); 
dr11 =  atdrift('dr23',  0.09500000, 'EApertures', [13.5 8.5]*1e-3); 
dr12 =  atdrift('dr25',  0.05200000, 'EApertures', [13.5 8.5]*1e-3); 
dr13 =  atdrift('dr26',  0.10500000, 'EApertures', [13.5 8.5]*1e-3); 
dr14 =  atdrift('dr28',  0.02500000, 'EApertures', [13.5 8.5]*1e-3); 
dr15 =  atdrift('dr29',  0.07200000, 'EApertures', [13.5 8.5]*1e-3); 
dr16 =  atdrift('dr30',  0.02000000, 'EApertures', [13.5 8.5]*1e-3); 
dr17 =  atdrift('dr35',  0.14200000, 'EApertures', [13.5 8.5]*1e-3); 
dr18 =  atdrift('dr41',  0.08000000, 'EApertures', [13.5 8.5]*1e-3); 
dr19 =  atdrift('dr43',  0.06700000, 'EApertures', [13.5 8.5]*1e-3); 
dr20 =  atdrift('dr44',  0.07800000, 'EApertures', [13.5 8.5]*1e-3); 
dr21 =  atdrift('dr45',  0.17000000, 'EApertures', [13.5 8.5]*1e-3); 
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 


%% BPMs ------------------------------------------------
mon   = atmonitor('bpm','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
cmon           = {drbpm mon drbpm};

%% Marker ------------------------------------------------
rfs3            = atmarker('rfs3',      'IdentityPass');
rfs4            = atmarker('rfs4',      'IdentityPass');
rfs9            = atmarker('rfs9',      'IdentityPass');
rfs10            = atmarker('rfs10',      'IdentityPass');

s01_2           = atmarker('s01_2',     'IdentityPass'); %----Nanospectr/NanoESCA
s02_2           = atmarker('s02_2',     'IdentityPass'); %----1-Crab Cavities.........2.SuperESCA/ESCAmicroscopy
s03_2           = atmarker('s03_2',     'IdentityPass'); %----1-Spectroµ/BaDElPh
s04_2           = atmarker('s04_2',     'IdentityPass'); %----1-MOST
s05_2           = atmarker('s05_2',     'IdentityPass'); %----1-µXRD
s06_2           = atmarker('s06_2',     'IdentityPass'); %----1-CDI
s07_2           = atmarker('s07_2',     'IdentityPass'); %----1-µXRF
s08_2           = atmarker('s08_2',     'IdentityPass'); %----1-BACH/VUV
s09_2           = atmarker('s09_2',     'IdentityPass'); %----1-APE LE/HE
s10_2           = atmarker('s10_2',     'IdentityPass'); %----1-HB-SAXS
s11_2           = atmarker('s11_2',     'IdentityPass'); %----1-SCW:SAXS/MCX/Xpress
s12_2           = atmarker('s12_2',     'IdentityPass'); %----1-Injection

s01_1           = atmarker('s01_1',     'IdentityPass');
s02_1           = atmarker('s02_1',     'IdentityPass'); %----1-TwinMic
s03_1           = atmarker('s03_1',     'IdentityPass'); %----1-RF3
s04_1           = atmarker('s04_1',     'IdentityPass'); %----1-RF4
s05_1           = atmarker('s05_1',     'IdentityPass'); %----1-XRD1
s06_1           = atmarker('s06_1',     'IdentityPass'); %----1-XAS-mW
s07_1           = atmarker('s07_1',     'IdentityPass'); %----1-ALOISA/NAP-XPS.
s08_1           = atmarker('s08_1',     'IdentityPass'); %----1-
s09_1           = atmarker('s09_1',     'IdentityPass'); %----1-RF9
s10_1           = atmarker('s10_1',     'IdentityPass'); %----1-RF10
s11_1           = atmarker('s11_1',     'IdentityPass'); %----1-APE-TX
s12_1           = atmarker('s12_1',     'IdentityPass');
gs              = atmarker('GS','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');
ge              = atmarker('GE','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');

SectionStart    = atmarker('SectionStart','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');
SectionEnd      = atmarker('SectionEnd','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');


%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;
dip2 = bf2ca;
dip3 = {b1};
dip4 = {b1};
dip5 = bf2ca;
dip6 = bf3ca;

BSUP = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off 
% BSUP = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 


%% 'pure' corrector
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Cell 1 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S01_01      = atmultipole('SD_S01_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_02      = atmultipole('SD_S01_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_03      = atmultipole('SD_S01_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_04      = atmultipole('SD_S01_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_05      = atmultipole('SD_S01_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_06      = atmultipole('SD_S01_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_07      = atmultipole('SD_S01_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_08      = atmultipole('SD_S01_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_09      = atmultipole('SD_S01_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_10      = atmultipole('SD_S01_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_01      = atmultipole('SF_S01_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_02      = atmultipole('SF_S01_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_03      = atmultipole('SF_S01_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_04      = atmultipole('SF_S01_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_05      = atmultipole('SF_S01_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_06      = atmultipole('SF_S01_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_01      = atmultipole('SH_S01_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_02      = atmultipole('SH_S01_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_03      = atmultipole('SH_S01_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_04      = atmultipole('SH_S01_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S01_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S01_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S01_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S01_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads

QF_S01_01   = atquadrupole('qf_S01_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S01_02   = atquadrupole('qf_S01_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S01_03   = atquadrupole('qf_S01_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S01_04   = atquadrupole('qf_S01_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S01_02   = atquadrupole('qd_S01_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S01_03   = atquadrupole('qd_S01_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S01_01      = atrbend('QAB_S01_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_02      = atrbend('QAB_S01_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_03      = atrbend('QAB_S01_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_04      = atrbend('QAB_S01_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_05      = atrbend('QAB_S01_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_06      = atrbend('QAB_S01_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_07      = atrbend('QAB_S01_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_08      = atrbend('QAB_S01_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s01_g1 = [ {SF_S01_01} {dr1} cmon {dr2} {QAB_S01_01} {dr3} {SD_S01_01} {dr4a} cmon {dr4} ];
subcell_s01_g2 = [ {dr5} {SD_S01_02} {dr1} cmon {dr2} {QAB_S01_02} {dr6} {SF_S01_02} {dr3} {QAB_S01_03} {dr2} cmon {dr1} {SD_S01_03} {dr5} ];
subcell_s01_g3 = [ {dr7} {SD_S01_04} {dr3} {QAB_S01_04} {dr3} {SF_S01_03} {dr8} cmon {dr9} {OCT_S01_01} {dr10} {QF_S01_01} {dr3} {SD_S01_05} {dr5} ];
subcell_s01_g4 = [ {dr6} {dr11} {OCT_S01_02} {dr8} cmon {dr12} {SH_S01_01} {dr13} {QF_S01_02} {dr6} {dr14} {SH_S01_02} {dr15} {QD_S01_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s01_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S01_03} {dr15} {SH_S01_03} {dr14} {dr6} {QF_S01_03} {dr13} {SH_S01_04} {dr18} {dr14} {OCT_S01_03} {dr19} cmon {dr20} ];
subcell_s01_g6 = [ {dr21} {SD_S01_06} {dr3} {QF_S01_04} {dr10} {OCT_S01_04} {dr9} cmon {dr8} {SF_S01_04} {dr3} {QAB_S01_05} {dr3} {SD_S01_07} {dr19} cmon {dr4} ];
subcell_s01_g7 = [ {dr5} {SD_S01_08} {dr1} cmon {dr2} {QAB_S01_06} {dr3} {SF_S01_05} {dr6} {QAB_S01_07} {dr2} cmon {dr1} {SD_S01_09} {dr5}];
subcell_s01_g8 = [ {dr5} {SD_S01_10} {dr3} {QAB_S01_08} {dr2} cmon {dr1} {SF_S01_06}];


cell_s01_s_to_l  = [ {gs} subcell_s01_g1 {ge} BSUP {gs} subcell_s01_g2 {ge} dip2 {gs} subcell_s01_g3 {ge} dip3 {gs} subcell_s01_g4 {ge} ];
cell_s01_l_to_s  = [ {gs} subcell_s01_g5 {ge} dip4 {gs} subcell_s01_g6 {ge} dip5 {gs} subcell_s01_g7 {ge} dip6 {gs} subcell_s01_g8 {ge} ];

%% Cell 2 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S02_01      = atmultipole('SD_S02_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_02      = atmultipole('SD_S02_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_03      = atmultipole('SD_S02_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_04      = atmultipole('SD_S02_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_05      = atmultipole('SD_S02_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_06      = atmultipole('SD_S02_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_07      = atmultipole('SD_S02_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_08      = atmultipole('SD_S02_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_09      = atmultipole('SD_S02_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_10      = atmultipole('SD_S02_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_01      = atmultipole('SF_S02_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_02      = atmultipole('SF_S02_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_03      = atmultipole('SF_S02_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_04      = atmultipole('SF_S02_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_05      = atmultipole('SF_S02_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_06      = atmultipole('SF_S02_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_01      = atmultipole('SH_S02_01', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_02      = atmultipole('SH_S02_02', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_03      = atmultipole('SH_S02_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_04      = atmultipole('SH_S02_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S02_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S02_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S02_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S02_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S02_01   = atquadrupole('qf_S02_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S02_02   = atquadrupole('qf_S02_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S02_03   = atquadrupole('qf_S02_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S02_04   = atquadrupole('qf_S02_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S02_02   = atquadrupole('qd_S12_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S02_03   = atquadrupole('qd_S12_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S02_01      = atrbend('QAB_S02_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_02      = atrbend('QAB_S02_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_03      = atrbend('QAB_S02_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_04      = atrbend('QAB_S02_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_05      = atrbend('QAB_S02_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_06      = atrbend('QAB_S02_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_07      = atrbend('QAB_S02_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_08      = atrbend('QAB_S02_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s02_g1 = [ {SF_S02_01} {dr1} cmon {dr2} {QAB_S02_01} {dr3} {SD_S02_01} {dr4a} cmon {dr4} ];
subcell_s02_g2 = [ {dr5} {SD_S02_02} {dr1} cmon {dr2} {QAB_S02_02} {dr6} {SF_S02_02} {dr3} {QAB_S02_03} {dr2} cmon {dr1} {SD_S02_03} {dr5} ];
subcell_s02_g3 = [ {dr7} {SD_S02_04} {dr3} {QAB_S02_04} {dr3} {SF_S02_03} {dr8} cmon {dr9} {OCT_S02_01} {dr10} {QF_S02_01} {dr3} {SD_S02_05} {dr5} ];
subcell_s02_g4 = [ {dr6} {dr11} {OCT_S02_02} {dr8} cmon {dr12} {SH_S02_01} {dr13} {QF_S02_02} {dr6} {dr14} {SH_S02_02} {dr15} {QD_S02_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s02_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S02_03} {dr15} {SH_S02_03} {dr14} {dr6} {QF_S02_03} {dr13} {SH_S02_04} {dr18} {dr14} {OCT_S02_03} {dr19} cmon {dr20} ];
subcell_s02_g6 = [ {dr21} {SD_S02_06} {dr3} {QF_S02_04} {dr10} {OCT_S02_04} {dr9} cmon {dr8} {SF_S02_04} {dr3} {QAB_S02_05} {dr3} {SD_S02_07} {dr19} cmon {dr4} ];
subcell_s02_g7 = [ {dr5} {SD_S02_08} {dr1} cmon {dr2} {QAB_S02_06} {dr3} {SF_S02_05} {dr6} {QAB_S02_07} {dr2} cmon {dr1} {SD_S02_09} {dr5}];
subcell_s02_g8 = [ {dr5} {SD_S02_10} {dr3} {QAB_S02_08} {dr2} cmon {dr1} {SF_S02_06}];


cell_s02_s_to_l  = [ {gs} subcell_s02_g1 {ge} BSUP {gs} subcell_s02_g2 {ge} dip2 {gs} subcell_s02_g3 {ge} dip3 {gs} subcell_s02_g4 {ge} ];
cell_s02_l_to_s  = [ {gs} subcell_s02_g5 {ge} dip4 {gs} subcell_s02_g6 {ge} dip5 {gs} subcell_s02_g7 {ge} dip6 {gs} subcell_s02_g8 {ge} ];

%% Cell 3 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S03_01      = atmultipole('SD_S03_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_02      = atmultipole('SD_S03_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_03      = atmultipole('SD_S03_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_04      = atmultipole('SD_S03_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_05      = atmultipole('SD_S03_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_06      = atmultipole('SD_S03_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_07      = atmultipole('SD_S03_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_08      = atmultipole('SD_S03_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_09      = atmultipole('SD_S03_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_10      = atmultipole('SD_S03_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_01      = atmultipole('SF_S03_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_02      = atmultipole('SF_S03_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_03      = atmultipole('SF_S03_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_04      = atmultipole('SF_S03_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_05      = atmultipole('SF_S03_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_06      = atmultipole('SF_S03_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_01      = atmultipole('SH_S03_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_02      = atmultipole('SH_S03_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_03      = atmultipole('SH_S03_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_04      = atmultipole('SH_S03_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S03_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S03_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S03_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S03_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S03_01   = atquadrupole('qf_S03_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S03_02   = atquadrupole('qf_S03_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S03_03   = atquadrupole('qf_S03_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S03_04   = atquadrupole('qf_S03_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S03_02   = atquadrupole('qd_S03_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S03_03   = atquadrupole('qd_S03_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S03_01      = atrbend('QAB_S03_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_02      = atrbend('QAB_S03_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_03      = atrbend('QAB_S03_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_04      = atrbend('QAB_S03_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_05      = atrbend('QAB_S03_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_06      = atrbend('QAB_S03_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_07      = atrbend('QAB_S03_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_08      = atrbend('QAB_S03_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s03_g1 = [ {SF_S03_01} {dr1} cmon {dr2} {QAB_S03_01} {dr3} {SD_S03_01} {dr4a} cmon {dr4} ];
subcell_s03_g2 = [ {dr5} {SD_S03_02} {dr1} cmon {dr2} {QAB_S03_02} {dr6} {SF_S03_02} {dr3} {QAB_S03_03} {dr2} cmon {dr1} {SD_S03_03} {dr5} ];
subcell_s03_g3 = [ {dr7} {SD_S03_04} {dr3} {QAB_S03_04} {dr3} {SF_S03_03} {dr8} cmon {dr9} {OCT_S03_01} {dr10} {QF_S03_01} {dr3} {SD_S03_05} {dr5} ];
subcell_s03_g4 = [ {dr6} {dr11} {OCT_S03_02} {dr8} cmon {dr12} {SH_S03_01} {dr13} {QF_S03_02} {dr6} {dr14} {SH_S03_02} {dr15} {QD_S03_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s03_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S03_03} {dr15} {SH_S03_03} {dr14} {dr6} {QF_S03_03} {dr13} {SH_S03_04} {dr18} {dr14} {OCT_S03_03} {dr19} cmon {dr20} ];
subcell_s03_g6 = [ {dr21} {SD_S03_06} {dr3} {QF_S03_04} {dr10} {OCT_S03_04} {dr9} cmon {dr8} {SF_S03_04} {dr3} {QAB_S03_05} {dr3} {SD_S03_07} {dr19} cmon {dr4} ];
subcell_s03_g7 = [ {dr5} {SD_S03_08} {dr1} cmon {dr2} {QAB_S03_06} {dr3} {SF_S03_05} {dr6} {QAB_S03_07} {dr2} cmon {dr1} {SD_S03_09} {dr5}];
subcell_s03_g8 = [ {dr5} {SD_S03_10} {dr3} {QAB_S03_08} {dr2} cmon {dr1} {SF_S03_06}];

cell_s03_s_to_l  = [ {gs} subcell_s03_g1 {ge} BSUP {gs} subcell_s03_g2 {ge} dip2 {gs} subcell_s03_g3 {ge} dip3 {gs} subcell_s03_g4 {ge} ];
cell_s03_l_to_s  = [ {gs} subcell_s03_g5 {ge} dip4 {gs} subcell_s03_g6 {ge} dip5 {gs} subcell_s03_g7 {ge} dip6 {gs} subcell_s03_g8 {ge} ];

%% Cell 4 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S04_01      = atmultipole('SD_S04_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_02      = atmultipole('SD_S04_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_03      = atmultipole('SD_S04_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_04      = atmultipole('SD_S04_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_05      = atmultipole('SD_S04_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_06      = atmultipole('SD_S04_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_07      = atmultipole('SD_S04_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_08      = atmultipole('SD_S04_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_09      = atmultipole('SD_S04_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_10      = atmultipole('SD_S04_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_01      = atmultipole('SF_S04_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_02      = atmultipole('SF_S04_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_03      = atmultipole('SF_S04_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_04      = atmultipole('SF_S04_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_05      = atmultipole('SF_S04_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_06      = atmultipole('SF_S04_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_01      = atmultipole('SH_S04_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_02      = atmultipole('SH_S04_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_03      = atmultipole('SH_S04_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_04      = atmultipole('SH_S04_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S04_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S04_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S04_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S04_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S04_01   = atquadrupole('qf_S04_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S04_02   = atquadrupole('qf_S04_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S04_03   = atquadrupole('qf_S04_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S04_04   = atquadrupole('qf_S04_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S04_02   = atquadrupole('qd_S04_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S04_03   = atquadrupole('qd_S04_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S04_01      = atrbend('QAB_S04_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_02      = atrbend('QAB_S04_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_03      = atrbend('QAB_S04_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_04      = atrbend('QAB_S04_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_05      = atrbend('QAB_S04_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_06      = atrbend('QAB_S04_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_07      = atrbend('QAB_S04_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_08      = atrbend('QAB_S04_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s04_g1 = [ {SF_S04_01} {dr1} cmon {dr2} {QAB_S04_01} {dr3} {SD_S04_01} {dr4a} cmon {dr4} ];
subcell_s04_g2 = [ {dr5} {SD_S04_02} {dr1} cmon {dr2} {QAB_S04_02} {dr6} {SF_S04_02} {dr3} {QAB_S04_03} {dr2} cmon {dr1} {SD_S04_03} {dr5} ];
subcell_s04_g3 = [ {dr7} {SD_S04_04} {dr3} {QAB_S04_04} {dr3} {SF_S04_03} {dr8} cmon {dr9} {OCT_S04_01} {dr10} {QF_S04_01} {dr3} {SD_S04_05} {dr5} ];
subcell_s04_g4 = [ {dr6} {dr11} {OCT_S04_02} {dr8} cmon {dr12} {SH_S04_01} {dr13} {QF_S04_02} {dr6} {dr14} {SH_S04_02} {dr15} {QD_S04_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s04_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S04_03} {dr15} {SH_S04_03} {dr14} {dr6} {QF_S04_03} {dr13} {SH_S04_04} {dr18} {dr14} {OCT_S04_03} {dr19} cmon {dr20} ];
subcell_s04_g6 = [ {dr21} {SD_S04_06} {dr3} {QF_S04_04} {dr10} {OCT_S04_04} {dr9} cmon {dr8} {SF_S04_04} {dr3} {QAB_S04_05} {dr3} {SD_S04_07} {dr19} cmon {dr4} ];
subcell_s04_g7 = [ {dr5} {SD_S04_08} {dr1} cmon {dr2} {QAB_S04_06} {dr3} {SF_S04_05} {dr6} {QAB_S04_07} {dr2} cmon {dr1} {SD_S04_09} {dr5}];
subcell_s04_g8 = [ {dr5} {SD_S04_10} {dr3} {QAB_S04_08} {dr2} cmon {dr1} {SF_S04_06}];


cell_s04_s_to_l  = [ {gs} subcell_s04_g1 {ge} BSUP {gs} subcell_s04_g2 {ge} dip2 {gs} subcell_s04_g3 {ge} dip3 {gs} subcell_s04_g4 {ge} ];
cell_s04_l_to_s  = [ {gs} subcell_s04_g5 {ge} dip4 {gs} subcell_s04_g6 {ge} dip5 {gs} subcell_s04_g7 {ge} dip6 {gs} subcell_s04_g8 {ge} ];

%% Cell 5 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S05_01      = atmultipole('SD_S05_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_02      = atmultipole('SD_S05_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_03      = atmultipole('SD_S05_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_04      = atmultipole('SD_S05_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_05      = atmultipole('SD_S05_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_06      = atmultipole('SD_S05_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_07      = atmultipole('SD_S05_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_08      = atmultipole('SD_S05_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_09      = atmultipole('SD_S05_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_10      = atmultipole('SD_S05_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_01      = atmultipole('SF_S05_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_02      = atmultipole('SF_S05_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_03      = atmultipole('SF_S05_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_04      = atmultipole('SF_S05_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_05      = atmultipole('SF_S05_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_06      = atmultipole('SF_S05_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_01      = atmultipole('SH_S05_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_02      = atmultipole('SH_S05_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_03      = atmultipole('SH_S05_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_04      = atmultipole('SH_S05_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S05_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S05_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S05_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S05_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S05_01   = atquadrupole('qf_S05_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S05_02   = atquadrupole('qf_S05_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S05_03   = atquadrupole('qf_S05_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S05_04   = atquadrupole('qf_S05_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S05_02   = atquadrupole('qd_S05_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S05_03   = atquadrupole('qd_S05_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S05_01      = atrbend('QAB_S05_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_02      = atrbend('QAB_S05_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_03      = atrbend('QAB_S05_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_04      = atrbend('QAB_S05_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_05      = atrbend('QAB_S05_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_06      = atrbend('QAB_S05_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_07      = atrbend('QAB_S05_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_08      = atrbend('QAB_S05_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s05_g1 = [ {SF_S05_01} {dr1} cmon {dr2} {QAB_S05_01} {dr3} {SD_S05_01} {dr4a} cmon {dr4} ];
subcell_s05_g2 = [ {dr5} {SD_S05_02} {dr1} cmon {dr2} {QAB_S05_02} {dr6} {SF_S05_02} {dr3} {QAB_S05_03} {dr2} cmon {dr1} {SD_S05_03} {dr5} ];
subcell_s05_g3 = [ {dr7} {SD_S05_04} {dr3} {QAB_S05_04} {dr3} {SF_S05_03} {dr8} cmon {dr9} {OCT_S05_01} {dr10} {QF_S05_01} {dr3} {SD_S05_05} {dr5} ];
subcell_s05_g4 = [ {dr6} {dr11} {OCT_S05_02} {dr8} cmon {dr12} {SH_S05_01} {dr13} {QF_S05_02} {dr6} {dr14} {SH_S05_02} {dr15} {QD_S05_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s05_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S05_03} {dr15} {SH_S05_03} {dr14} {dr6} {QF_S05_03} {dr13} {SH_S05_04} {dr18} {dr14} {OCT_S05_03} {dr19} cmon {dr20} ];
subcell_s05_g6 = [ {dr21} {SD_S05_06} {dr3} {QF_S05_04} {dr10} {OCT_S05_04} {dr9} cmon {dr8} {SF_S05_04} {dr3} {QAB_S05_05} {dr3} {SD_S05_07} {dr19} cmon {dr4} ];
subcell_s05_g7 = [ {dr5} {SD_S05_08} {dr1} cmon {dr2} {QAB_S05_06} {dr3} {SF_S05_05} {dr6} {QAB_S05_07} {dr2} cmon {dr1} {SD_S05_09} {dr5}];
subcell_s05_g8 = [ {dr5} {SD_S05_10} {dr3} {QAB_S05_08} {dr2} cmon {dr1} {SF_S05_06}];


cell_s05_s_to_l  = [ {gs} subcell_s05_g1 {ge} BSUP {gs} subcell_s05_g2 {ge} dip2 {gs} subcell_s05_g3 {ge} dip3 {gs} subcell_s05_g4 {ge} ];
cell_s05_l_to_s  = [ {gs} subcell_s05_g5 {ge} dip4 {gs} subcell_s05_g6 {ge} dip5 {gs} subcell_s05_g7 {ge} dip6 {gs} subcell_s05_g8 {ge} ];

%% Cell 6 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S06_01      = atmultipole('SD_S06_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_02      = atmultipole('SD_S06_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_03      = atmultipole('SD_S06_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_04      = atmultipole('SD_S06_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_05      = atmultipole('SD_S06_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_06      = atmultipole('SD_S06_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_07      = atmultipole('SD_S06_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_08      = atmultipole('SD_S06_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_09      = atmultipole('SD_S06_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_10      = atmultipole('SD_S06_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_01      = atmultipole('SF_S06_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_02      = atmultipole('SF_S06_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_03      = atmultipole('SF_S06_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_04      = atmultipole('SF_S06_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_05      = atmultipole('SF_S06_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_06      = atmultipole('SF_S06_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_01      = atmultipole('SH_S06_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_02      = atmultipole('SH_S06_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_03      = atmultipole('SH_S06_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_04      = atmultipole('SH_S06_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S06_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S06_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S06_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S06_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S06_01   = atquadrupole('qf_S06_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S06_02   = atquadrupole('qf_S06_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S06_03   = atquadrupole('qf_S06_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S06_04   = atquadrupole('qf_S06_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S06_02   = atquadrupole('qd_S06_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S06_03   = atquadrupole('qd_S06_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S06_01      = atrbend('QAB_S06_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_02      = atrbend('QAB_S06_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_03      = atrbend('QAB_S06_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_04      = atrbend('QAB_S06_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_05      = atrbend('QAB_S06_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_06      = atrbend('QAB_S06_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_07      = atrbend('QAB_S06_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_08      = atrbend('QAB_S06_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s06_g1 = [ {SF_S06_01} {dr1} cmon {dr2} {QAB_S06_01} {dr3} {SD_S06_01} {dr4a} cmon {dr4} ];
subcell_s06_g2 = [ {dr5} {SD_S06_02} {dr1} cmon {dr2} {QAB_S06_02} {dr6} {SF_S06_02} {dr3} {QAB_S06_03} {dr2} cmon {dr1} {SD_S06_03} {dr5} ];
subcell_s06_g3 = [ {dr7} {SD_S06_04} {dr3} {QAB_S06_04} {dr3} {SF_S06_03} {dr8} cmon {dr9} {OCT_S06_01} {dr10} {QF_S06_01} {dr3} {SD_S06_05} {dr5} ];
subcell_s06_g4 = [ {dr6} {dr11} {OCT_S06_02} {dr8} cmon {dr12} {SH_S06_01} {dr13} {QF_S06_02} {dr6} {dr14} {SH_S06_02} {dr15} {QD_S06_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s06_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S06_03} {dr15} {SH_S06_03} {dr14} {dr6} {QF_S06_03} {dr13} {SH_S06_04} {dr18} {dr14} {OCT_S06_03} {dr19} cmon {dr20} ];
subcell_s06_g6 = [ {dr21} {SD_S06_06} {dr3} {QF_S06_04} {dr10} {OCT_S06_04} {dr9} cmon {dr8} {SF_S06_04} {dr3} {QAB_S06_05} {dr3} {SD_S06_07} {dr19} cmon {dr4} ];
subcell_s06_g7 = [ {dr5} {SD_S06_08} {dr1} cmon {dr2} {QAB_S06_06} {dr3} {SF_S06_05} {dr6} {QAB_S06_07} {dr2} cmon {dr1} {SD_S06_09} {dr5}];
subcell_s06_g8 = [ {dr5} {SD_S06_10} {dr3} {QAB_S06_08} {dr2} cmon {dr1} {SF_S06_06}];


cell_s06_s_to_l  = [ {gs} subcell_s06_g1 {ge} BSUP {gs} subcell_s06_g2 {ge} dip2 {gs} subcell_s06_g3 {ge} dip3 {gs} subcell_s06_g4 {ge} ];
cell_s06_l_to_s  = [ {gs} subcell_s06_g5 {ge} dip4 {gs} subcell_s06_g6 {ge} dip5 {gs} subcell_s06_g7 {ge} dip6 {gs} subcell_s06_g8 {ge} ];

%% Cell 7 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S07_01      = atmultipole('SD_S07_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_02      = atmultipole('SD_S07_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_03      = atmultipole('SD_S07_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_04      = atmultipole('SD_S07_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_05      = atmultipole('SD_S07_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_06      = atmultipole('SD_S07_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_07      = atmultipole('SD_S07_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_08      = atmultipole('SD_S07_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_09      = atmultipole('SD_S07_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_10      = atmultipole('SD_S07_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_01      = atmultipole('SF_S07_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_02      = atmultipole('SF_S07_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_03      = atmultipole('SF_S07_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_04      = atmultipole('SF_S07_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_05      = atmultipole('SF_S07_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_06      = atmultipole('SF_S07_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_01      = atmultipole('SH_S07_01', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_02      = atmultipole('SH_S07_02', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_03      = atmultipole('SH_S07_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_04      = atmultipole('SH_S07_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S07_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S07_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S07_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S07_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S07_01   = atquadrupole('qf_S07_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S07_02   = atquadrupole('qf_S07_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S07_03   = atquadrupole('qf_S07_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S07_04   = atquadrupole('qf_S07_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S07_02   = atquadrupole('qd_S07_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S07_03   = atquadrupole('qd_S07_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S07_01      = atrbend('QAB_S07_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_02      = atrbend('QAB_S07_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_03      = atrbend('QAB_S07_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_04      = atrbend('QAB_S07_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_05      = atrbend('QAB_S07_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_06      = atrbend('QAB_S07_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_07      = atrbend('QAB_S07_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_08      = atrbend('QAB_S07_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s07_g1 = [ {SF_S07_01} {dr1} cmon {dr2} {QAB_S07_01} {dr3} {SD_S07_01} {dr4a} cmon {dr4} ];
subcell_s07_g2 = [ {dr5} {SD_S07_02} {dr1} cmon {dr2} {QAB_S07_02} {dr6} {SF_S07_02} {dr3} {QAB_S07_03} {dr2} cmon {dr1} {SD_S07_03} {dr5} ];
subcell_s07_g3 = [ {dr7} {SD_S07_04} {dr3} {QAB_S07_04} {dr3} {SF_S07_03} {dr8} cmon {dr9} {OCT_S07_01} {dr10} {QF_S07_01} {dr3} {SD_S07_05} {dr5} ];
subcell_s07_g4 = [ {dr6} {dr11} {OCT_S07_02} {dr8} cmon {dr12} {SH_S07_01} {dr13} {QF_S07_02} {dr6} {dr14} {SH_S07_02} {dr15} {QD_S07_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s07_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S07_03} {dr15} {SH_S07_03} {dr14} {dr6} {QF_S07_03} {dr13} {SH_S07_04} {dr18} {dr14} {OCT_S07_03} {dr19} cmon {dr20} ];
subcell_s07_g6 = [ {dr21} {SD_S07_06} {dr3} {QF_S07_04} {dr10} {OCT_S07_04} {dr9} cmon {dr8} {SF_S07_04} {dr3} {QAB_S07_05} {dr3} {SD_S07_07} {dr19} cmon {dr4} ];
subcell_s07_g7 = [ {dr5} {SD_S07_08} {dr1} cmon {dr2} {QAB_S07_06} {dr3} {SF_S07_05} {dr6} {QAB_S07_07} {dr2} cmon {dr1} {SD_S07_09} {dr5}];
subcell_s07_g8 = [ {dr5} {SD_S07_10} {dr3} {QAB_S07_08} {dr2} cmon {dr1} {SF_S07_06}];


cell_s07_s_to_l  = [ {gs} subcell_s07_g1 {ge} BSUP {gs} subcell_s07_g2 {ge} dip2 {gs} subcell_s07_g3 {ge} dip3 {gs} subcell_s07_g4 {ge} ];
cell_s07_l_to_s  = [ {gs} subcell_s07_g5 {ge} dip4 {gs} subcell_s07_g6 {ge} dip5 {gs} subcell_s07_g7 {ge} dip6 {gs} subcell_s07_g8 {ge} ];

%% Cell 8 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S08_01      = atmultipole('SD_S08_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_02      = atmultipole('SD_S08_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_03      = atmultipole('SD_S08_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_04      = atmultipole('SD_S08_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_05      = atmultipole('SD_S08_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_06      = atmultipole('SD_S08_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_07      = atmultipole('SD_S08_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_08      = atmultipole('SD_S08_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_09      = atmultipole('SD_S08_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_10      = atmultipole('SD_S08_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_01      = atmultipole('SF_S08_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_02      = atmultipole('SF_S08_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_03      = atmultipole('SF_S08_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_04      = atmultipole('SF_S08_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_05      = atmultipole('SF_S08_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_06      = atmultipole('SF_S08_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_01      = atmultipole('SH_S08_01', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_02      = atmultipole('SH_S08_02', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_03      = atmultipole('SH_S08_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_04      = atmultipole('SH_S08_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S08_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S08_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S08_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S08_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S08_01   = atquadrupole('qf_S08_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S08_02   = atquadrupole('qf_S08_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S08_03   = atquadrupole('qf_S08_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S08_04   = atquadrupole('qf_S08_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S08_02   = atquadrupole('qd_S08_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S08_03   = atquadrupole('qd_S08_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S08_01      = atrbend('QAB_S08_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_02      = atrbend('QAB_S08_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_03      = atrbend('QAB_S08_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_04      = atrbend('QAB_S08_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_05      = atrbend('QAB_S08_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_06      = atrbend('QAB_S08_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_07      = atrbend('QAB_S08_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_08      = atrbend('QAB_S08_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s08_g1 = [ {SF_S08_01} {dr1} cmon {dr2} {QAB_S08_01} {dr3} {SD_S08_01} {dr4a} cmon {dr4} ];
subcell_s08_g2 = [ {dr5} {SD_S08_02} {dr1} cmon {dr2} {QAB_S08_02} {dr6} {SF_S08_02} {dr3} {QAB_S08_03} {dr2} cmon {dr1} {SD_S08_03} {dr5} ];
subcell_s08_g3 = [ {dr7} {SD_S08_04} {dr3} {QAB_S08_04} {dr3} {SF_S08_03} {dr8} cmon {dr9} {OCT_S08_01} {dr10} {QF_S08_01} {dr3} {SD_S08_05} {dr5} ];
subcell_s08_g4 = [ {dr6} {dr11} {OCT_S08_02} {dr8} cmon {dr12} {SH_S08_01} {dr13} {QF_S08_02} {dr6} {dr14} {SH_S08_02} {dr15} {QD_S08_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s08_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S08_03} {dr15} {SH_S08_03} {dr14} {dr6} {QF_S08_03} {dr13} {SH_S08_04} {dr18} {dr14} {OCT_S08_03} {dr19} cmon {dr20} ];
subcell_s08_g6 = [ {dr21} {SD_S08_06} {dr3} {QF_S08_04} {dr10} {OCT_S08_04} {dr9} cmon {dr8} {SF_S08_04} {dr3} {QAB_S08_05} {dr3} {SD_S08_07} {dr19} cmon {dr4} ];
subcell_s08_g7 = [ {dr5} {SD_S08_08} {dr1} cmon {dr2} {QAB_S08_06} {dr3} {SF_S08_05} {dr6} {QAB_S08_07} {dr2} cmon {dr1} {SD_S08_09} {dr5}];
subcell_s08_g8 = [ {dr5} {SD_S08_10} {dr3} {QAB_S08_08} {dr2} cmon {dr1} {SF_S08_06}];


cell_s08_s_to_l  = [ {gs} subcell_s08_g1 {ge} BSUP {gs} subcell_s08_g2 {ge} dip2 {gs} subcell_s08_g3 {ge} dip3 {gs} subcell_s08_g4 {ge} ];
cell_s08_l_to_s  = [ {gs} subcell_s08_g5 {ge} dip4 {gs} subcell_s08_g6 {ge} dip5 {gs} subcell_s08_g7 {ge} dip6 {gs} subcell_s08_g8 {ge} ];

%% Cell 9 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S09_01      = atmultipole('SD_S09_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_02      = atmultipole('SD_S09_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_03      = atmultipole('SD_S09_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_04      = atmultipole('SD_S09_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_05      = atmultipole('SD_S09_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_06      = atmultipole('SD_S09_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_07      = atmultipole('SD_S09_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_08      = atmultipole('SD_S09_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_09      = atmultipole('SD_S09_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_10      = atmultipole('SD_S09_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_01      = atmultipole('SF_S09_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_02      = atmultipole('SF_S09_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_03      = atmultipole('SF_S09_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_04      = atmultipole('SF_S09_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_05      = atmultipole('SF_S09_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_06      = atmultipole('SF_S09_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_01      = atmultipole('SH_S09_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_02      = atmultipole('SH_S09_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_03      = atmultipole('SH_S09_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_04      = atmultipole('SH_S09_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S09_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S09_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S09_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S09_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S09_01   = atquadrupole('qf_S09_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S09_02   = atquadrupole('qf_S09_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S09_03   = atquadrupole('qf_S09_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S09_04   = atquadrupole('qf_S09_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S09_02   = atquadrupole('qd_S09_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S09_03   = atquadrupole('qd_S09_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S09_01      = atrbend('QAB_S09_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_02      = atrbend('QAB_S09_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_03      = atrbend('QAB_S09_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_04      = atrbend('QAB_S09_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_05      = atrbend('QAB_S09_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_06      = atrbend('QAB_S09_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_07      = atrbend('QAB_S09_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_08      = atrbend('QAB_S09_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s09_g1 = [ {SF_S09_01} {dr1} cmon {dr2} {QAB_S09_01} {dr3} {SD_S09_01} {dr4a} cmon {dr4} ];
subcell_s09_g2 = [ {dr5} {SD_S09_02} {dr1} cmon {dr2} {QAB_S09_02} {dr6} {SF_S09_02} {dr3} {QAB_S09_03} {dr2} cmon {dr1} {SD_S09_03} {dr5} ];
subcell_s09_g3 = [ {dr7} {SD_S09_04} {dr3} {QAB_S09_04} {dr3} {SF_S09_03} {dr8} cmon {dr9} {OCT_S09_01} {dr10} {QF_S09_01} {dr3} {SD_S09_05} {dr5} ];
subcell_s09_g4 = [ {dr6} {dr11} {OCT_S09_02} {dr8} cmon {dr12} {SH_S09_01} {dr13} {QF_S09_02} {dr6} {dr14} {SH_S09_02} {dr15} {QD_S09_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s09_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S09_03} {dr15} {SH_S09_03} {dr14} {dr6} {QF_S09_03} {dr13} {SH_S09_04} {dr18} {dr14} {OCT_S09_03} {dr19} cmon {dr20} ];
subcell_s09_g6 = [ {dr21} {SD_S09_06} {dr3} {QF_S09_04} {dr10} {OCT_S09_04} {dr9} cmon {dr8} {SF_S09_04} {dr3} {QAB_S09_05} {dr3} {SD_S09_07} {dr19} cmon {dr4} ];
subcell_s09_g7 = [ {dr5} {SD_S09_08} {dr1} cmon {dr2} {QAB_S09_06} {dr3} {SF_S09_05} {dr6} {QAB_S09_07} {dr2} cmon {dr1} {SD_S09_09} {dr5}];
subcell_s09_g8 = [ {dr5} {SD_S09_10} {dr3} {QAB_S09_08} {dr2} cmon {dr1} {SF_S09_06}];


cell_s09_s_to_l  = [ {gs} subcell_s09_g1 {ge} BSUP {gs} subcell_s09_g2 {ge} dip2 {gs} subcell_s09_g3 {ge} dip3 {gs} subcell_s09_g4 {ge} ];
cell_s09_l_to_s  = [ {gs} subcell_s09_g5 {ge} dip4 {gs} subcell_s09_g6 {ge} dip5 {gs} subcell_s09_g7 {ge} dip6 {gs} subcell_s09_g8 {ge} ];

%% Cell 10 --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S10_01      = atmultipole('SD_S10_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_02      = atmultipole('SD_S10_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_03      = atmultipole('SD_S10_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_04      = atmultipole('SD_S10_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_05      = atmultipole('SD_S10_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_06      = atmultipole('SD_S10_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_07      = atmultipole('SD_S10_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_08      = atmultipole('SD_S10_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_09      = atmultipole('SD_S10_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_10      = atmultipole('SD_S10_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_01      = atmultipole('SF_S10_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_02      = atmultipole('SF_S10_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_03      = atmultipole('SF_S10_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_04      = atmultipole('SF_S10_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_05      = atmultipole('SF_S10_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_06      = atmultipole('SF_S10_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_01      = atmultipole('SH_S10_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_02      = atmultipole('SH_S10_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_03      = atmultipole('SH_S10_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_04      = atmultipole('SH_S10_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S10_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S10_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S10_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S10_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S10_01   = atquadrupole('qf_S10_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S10_02   = atquadrupole('qf_S10_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S10_03   = atquadrupole('qf_S10_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S10_04   = atquadrupole('qf_S10_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S10_02   = atquadrupole('qd_S10_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S10_03   = atquadrupole('qd_S10_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S10_01      = atrbend('QAB_S10_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_02      = atrbend('QAB_S10_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_03      = atrbend('QAB_S10_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_04      = atrbend('QAB_S10_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_05      = atrbend('QAB_S10_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_06      = atrbend('QAB_S10_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_07      = atrbend('QAB_S10_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_08      = atrbend('QAB_S10_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s10_g1 = [ {SF_S10_01} {dr1} cmon {dr2} {QAB_S10_01} {dr3} {SD_S10_01} {dr4a} cmon {dr4} ];
subcell_s10_g2 = [ {dr5} {SD_S10_02} {dr1} cmon {dr2} {QAB_S10_02} {dr6} {SF_S10_02} {dr3} {QAB_S10_03} {dr2} cmon {dr1} {SD_S10_03} {dr5} ];
subcell_s10_g3 = [ {dr7} {SD_S10_04} {dr3} {QAB_S10_04} {dr3} {SF_S10_03} {dr8} cmon {dr9} {OCT_S10_01} {dr10} {QF_S10_01} {dr3} {SD_S10_05} {dr5} ];
subcell_s10_g4 = [ {dr6} {dr11} {OCT_S10_02} {dr8} cmon {dr12} {SH_S10_01} {dr13} {QF_S10_02} {dr6} {dr14} {SH_S10_02} {dr15} {QD_S10_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s10_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S10_03} {dr15} {SH_S10_03} {dr14} {dr6} {QF_S10_03} {dr13} {SH_S10_04} {dr18} {dr14} {OCT_S10_03} {dr19} cmon {dr20} ];
subcell_s10_g6 = [ {dr21} {SD_S10_06} {dr3} {QF_S10_04} {dr10} {OCT_S10_04} {dr9} cmon {dr8} {SF_S10_04} {dr3} {QAB_S10_05} {dr3} {SD_S10_07} {dr19} cmon {dr4} ];
subcell_s10_g7 = [ {dr5} {SD_S10_08} {dr1} cmon {dr2} {QAB_S10_06} {dr3} {SF_S10_05} {dr6} {QAB_S10_07} {dr2} cmon {dr1} {SD_S10_09} {dr5}];
subcell_s10_g8 = [ {dr5} {SD_S10_10} {dr3} {QAB_S10_08} {dr2} cmon {dr1} {SF_S10_06}];


cell_s10_s_to_l  = [ {gs} subcell_s10_g1 {ge} BSUP {gs} subcell_s10_g2 {ge} dip2 {gs} subcell_s10_g3 {ge} dip3 {gs} subcell_s10_g4 {ge} ];
cell_s10_l_to_s  = [ {gs} subcell_s10_g5 {ge} dip4 {gs} subcell_s10_g6 {ge} dip5 {gs} subcell_s10_g7 {ge} dip6 {gs} subcell_s10_g8 {ge} ];



%% Cell 11 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S11_01      = atmultipole('SD_S11_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_02      = atmultipole('SD_S11_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_03      = atmultipole('SD_S11_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_04      = atmultipole('SD_S11_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_05      = atmultipole('SD_S11_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_06      = atmultipole('SD_S11_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_07      = atmultipole('SD_S11_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_08      = atmultipole('SD_S11_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_09      = atmultipole('SD_S11_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_10      = atmultipole('SD_S11_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_01      = atmultipole('SF_S11_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_02      = atmultipole('SF_S11_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_03      = atmultipole('SF_S11_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_04      = atmultipole('SF_S11_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_05      = atmultipole('SF_S11_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_06      = atmultipole('SF_S11_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_01      = atmultipole('SH_S11_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_02      = atmultipole('SH_S11_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_03      = atmultipole('SH_S11_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_04      = atmultipole('SH_S11_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Octupole
OCT_S11_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S11_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S11_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S11_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S11_01   = atquadrupole('qf_S11_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S11_02   = atquadrupole('qf_S11_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S11_03   = atquadrupole('qf_S11_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S11_04   = atquadrupole('qf_S11_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S11_02   = atquadrupole('qd_S11_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S11_03   = atquadrupole('qd_S11_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S11_01      = atrbend('QAB_S11_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_02      = atrbend('QAB_S11_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_03      = atrbend('QAB_S11_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_04      = atrbend('QAB_S11_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_05      = atrbend('QAB_S11_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_06      = atrbend('QAB_S11_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_07      = atrbend('QAB_S11_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_08      = atrbend('QAB_S11_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s11_g1 = [ {SF_S11_01} {dr1} cmon {dr2} {QAB_S11_01} {dr3} {SD_S11_01} {dr4a} cmon {dr4} ];
subcell_s11_g2 = [ {dr5} {SD_S11_02} {dr1} cmon {dr2} {QAB_S11_02} {dr6} {SF_S11_02} {dr3} {QAB_S11_03} {dr2} cmon {dr1} {SD_S11_03} {dr5} ];
subcell_s11_g3 = [ {dr7} {SD_S11_04} {dr3} {QAB_S11_04} {dr3} {SF_S11_03} {dr8} cmon {dr9} {OCT_S11_01} {dr10} {QF_S11_01} {dr3} {SD_S11_05} {dr5} ];
subcell_s11_g4 = [ {dr6} {dr11} {OCT_S11_02} {dr8} cmon {dr12} {SH_S11_01} {dr13} {QF_S11_02} {dr6} {dr14} {SH_S11_02} {dr15} {QD_S11_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s11_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S11_03} {dr15} {SH_S11_03} {dr14} {dr6} {QF_S11_03} {dr13} {SH_S11_04} {dr18} {dr14} {OCT_S11_03} {dr19} cmon {dr20} ];
subcell_s11_g6 = [ {dr21} {SD_S11_06} {dr3} {QF_S11_04} {dr10} {OCT_S11_04} {dr9} cmon {dr8} {SF_S11_04} {dr3} {QAB_S11_05} {dr3} {SD_S11_07} {dr19} cmon {dr4} ];
subcell_s11_g7 = [ {dr5} {SD_S11_08} {dr1} cmon {dr2} {QAB_S11_06} {dr3} {SF_S11_05} {dr6} {QAB_S11_07} {dr2} cmon {dr1} {SD_S11_09} {dr5}];
subcell_s11_g8 = [ {dr5} {SD_S11_10} {dr3} {QAB_S11_08} {dr2} cmon {dr1} {SF_S11_06}];


cell_s11_s_to_l  = [ {gs} subcell_s11_g1 {ge} BSUP {gs} subcell_s11_g2 {ge} dip2 {gs} subcell_s11_g3 {ge} dip3 {gs} subcell_s11_g4 {ge} ];
cell_s11_l_to_s  = [ {gs} subcell_s11_g5 {ge} dip4 {gs} subcell_s11_g6 {ge} dip5 {gs} subcell_s11_g7 {ge} dip6 {gs} subcell_s11_g8 {ge} ];

%% Cell 12 --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

%% Sextupoles
SD_S12_01      = atmultipole('SD_S12_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_02      = atmultipole('SD_S12_02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_03      = atmultipole('SD_S12_03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_04      = atmultipole('SD_S12_04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_05      = atmultipole('SD_S12_05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_06      = atmultipole('SD_S12_06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_07      = atmultipole('SD_S12_07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_08      = atmultipole('SD_S12_08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_09      = atmultipole('SD_S12_09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_10      = atmultipole('SD_S12_10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_01      = atmultipole('SF_S12_01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_02      = atmultipole('SF_S12_02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_03      = atmultipole('SF_S12_03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_04      = atmultipole('SF_S12_04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_05      = atmultipole('SF_S12_05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_06      = atmultipole('SF_S12_06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_01      = atmultipole('SH_S12_01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_02      = atmultipole('SH_S12_02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_03      = atmultipole('SH_S12_03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_04      = atmultipole('SH_S12_04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole
OCT_S12_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S12_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S12_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S12_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        

%% Quads

QF_S12_01   = atquadrupole('qf_S12_01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S12_02   = atquadrupole('qf_S12_02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S12_03   = atquadrupole('qf_S12_03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S12_04   = atquadrupole('qf_S12_04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S12_02   = atquadrupole('qd_S12_02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S12_03   = atquadrupole('qd_S12_03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend
QAB_S12_01      = atrbend('QAB_S12_01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_02      = atrbend('QAB_S12_02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_03      = atrbend('QAB_S12_03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_04      = atrbend('QAB_S12_04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_05      = atrbend('QAB_S12_05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_06      = atrbend('QAB_S12_06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_07      = atrbend('QAB_S12_07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_08      = atrbend('QAB_S12_08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%% Girders and half achromat
%short to long
subcell_s12_g1 = [ {SF_S12_01} {dr1} cmon {dr2} {QAB_S12_01} {dr3} {SD_S12_01} {dr4a} cmon {dr4} ];
subcell_s12_g2 = [ {dr5} {SD_S12_02} {dr1} cmon {dr2} {QAB_S12_02} {dr6} {SF_S12_02} {dr3} {QAB_S12_03} {dr2} cmon {dr1} {SD_S12_03} {dr5} ];
subcell_s12_g3 = [ {dr7} {SD_S12_04} {dr3} {QAB_S12_04} {dr3} {SF_S12_03} {dr8} cmon {dr9} {OCT_S12_01} {dr10} {QF_S12_01} {dr3} {SD_S12_05} {dr5} ];
subcell_s12_g4 = [ {dr6} {dr11} {OCT_S12_02} {dr8} cmon {dr12} {SH_S12_01} {dr13} {QF_S12_02} {dr6} {dr14} {SH_S12_02} {dr15} {QD_S12_02} {dr16} {dr12} {chv1} {dr17} cmon ];

             
%long to short 
subcell_s12_g5 = [ {dr16} cmon {dr17} {chv2} {dr12} {QD_S12_03} {dr15} {SH_S12_03} {dr14} {dr6} {QF_S12_03} {dr13} {SH_S12_04} {dr18} {dr14} {OCT_S12_03} {dr19} cmon {dr20} ];
subcell_s12_g6 = [ {dr21} {SD_S12_06} {dr3} {QF_S12_04} {dr10} {OCT_S12_04} {dr9} cmon {dr8} {SF_S12_04} {dr3} {QAB_S12_05} {dr3} {SD_S12_07} {dr19} cmon {dr4} ];
subcell_s12_g7 = [ {dr5} {SD_S12_08} {dr1} cmon {dr2} {QAB_S12_06} {dr3} {SF_S12_05} {dr6} {QAB_S12_07} {dr2} cmon {dr1} {SD_S12_09} {dr5}];
subcell_s12_g8 = [ {dr5} {SD_S12_10} {dr3} {QAB_S12_08} {dr2} cmon {dr1} {SF_S12_06}];


cell_s12_s_to_l  = [ {gs} subcell_s12_g1 {ge} BSUP {gs} subcell_s12_g2 {ge} dip2 {gs} subcell_s12_g3 {ge} dip3 {gs} subcell_s12_g4 {ge} ];
cell_s12_l_to_s  = [ {gs} subcell_s12_g5 {ge} dip4 {gs} subcell_s12_g6 {ge} dip5 {gs} subcell_s12_g7 {ge} dip6 {gs} subcell_s12_g8 {ge} ];


%% ring 
ring                = [ {ll} cell_s12_l_to_s {ss} s01_1 {ss} cell_s01_s_to_l {ll} s01_2  {ll} cell_s01_l_to_s {ss} s02_1 {ss} cell_s02_s_to_l {ll} ...
                   s02_2  {ll} cell_s02_l_to_s {ss} rfs3 {rf} {ss} cell_s03_s_to_l {ll} s03_2  {ll} cell_s03_l_to_s {ss} rfs4 {rf} {ss} cell_s04_s_to_l {ll} ...
                   s04_2  {ll} cell_s04_l_to_s {ss} s05_1 {ss} cell_s05_s_to_l {ll} s05_2  {ll} cell_s05_l_to_s {ss} s06_1 {ss} cell_s06_s_to_l {ll} ...
                   s06_2  {ll} cell_s06_l_to_s {ss} s07_1 {ss} cell_s07_s_to_l {ll} s07_2  {ll} cell_s07_l_to_s {ss} s08_1 {ss} cell_s08_s_to_l {ll} ...
                   s08_2  {ll} cell_s08_l_to_s {ss} rfs9 {rf} {ss} cell_s09_s_to_l {ll} s09_2  {ll} cell_s09_l_to_s {ss} rfs10 {rf} {ss} cell_s10_s_to_l {ll} ...
                   s10_2  {ll} cell_s10_l_to_s {ss} s11_1 {ss} cell_s11_s_to_l {ll} s11_2  {ll} cell_s11_l_to_s {ss} s12_1 {ss} cell_s12_s_to_l {ll} s12_2 ...
                   ];

% if nargout
%     varargout{1} = ring;
% else % If no output arguments - greate global variable THERING
%     global THERING
%     THERING = ring';
%     
%     if evalin('base','exist(''THERING'')') && evalin('base','isempty(whos(''global'',''THERING''))')
%         warning('Global variable THERING was overridden');
%     else
%         evalin('caller','global THERING');
%     end
% end
% Set all magnets to same energy
% THERING=atsetenergy(THERING,energy);
% THERING=atsetcavity(THERING, 'Frequency','nominal', 'HarmNumber',HarmNumber, 'Voltage',2e6); THERING=atSetCavityPhase(THERING); THERING=atradon(THERING); 
% L0 = findspos(THERING, length(THERING)+1);
 
SROUT = THERING;



