function SROUT = change_name

% Elettra2.0 Storage ring lattice definition file for AT
% High betax at long straights

global THERING

energy =  2.4e9;  % dipende dall'energia anello
disp(['** Loading lattice in ' mfilename])

L0 = 259.200;
C0 = 299792458;       % speed of light [m/s]
HarmNumber = 432;

%% Cavity ------------------------------------------------
rf = atrfcavity('CAV' , 0 , 0.5e6 , HarmNumber*C0/L0, HarmNumber , energy,'CavityPass');

%% Marker ------------------------------------------------
rfs3            = atmarker('rfs3',      'IdentityPass');
rfs4            = atmarker('rfs4',      'IdentityPass');
rfs9            = atmarker('rfs9',      'IdentityPass');
rfs10            = atmarker('rfs10',      'IdentityPass');

s01_2           = atmarker('s01_2',     'IdentityPass'); %----Nanospectr/NanoESCA
s02_2           = atmarker('s02_2',     'IdentityPass'); %----1-Crab Cavities.........2.SuperESCA/ESCAmicroscopy
s03_2           = atmarker('s03_2',     'IdentityPass'); %----1-Spectroµ/BaDElPh
s04_2           = atmarker('s04_2',     'IdentityPass'); %----1-MOST
s05_2           = atmarker('s05_2',     'IdentityPass'); %----1-µXRD
s06_2           = atmarker('s06_2',     'IdentityPass'); %----1-CDI
s07_2           = atmarker('s07_2',     'IdentityPass'); %----1-µXRF
s08_2           = atmarker('s08_2',     'IdentityPass'); %----1-BACH/VUV
s09_2           = atmarker('s09_2',     'IdentityPass'); %----1-APE LE/HE
s10_2           = atmarker('s10_2',     'IdentityPass'); %----1-HB-SAXS
s11_2           = atmarker('s11_2',     'IdentityPass'); %----1-SCW=SAXS/MCX/Xpress
s12_2           = atmarker('s12_2',     'IdentityPass'); %----1-Injection

s01_1           = atmarker('s01_1',     'IdentityPass');
s02_1           = atmarker('s02_1',     'IdentityPass'); %----1-TwinMic
s03_1           = atmarker('s03_1',     'IdentityPass'); %----1-RF3
s04_1           = atmarker('s04_1',     'IdentityPass'); %----1-RF4
s05_1           = atmarker('s05_1',     'IdentityPass'); %----1-XRD1
s06_1           = atmarker('s06_1',     'IdentityPass'); %----1-XAS-mW
s07_1           = atmarker('s07_1',     'IdentityPass'); %----1-ALOISA/NAP-XPS.
s08_1           = atmarker('s08_1',     'IdentityPass'); %----1-
s09_1           = atmarker('s09_1',     'IdentityPass'); %----1-RF9
s10_1           = atmarker('s10_1',     'IdentityPass'); %----1-RF10
s11_1           = atmarker('s11_1',     'IdentityPass'); %----1-APE-TX
s12_1           = atmarker('s12_1',     'IdentityPass');
gs              = atmarker('GS','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');
ge              = atmarker('GE','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');

SectionStart    = atmarker('SectionStart','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');
SectionEnd      = atmarker('SectionEnd','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'PassMethod' ,  'IdentityPass');

ll          = atdrift('ll',     2.3980, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures' , [20  4]*1e-3);
ss          = atdrift('ss',     0.63000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures' , [20  4]*1e-3);

%% Cell 1-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S01 =  atdrift('D1_S01',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S01 =  atdrift('D2_S01',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S01 =  atdrift('D3_S01',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S01 =  atdrift('D4_S01',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S01 =  atdrift('D5_S01',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S01 =  atdrift('D6_S01',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S01 =  atdrift('D7_S01',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S01 =  atdrift('D8_S01',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S01 =  atdrift('D9_S01',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S01 =  atdrift('D10_S01',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S01 =  atdrift('D11_S01',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S01 =  atdrift('D12_S01',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S01 =  atdrift('D13_S01',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S01 =  atdrift('D14_S01',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S01 =  atdrift('D15_S01',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S01 =  atdrift('D16_S01',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S01 =  atdrift('D17_S01',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S01 =  atdrift('D18_S01',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S01 =  atdrift('D19_S01',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S01 =  atdrift('D20_S01',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S01 =  atdrift('D21_S01',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S01 =  atdrift('D22_S01',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S01 =  atdrift('D23_S01',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S01 =  atdrift('D24_S01',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S01 =  atdrift('D25_S01',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S01 =  atdrift('D26_S01',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S01 =  atdrift('D27_S01',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S01 =  atdrift('D28_S01',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S01 =  atdrift('D29_S01',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S01 =  atdrift('D30_S01',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S01 =  atdrift('D31_S01',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S01 =  atdrift('D32_S01',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S01 =  atdrift('D33_S01',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S01 =  atdrift('D34_S01',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S01 =  atdrift('D35_S01',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S01 =  atdrift('D36_S01',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S01 =  atdrift('D37_S01',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S01 =  atdrift('D38_S01',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S01 =  atdrift('D39_S01',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S01 =  atdrift('D40_S01',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S01 =  atdrift('D41_S01',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S01 =  atdrift('D42_S01',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S01 =  atdrift('D43_S01',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S01 =  atdrift('D44_S01',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S01 =  atdrift('D45_S01',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S01 =  atdrift('D46_S01',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S01 =  atdrift('D47_S01',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S01 =  atdrift('D48_S01',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S01 =  atdrift('D49_S01',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S01 =  atdrift('D50_S01',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S01 =  atdrift('D51_S01',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S01 =  atdrift('D52_S01',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S01 =  atdrift('D53_S01',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S01 =  atdrift('D54_S01',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S01 =  atdrift('D55_S01',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S01 =  atdrift('D56_S01',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S01 =  atdrift('D57_S01',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S01 =  atdrift('D58_S01',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S01 =  atdrift('D59_S01',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S01 =  atdrift('D60_S01',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S01 =  atdrift('D61_S01',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S01 =  atdrift('D62_S01',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S01 =  atdrift('D63_S01',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S01 =  atdrift('D64_S01',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S01_01 = atcorrector('CH_S01.01',0,[0 0],'CorrectorPass');
CH_S01_02 = atcorrector('CH_S01.02',0,[0 0],'CorrectorPass');
CH_S01_03 = atcorrector('CH_S01.03',0,[0 0],'CorrectorPass');
CH_S01_04 = atcorrector('CH_S01.04',0,[0 0],'CorrectorPass');
CH_S01_05 = atcorrector('CH_S01.05',0,[0 0],'CorrectorPass');
CH_S01_06 = atcorrector('CH_S01.06',0,[0 0],'CorrectorPass');
CH_S01_07 = atcorrector('CH_S01.07',0,[0 0],'CorrectorPass');
CH_S01_08 = atcorrector('CH_S01.08',0,[0 0],'CorrectorPass');
CH_S01_09 = atcorrector('CH_S01.09',0,[0 0],'CorrectorPass');

CH_S01_12 = atcorrector('CH_S01.12',0,[0 0],'CorrectorPass');
CH_S01_13 = atcorrector('CH_S01.13',0,[0 0],'CorrectorPass');
CH_S01_14 = atcorrector('CH_S01.14',0,[0 0],'CorrectorPass');
CH_S01_15 = atcorrector('CH_S01.15',0,[0 0],'CorrectorPass');
CH_S01_16 = atcorrector('CH_S01.16',0,[0 0],'CorrectorPass');
CH_S01_17 = atcorrector('CH_S01.17',0,[0 0],'CorrectorPass');
CH_S01_18 = atcorrector('CH_S01.18',0,[0 0],'CorrectorPass');
CH_S01_19 = atcorrector('CH_S01.19',0,[0 0],'CorrectorPass');
CH_S01_20 = atcorrector('CH_S01.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S01_01 = atcorrector('CV_S01.01',0,[0 0],'CorrectorPass');
CV_S01_02 = atcorrector('CV_S01.02',0,[0 0],'CorrectorPass');
CV_S01_03 = atcorrector('CV_S01.03',0,[0 0],'CorrectorPass');
CV_S01_04 = atcorrector('CV_S01.04',0,[0 0],'CorrectorPass');
CV_S01_05 = atcorrector('CV_S01.05',0,[0 0],'CorrectorPass');
CV_S01_06 = atcorrector('CV_S01.06',0,[0 0],'CorrectorPass');
CV_S01_07 = atcorrector('CV_S01.07',0,[0 0],'CorrectorPass');
CV_S01_08 = atcorrector('CV_S01.08',0,[0 0],'CorrectorPass');
CV_S01_09 = atcorrector('CV_S01.09',0,[0 0],'CorrectorPass');

CV_S01_12 = atcorrector('CV_S01.12',0,[0 0],'CorrectorPass');
CV_S01_13 = atcorrector('CV_S01.13',0,[0 0],'CorrectorPass');
CV_S01_14 = atcorrector('CV_S01.14',0,[0 0],'CorrectorPass');
CV_S01_15 = atcorrector('CV_S01.15',0,[0 0],'CorrectorPass');
CV_S01_16 = atcorrector('CV_S01.16',0,[0 0],'CorrectorPass');
CV_S01_17 = atcorrector('CV_S01.17',0,[0 0],'CorrectorPass');
CV_S01_18 = atcorrector('CV_S01.18',0,[0 0],'CorrectorPass');
CV_S01_19 = atcorrector('CV_S01.19',0,[0 0],'CorrectorPass');
CV_S01_20 = atcorrector('CV_S01.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S01_01 = atmonitor('BPM_S01.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_02 = atmonitor('BPM_S01.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_03 = atmonitor('BPM_S01.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_04 = atmonitor('BPM_S01.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_05 = atmonitor('BPM_S01.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_06 = atmonitor('BPM_S01.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_07 = atmonitor('BPM_S01.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_08 = atmonitor('BPM_S01.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_09 = atmonitor('BPM_S01.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_10 = atmonitor('BPM_S01.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_11 = atmonitor('BPM_S01.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_12 = atmonitor('BPM_S01.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_13 = atmonitor('BPM_S01.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S01_14 = atmonitor('BPM_S01.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S01_02 = bf2ca;
B_S01_03 = {b1};
B_S01_04 = {b1};
B_S01_05 = bf2ca;
B_S01_06 = bf3ca;

B_S01_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S01_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S01_01      = atmultipole('SD_S01.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_02      = atmultipole('SD_S01.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_03      = atmultipole('SD_S01.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_04      = atmultipole('SD_S01.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_05      = atmultipole('SD_S01.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_06      = atmultipole('SD_S01.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_07      = atmultipole('SD_S01.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_08      = atmultipole('SD_S01.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_09      = atmultipole('SD_S01.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S01_10      = atmultipole('SD_S01.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_01      = atmultipole('SF_S01.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_02      = atmultipole('SF_S01.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_03      = atmultipole('SF_S01.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_04      = atmultipole('SF_S01.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_05      = atmultipole('SF_S01.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S01_06      = atmultipole('SF_S01.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_01      = atmultipole('SH_S01.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_02      = atmultipole('SH_S01.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_03      = atmultipole('SH_S01.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S01_04      = atmultipole('SH_S01.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S01_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S01_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S01_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S01_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S01_01   = atquadrupole('QF_S01.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S01_02   = atquadrupole('QF_S01.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S01_03   = atquadrupole('QF_S01.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S01_04   = atquadrupole('QF_S01.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S01_02   = atquadrupole('QD_S01.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S01_03   = atquadrupole('QD_S01.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S01_01      = atrbend('QAB_S01.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_02      = atrbend('QAB_S01.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_03      = atrbend('QAB_S01.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_04      = atrbend('QAB_S01.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_05      = atrbend('QAB_S01.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_06      = atrbend('QAB_S01.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_07      = atrbend('QAB_S01.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S01_08      = atrbend('QAB_S01.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s01_g1 = [ {SF_S01_01} {CH_S01_01} {CV_S01_01} {D1_S01} {drbpm} {BPM_S01_01} {drbpm} {D2_S01} {QAB_S01_01} {D3_S01} {SD_S01_01} {CH_S01_02} {CV_S01_02} {D4_S01} {drbpm} {BPM_S01_02} {drbpm} {D5_S01} ];
subcell_s01_g2 = [ {D6_S01} {SD_S01_02} {CH_S01_03} {CV_S01_03} {D7_S01} {drbpm} {BPM_S01_03} {drbpm} {D8_S01} {QAB_S01_02} {D9_S01} {SF_S01_02} {CH_S01_04} {CV_S01_04} {D10_S01} {QAB_S01_03} {D11_S01} {drbpm} {BPM_S01_04} {drbpm} {D12_S01} {SD_S01_03} {CH_S01_05} {CV_S01_05} {D13_S01} ];
subcell_s01_g3 = [ {D14_S01} {SD_S01_04} {CH_S01_06} {CV_S01_06} {D15_S01} {QAB_S01_04} {D16_S01} {SF_S01_03} {CH_S01_07} {CV_S01_07} {D17_S01} {drbpm} {BPM_S01_05} {drbpm} {D18_S01} {OCT_S01_01} {CH_S01_08} {CV_S01_08} {D19_S01} {QF_S01_01} {D20_S01} {SD_S01_05} {D21_S01} ];
subcell_s01_g4 = [ {D22_S01} {D23_S01} {OCT_S01_02} {D24_S01} {drbpm} {BPM_S01_06} {drbpm} {D25_S01} {SH_S01_01} {CH_S01_09} {CV_S01_09} {D26_S01} {QF_S01_02} {D27_S01} {D28_S01} {SH_S01_02} {D29_S01} {QD_S01_02} {D30_S01} {D31_S01} {chv1} {D32_S01} {drbpm} {BPM_S01_07} {drbpm} ];

             
%long to short 
subcell_s01_g5 = [ {D33_S01} {drbpm} {BPM_S01_08} {drbpm} {D34_S01} {chv2} {D35_S01} {QD_S01_03} {D36_S01} {SH_S01_03} {D37_S01} {D38_S01} {QF_S01_03} {D39_S01} {SH_S01_04} {CH_S01_12} {CV_S01_12} {D40_S01} {D41_S01} {OCT_S01_03} {D42_S01} {drbpm} {BPM_S01_09} {drbpm} {D43_S01} ];
subcell_s01_g6 = [ {D44_S01} {SD_S01_06} {D45_S01} {QF_S01_04} {D46_S01} {OCT_S01_04} {CH_S01_13} {CV_S01_13} {D47_S01} {drbpm} {BPM_S01_10} {drbpm} {D48_S01} {SF_S01_04} {CH_S01_14} {CV_S01_14} {D49_S01} {QAB_S01_05} {D50_S01} {SD_S01_07} {CH_S01_15} {CV_S01_15} {D51_S01} {drbpm} {BPM_S01_11} {drbpm} {D52_S01} ];
subcell_s01_g7 = [ {D53_S01} {SD_S01_08} {CH_S01_16} {CV_S01_16} {D54_S01} {drbpm} {BPM_S01_12} {drbpm} {D55_S01} {QAB_S01_06} {D56_S01} {SF_S01_05} {CH_S01_17} {CV_S01_17} {D57_S01} {QAB_S01_07} {D58_S01} {drbpm} {BPM_S01_13} {drbpm} {D59_S01} {SD_S01_09} {CH_S01_18} {CV_S01_18} {D60_S01}];
subcell_s01_g8 = [ {D61_S01} {SD_S01_10} {CH_S01_19} {CV_S01_19} {D62_S01} {QAB_S01_08} {D63_S01} {drbpm} {BPM_S01_14} {drbpm} {D64_S01} {SF_S01_06} {CH_S01_20} {CV_S01_20}];


cell_s01_s_to_l  = [ {gs} subcell_s01_g1 {ge} B_S01_01 {gs} subcell_s01_g2 {ge} B_S01_02 {gs} subcell_s01_g3 {ge} B_S01_03 {gs} subcell_s01_g4 {ge} ];
cell_s01_l_to_s  = [ {gs} subcell_s01_g5 {ge} B_S01_04 {gs} subcell_s01_g6 {ge} B_S01_05 {gs} subcell_s01_g7 {ge} B_S01_06 {gs} subcell_s01_g8 {ge} ];

%% Cell 2-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S02 =  atdrift('D1_S02',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S02 =  atdrift('D2_S02',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S02 =  atdrift('D3_S02',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S02 =  atdrift('D4_S02',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S02 =  atdrift('D5_S02',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S02 =  atdrift('D6_S02',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S02 =  atdrift('D7_S02',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S02 =  atdrift('D8_S02',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S02 =  atdrift('D9_S02',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S02 =  atdrift('D10_S02',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S02 =  atdrift('D11_S02',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S02 =  atdrift('D12_S02',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S02 =  atdrift('D13_S02',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S02 =  atdrift('D14_S02',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S02 =  atdrift('D15_S02',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S02 =  atdrift('D16_S02',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S02 =  atdrift('D17_S02',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S02 =  atdrift('D18_S02',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S02 =  atdrift('D19_S02',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S02 =  atdrift('D20_S02',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S02 =  atdrift('D21_S02',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S02 =  atdrift('D22_S02',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S02 =  atdrift('D23_S02',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S02 =  atdrift('D24_S02',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S02 =  atdrift('D25_S02',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S02 =  atdrift('D26_S02',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S02 =  atdrift('D27_S02',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S02 =  atdrift('D28_S02',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S02 =  atdrift('D29_S02',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S02 =  atdrift('D30_S02',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S02 =  atdrift('D31_S02',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S02 =  atdrift('D32_S02',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S02 =  atdrift('D33_S02',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S02 =  atdrift('D34_S02',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S02 =  atdrift('D35_S02',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S02 =  atdrift('D36_S02',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S02 =  atdrift('D37_S02',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S02 =  atdrift('D38_S02',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S02 =  atdrift('D39_S02',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S02 =  atdrift('D40_S02',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S02 =  atdrift('D41_S02',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S02 =  atdrift('D42_S02',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S02 =  atdrift('D43_S02',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S02 =  atdrift('D44_S02',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S02 =  atdrift('D45_S02',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S02 =  atdrift('D46_S02',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S02 =  atdrift('D47_S02',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S02 =  atdrift('D48_S02',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S02 =  atdrift('D49_S02',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S02 =  atdrift('D50_S02',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S02 =  atdrift('D51_S02',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S02 =  atdrift('D52_S02',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S02 =  atdrift('D53_S02',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S02 =  atdrift('D54_S02',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S02 =  atdrift('D55_S02',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S02 =  atdrift('D56_S02',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S02 =  atdrift('D57_S02',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S02 =  atdrift('D58_S02',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S02 =  atdrift('D59_S02',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S02 =  atdrift('D60_S02',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S02 =  atdrift('D61_S02',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S02 =  atdrift('D62_S02',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S02 =  atdrift('D63_S02',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S02 =  atdrift('D64_S02',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S02_01 = atcorrector('CH_S02.01',0,[0 0],'CorrectorPass');
CH_S02_02 = atcorrector('CH_S02.02',0,[0 0],'CorrectorPass');
CH_S02_03 = atcorrector('CH_S02.03',0,[0 0],'CorrectorPass');
CH_S02_04 = atcorrector('CH_S02.04',0,[0 0],'CorrectorPass');
CH_S02_05 = atcorrector('CH_S02.05',0,[0 0],'CorrectorPass');
CH_S02_06 = atcorrector('CH_S02.06',0,[0 0],'CorrectorPass');
CH_S02_07 = atcorrector('CH_S02.07',0,[0 0],'CorrectorPass');
CH_S02_08 = atcorrector('CH_S02.08',0,[0 0],'CorrectorPass');
CH_S02_09 = atcorrector('CH_S02.09',0,[0 0],'CorrectorPass');

CH_S02_12 = atcorrector('CH_S02.12',0,[0 0],'CorrectorPass');
CH_S02_13 = atcorrector('CH_S02.13',0,[0 0],'CorrectorPass');
CH_S02_14 = atcorrector('CH_S02.14',0,[0 0],'CorrectorPass');
CH_S02_15 = atcorrector('CH_S02.15',0,[0 0],'CorrectorPass');
CH_S02_16 = atcorrector('CH_S02.16',0,[0 0],'CorrectorPass');
CH_S02_17 = atcorrector('CH_S02.17',0,[0 0],'CorrectorPass');
CH_S02_18 = atcorrector('CH_S02.18',0,[0 0],'CorrectorPass');
CH_S02_19 = atcorrector('CH_S02.19',0,[0 0],'CorrectorPass');
CH_S02_20 = atcorrector('CH_S02.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S02_01 = atcorrector('CV_S02.01',0,[0 0],'CorrectorPass');
CV_S02_02 = atcorrector('CV_S02.02',0,[0 0],'CorrectorPass');
CV_S02_03 = atcorrector('CV_S02.03',0,[0 0],'CorrectorPass');
CV_S02_04 = atcorrector('CV_S02.04',0,[0 0],'CorrectorPass');
CV_S02_05 = atcorrector('CV_S02.05',0,[0 0],'CorrectorPass');
CV_S02_06 = atcorrector('CV_S02.06',0,[0 0],'CorrectorPass');
CV_S02_07 = atcorrector('CV_S02.07',0,[0 0],'CorrectorPass');
CV_S02_08 = atcorrector('CV_S02.08',0,[0 0],'CorrectorPass');
CV_S02_09 = atcorrector('CV_S02.09',0,[0 0],'CorrectorPass');

CV_S02_12 = atcorrector('CV_S02.12',0,[0 0],'CorrectorPass');
CV_S02_13 = atcorrector('CV_S02.13',0,[0 0],'CorrectorPass');
CV_S02_14 = atcorrector('CV_S02.14',0,[0 0],'CorrectorPass');
CV_S02_15 = atcorrector('CV_S02.15',0,[0 0],'CorrectorPass');
CV_S02_16 = atcorrector('CV_S02.16',0,[0 0],'CorrectorPass');
CV_S02_17 = atcorrector('CV_S02.17',0,[0 0],'CorrectorPass');
CV_S02_18 = atcorrector('CV_S02.18',0,[0 0],'CorrectorPass');
CV_S02_19 = atcorrector('CV_S02.19',0,[0 0],'CorrectorPass');
CV_S02_20 = atcorrector('CV_S02.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S02_01 = atmonitor('BPM_S02.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_02 = atmonitor('BPM_S02.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_03 = atmonitor('BPM_S02.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_04 = atmonitor('BPM_S02.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_05 = atmonitor('BPM_S02.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_06 = atmonitor('BPM_S02.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_07 = atmonitor('BPM_S02.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_08 = atmonitor('BPM_S02.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_09 = atmonitor('BPM_S02.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_10 = atmonitor('BPM_S02.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_11 = atmonitor('BPM_S02.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_12 = atmonitor('BPM_S02.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_13 = atmonitor('BPM_S02.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S02_14 = atmonitor('BPM_S02.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S02_02 = bf2ca;
B_S02_03 = {b1};
B_S02_04 = {b1};
B_S02_05 = bf2ca;
B_S02_06 = bf3ca;

B_S02_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S02_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S02_01      = atmultipole('SD_S02.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_02      = atmultipole('SD_S02.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_03      = atmultipole('SD_S02.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_04      = atmultipole('SD_S02.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_05      = atmultipole('SD_S02.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_06      = atmultipole('SD_S02.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_07      = atmultipole('SD_S02.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_08      = atmultipole('SD_S02.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_09      = atmultipole('SD_S02.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S02_10      = atmultipole('SD_S02.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_01      = atmultipole('SF_S02.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_02      = atmultipole('SF_S02.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_03      = atmultipole('SF_S02.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_04      = atmultipole('SF_S02.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_05      = atmultipole('SF_S02.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S02_06      = atmultipole('SF_S02.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_01      = atmultipole('SH_S02.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_02      = atmultipole('SH_S02.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_03      = atmultipole('SH_S02.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S02_04      = atmultipole('SH_S02.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S02_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S02_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S02_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S02_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S02_01   = atquadrupole('QF_S02.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S02_02   = atquadrupole('QF_S02.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S02_03   = atquadrupole('QF_S02.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S02_04   = atquadrupole('QF_S02.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S02_02   = atquadrupole('QD_S02.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S02_03   = atquadrupole('QD_S02.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S02_01      = atrbend('QAB_S02.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_02      = atrbend('QAB_S02.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_03      = atrbend('QAB_S02.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_04      = atrbend('QAB_S02.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_05      = atrbend('QAB_S02.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_06      = atrbend('QAB_S02.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_07      = atrbend('QAB_S02.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S02_08      = atrbend('QAB_S02.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s02_g1 = [ {SF_S02_01} {CH_S02_01} {CV_S02_01} {D1_S02} {drbpm} {BPM_S02_01} {drbpm} {D2_S02} {QAB_S02_01} {D3_S02} {SD_S02_01} {CH_S02_02} {CV_S02_02} {D4_S02} {drbpm} {BPM_S02_02} {drbpm} {D5_S02} ];
subcell_s02_g2 = [ {D6_S02} {SD_S02_02} {CH_S02_03} {CV_S02_03} {D7_S02} {drbpm} {BPM_S02_03} {drbpm} {D8_S02} {QAB_S02_02} {D9_S02} {SF_S02_02} {CH_S02_04} {CV_S02_04} {D10_S02} {QAB_S02_03} {D11_S02} {drbpm} {BPM_S02_04} {drbpm} {D12_S02} {SD_S02_03} {CH_S02_05} {CV_S02_05} {D13_S02} ];
subcell_s02_g3 = [ {D14_S02} {SD_S02_04} {CH_S02_06} {CV_S02_06} {D15_S02} {QAB_S02_04} {D16_S02} {SF_S02_03} {CH_S02_07} {CV_S02_07} {D17_S02} {drbpm} {BPM_S02_05} {drbpm} {D18_S02} {OCT_S02_01} {CH_S02_08} {CV_S02_08} {D19_S02} {QF_S02_01} {D20_S02} {SD_S02_05} {D21_S02} ];
subcell_s02_g4 = [ {D22_S02} {D23_S02} {OCT_S02_02} {D24_S02} {drbpm} {BPM_S02_06} {drbpm} {D25_S02} {SH_S02_01} {CH_S02_09} {CV_S02_09} {D26_S02} {QF_S02_02} {D27_S02} {D28_S02} {SH_S02_02} {D29_S02} {QD_S02_02} {D30_S02} {D31_S02} {chv1} {D32_S02} {drbpm} {BPM_S02_07} {drbpm} ];

             
%long to short 
subcell_s02_g5 = [ {D33_S02} {drbpm} {BPM_S02_08} {drbpm} {D34_S02} {chv2} {D35_S02} {QD_S02_03} {D36_S02} {SH_S02_03} {D37_S02} {D38_S02} {QF_S02_03} {D39_S02} {SH_S02_04} {CH_S02_12} {CV_S02_12} {D40_S02} {D41_S02} {OCT_S02_03} {D42_S02} {drbpm} {BPM_S02_09} {drbpm} {D43_S02} ];
subcell_s02_g6 = [ {D44_S02} {SD_S02_06} {D45_S02} {QF_S02_04} {D46_S02} {OCT_S02_04} {CH_S02_13} {CV_S02_13} {D47_S02} {drbpm} {BPM_S02_10} {drbpm} {D48_S02} {SF_S02_04} {CH_S02_14} {CV_S02_14} {D49_S02} {QAB_S02_05} {D50_S02} {SD_S02_07} {CH_S02_15} {CV_S02_15} {D51_S02} {drbpm} {BPM_S02_11} {drbpm} {D52_S02} ];
subcell_s02_g7 = [ {D53_S02} {SD_S02_08} {CH_S02_16} {CV_S02_16} {D54_S02} {drbpm} {BPM_S02_12} {drbpm} {D55_S02} {QAB_S02_06} {D56_S02} {SF_S02_05} {CH_S02_17} {CV_S02_17} {D57_S02} {QAB_S02_07} {D58_S02} {drbpm} {BPM_S02_13} {drbpm} {D59_S02} {SD_S02_09} {CH_S02_18} {CV_S02_18} {D60_S02}];
subcell_s02_g8 = [ {D61_S02} {SD_S02_10} {CH_S02_19} {CV_S02_19} {D62_S02} {QAB_S02_08} {D63_S02} {drbpm} {BPM_S02_14} {drbpm} {D64_S02} {SF_S02_06} {CH_S02_20} {CV_S02_20}];


cell_s02_s_to_l  = [ {gs} subcell_s02_g1 {ge} B_S02_01 {gs} subcell_s02_g2 {ge} B_S02_02 {gs} subcell_s02_g3 {ge} B_S02_03 {gs} subcell_s02_g4 {ge} ];
cell_s02_l_to_s  = [ {gs} subcell_s02_g5 {ge} B_S02_04 {gs} subcell_s02_g6 {ge} B_S02_05 {gs} subcell_s02_g7 {ge} B_S02_06 {gs} subcell_s02_g8 {ge} ];

%% Cell 3-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S03 =  atdrift('D1_S03',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S03 =  atdrift('D2_S03',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S03 =  atdrift('D3_S03',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S03 =  atdrift('D4_S03',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S03 =  atdrift('D5_S03',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S03 =  atdrift('D6_S03',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S03 =  atdrift('D7_S03',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S03 =  atdrift('D8_S03',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S03 =  atdrift('D9_S03',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S03 =  atdrift('D10_S03',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S03 =  atdrift('D11_S03',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S03 =  atdrift('D12_S03',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S03 =  atdrift('D13_S03',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S03 =  atdrift('D14_S03',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S03 =  atdrift('D15_S03',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S03 =  atdrift('D16_S03',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S03 =  atdrift('D17_S03',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S03 =  atdrift('D18_S03',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S03 =  atdrift('D19_S03',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S03 =  atdrift('D20_S03',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S03 =  atdrift('D21_S03',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S03 =  atdrift('D22_S03',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S03 =  atdrift('D23_S03',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S03 =  atdrift('D24_S03',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S03 =  atdrift('D25_S03',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S03 =  atdrift('D26_S03',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S03 =  atdrift('D27_S03',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S03 =  atdrift('D28_S03',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S03 =  atdrift('D29_S03',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S03 =  atdrift('D30_S03',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S03 =  atdrift('D31_S03',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S03 =  atdrift('D32_S03',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S03 =  atdrift('D33_S03',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S03 =  atdrift('D34_S03',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S03 =  atdrift('D35_S03',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S03 =  atdrift('D36_S03',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S03 =  atdrift('D37_S03',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S03 =  atdrift('D38_S03',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S03 =  atdrift('D39_S03',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S03 =  atdrift('D40_S03',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S03 =  atdrift('D41_S03',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S03 =  atdrift('D42_S03',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S03 =  atdrift('D43_S03',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S03 =  atdrift('D44_S03',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S03 =  atdrift('D45_S03',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S03 =  atdrift('D46_S03',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S03 =  atdrift('D47_S03',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S03 =  atdrift('D48_S03',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S03 =  atdrift('D49_S03',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S03 =  atdrift('D50_S03',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S03 =  atdrift('D51_S03',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S03 =  atdrift('D52_S03',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S03 =  atdrift('D53_S03',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S03 =  atdrift('D54_S03',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S03 =  atdrift('D55_S03',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S03 =  atdrift('D56_S03',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S03 =  atdrift('D57_S03',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S03 =  atdrift('D58_S03',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S03 =  atdrift('D59_S03',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S03 =  atdrift('D60_S03',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S03 =  atdrift('D61_S03',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S03 =  atdrift('D62_S03',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S03 =  atdrift('D63_S03',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S03 =  atdrift('D64_S03',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S03_01 = atcorrector('CH_S03.01',0,[0 0],'CorrectorPass');
CH_S03_02 = atcorrector('CH_S03.02',0,[0 0],'CorrectorPass');
CH_S03_03 = atcorrector('CH_S03.03',0,[0 0],'CorrectorPass');
CH_S03_04 = atcorrector('CH_S03.04',0,[0 0],'CorrectorPass');
CH_S03_05 = atcorrector('CH_S03.05',0,[0 0],'CorrectorPass');
CH_S03_06 = atcorrector('CH_S03.06',0,[0 0],'CorrectorPass');
CH_S03_07 = atcorrector('CH_S03.07',0,[0 0],'CorrectorPass');
CH_S03_08 = atcorrector('CH_S03.08',0,[0 0],'CorrectorPass');
CH_S03_09 = atcorrector('CH_S03.09',0,[0 0],'CorrectorPass');

CH_S03_12 = atcorrector('CH_S03.12',0,[0 0],'CorrectorPass');
CH_S03_13 = atcorrector('CH_S03.13',0,[0 0],'CorrectorPass');
CH_S03_14 = atcorrector('CH_S03.14',0,[0 0],'CorrectorPass');
CH_S03_15 = atcorrector('CH_S03.15',0,[0 0],'CorrectorPass');
CH_S03_16 = atcorrector('CH_S03.16',0,[0 0],'CorrectorPass');
CH_S03_17 = atcorrector('CH_S03.17',0,[0 0],'CorrectorPass');
CH_S03_18 = atcorrector('CH_S03.18',0,[0 0],'CorrectorPass');
CH_S03_19 = atcorrector('CH_S03.19',0,[0 0],'CorrectorPass');
CH_S03_20 = atcorrector('CH_S03.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S03_01 = atcorrector('CV_S03.01',0,[0 0],'CorrectorPass');
CV_S03_02 = atcorrector('CV_S03.02',0,[0 0],'CorrectorPass');
CV_S03_03 = atcorrector('CV_S03.03',0,[0 0],'CorrectorPass');
CV_S03_04 = atcorrector('CV_S03.04',0,[0 0],'CorrectorPass');
CV_S03_05 = atcorrector('CV_S03.05',0,[0 0],'CorrectorPass');
CV_S03_06 = atcorrector('CV_S03.06',0,[0 0],'CorrectorPass');
CV_S03_07 = atcorrector('CV_S03.07',0,[0 0],'CorrectorPass');
CV_S03_08 = atcorrector('CV_S03.08',0,[0 0],'CorrectorPass');
CV_S03_09 = atcorrector('CV_S03.09',0,[0 0],'CorrectorPass');

CV_S03_12 = atcorrector('CV_S03.12',0,[0 0],'CorrectorPass');
CV_S03_13 = atcorrector('CV_S03.13',0,[0 0],'CorrectorPass');
CV_S03_14 = atcorrector('CV_S03.14',0,[0 0],'CorrectorPass');
CV_S03_15 = atcorrector('CV_S03.15',0,[0 0],'CorrectorPass');
CV_S03_16 = atcorrector('CV_S03.16',0,[0 0],'CorrectorPass');
CV_S03_17 = atcorrector('CV_S03.17',0,[0 0],'CorrectorPass');
CV_S03_18 = atcorrector('CV_S03.18',0,[0 0],'CorrectorPass');
CV_S03_19 = atcorrector('CV_S03.19',0,[0 0],'CorrectorPass');
CV_S03_20 = atcorrector('CV_S03.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S03_01 = atmonitor('BPM_S03.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_02 = atmonitor('BPM_S03.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_03 = atmonitor('BPM_S03.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_04 = atmonitor('BPM_S03.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_05 = atmonitor('BPM_S03.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_06 = atmonitor('BPM_S03.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_07 = atmonitor('BPM_S03.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_08 = atmonitor('BPM_S03.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_09 = atmonitor('BPM_S03.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_10 = atmonitor('BPM_S03.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_11 = atmonitor('BPM_S03.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_12 = atmonitor('BPM_S03.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_13 = atmonitor('BPM_S03.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S03_14 = atmonitor('BPM_S03.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S03_02 = bf2ca;
B_S03_03 = {b1};
B_S03_04 = {b1};
B_S03_05 = bf2ca;
B_S03_06 = bf3ca;

B_S03_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S03_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S03_01      = atmultipole('SD_S03.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_02      = atmultipole('SD_S03.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_03      = atmultipole('SD_S03.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_04      = atmultipole('SD_S03.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_05      = atmultipole('SD_S03.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_06      = atmultipole('SD_S03.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_07      = atmultipole('SD_S03.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_08      = atmultipole('SD_S03.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_09      = atmultipole('SD_S03.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S03_10      = atmultipole('SD_S03.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_01      = atmultipole('SF_S03.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_02      = atmultipole('SF_S03.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_03      = atmultipole('SF_S03.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_04      = atmultipole('SF_S03.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_05      = atmultipole('SF_S03.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S03_06      = atmultipole('SF_S03.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_01      = atmultipole('SH_S03.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_02      = atmultipole('SH_S03.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_03      = atmultipole('SH_S03.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S03_04      = atmultipole('SH_S03.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S03_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S03_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S03_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S03_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S03_01   = atquadrupole('QF_S03.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S03_02   = atquadrupole('QF_S03.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S03_03   = atquadrupole('QF_S03.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S03_04   = atquadrupole('QF_S03.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S03_02   = atquadrupole('QD_S03.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S03_03   = atquadrupole('QD_S03.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S03_01      = atrbend('QAB_S03.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_02      = atrbend('QAB_S03.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_03      = atrbend('QAB_S03.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_04      = atrbend('QAB_S03.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_05      = atrbend('QAB_S03.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_06      = atrbend('QAB_S03.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_07      = atrbend('QAB_S03.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S03_08      = atrbend('QAB_S03.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s03_g1 = [ {SF_S03_01} {CH_S03_01} {CV_S03_01} {D1_S03} {drbpm} {BPM_S03_01} {drbpm} {D2_S03} {QAB_S03_01} {D3_S03} {SD_S03_01} {CH_S03_02} {CV_S03_02} {D4_S03} {drbpm} {BPM_S03_02} {drbpm} {D5_S03} ];
subcell_s03_g2 = [ {D6_S03} {SD_S03_02} {CH_S03_03} {CV_S03_03} {D7_S03} {drbpm} {BPM_S03_03} {drbpm} {D8_S03} {QAB_S03_02} {D9_S03} {SF_S03_02} {CH_S03_04} {CV_S03_04} {D10_S03} {QAB_S03_03} {D11_S03} {drbpm} {BPM_S03_04} {drbpm} {D12_S03} {SD_S03_03} {CH_S03_05} {CV_S03_05} {D13_S03} ];
subcell_s03_g3 = [ {D14_S03} {SD_S03_04} {CH_S03_06} {CV_S03_06} {D15_S03} {QAB_S03_04} {D16_S03} {SF_S03_03} {CH_S03_07} {CV_S03_07} {D17_S03} {drbpm} {BPM_S03_05} {drbpm} {D18_S03} {OCT_S03_01} {CH_S03_08} {CV_S03_08} {D19_S03} {QF_S03_01} {D20_S03} {SD_S03_05} {D21_S03} ];
subcell_s03_g4 = [ {D22_S03} {D23_S03} {OCT_S03_02} {D24_S03} {drbpm} {BPM_S03_06} {drbpm} {D25_S03} {SH_S03_01} {CH_S03_09} {CV_S03_09} {D26_S03} {QF_S03_02} {D27_S03} {D28_S03} {SH_S03_02} {D29_S03} {QD_S03_02} {D30_S03} {D31_S03} {chv1} {D32_S03} {drbpm} {BPM_S03_07} {drbpm} ];

             
%long to short 
subcell_s03_g5 = [ {D33_S03} {drbpm} {BPM_S03_08} {drbpm} {D34_S03} {chv2} {D35_S03} {QD_S03_03} {D36_S03} {SH_S03_03} {D37_S03} {D38_S03} {QF_S03_03} {D39_S03} {SH_S03_04} {CH_S03_12} {CV_S03_12} {D40_S03} {D41_S03} {OCT_S03_03} {D42_S03} {drbpm} {BPM_S03_09} {drbpm} {D43_S03} ];
subcell_s03_g6 = [ {D44_S03} {SD_S03_06} {D45_S03} {QF_S03_04} {D46_S03} {OCT_S03_04} {CH_S03_13} {CV_S03_13} {D47_S03} {drbpm} {BPM_S03_10} {drbpm} {D48_S03} {SF_S03_04} {CH_S03_14} {CV_S03_14} {D49_S03} {QAB_S03_05} {D50_S03} {SD_S03_07} {CH_S03_15} {CV_S03_15} {D51_S03} {drbpm} {BPM_S03_11} {drbpm} {D52_S03} ];
subcell_s03_g7 = [ {D53_S03} {SD_S03_08} {CH_S03_16} {CV_S03_16} {D54_S03} {drbpm} {BPM_S03_12} {drbpm} {D55_S03} {QAB_S03_06} {D56_S03} {SF_S03_05} {CH_S03_17} {CV_S03_17} {D57_S03} {QAB_S03_07} {D58_S03} {drbpm} {BPM_S03_13} {drbpm} {D59_S03} {SD_S03_09} {CH_S03_18} {CV_S03_18} {D60_S03}];
subcell_s03_g8 = [ {D61_S03} {SD_S03_10} {CH_S03_19} {CV_S03_19} {D62_S03} {QAB_S03_08} {D63_S03} {drbpm} {BPM_S03_14} {drbpm} {D64_S03} {SF_S03_06} {CH_S03_20} {CV_S03_20}];


cell_s03_s_to_l  = [ {gs} subcell_s03_g1 {ge} B_S03_01 {gs} subcell_s03_g2 {ge} B_S03_02 {gs} subcell_s03_g3 {ge} B_S03_03 {gs} subcell_s03_g4 {ge} ];
cell_s03_l_to_s  = [ {gs} subcell_s03_g5 {ge} B_S03_04 {gs} subcell_s03_g6 {ge} B_S03_05 {gs} subcell_s03_g7 {ge} B_S03_06 {gs} subcell_s03_g8 {ge} ];

%% Cell 4-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S04 =  atdrift('D1_S04',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S04 =  atdrift('D2_S04',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S04 =  atdrift('D3_S04',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S04 =  atdrift('D4_S04',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S04 =  atdrift('D5_S04',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S04 =  atdrift('D6_S04',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S04 =  atdrift('D7_S04',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S04 =  atdrift('D8_S04',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S04 =  atdrift('D9_S04',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S04 =  atdrift('D10_S04',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S04 =  atdrift('D11_S04',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S04 =  atdrift('D12_S04',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S04 =  atdrift('D13_S04',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S04 =  atdrift('D14_S04',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S04 =  atdrift('D15_S04',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S04 =  atdrift('D16_S04',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S04 =  atdrift('D17_S04',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S04 =  atdrift('D18_S04',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S04 =  atdrift('D19_S04',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S04 =  atdrift('D20_S04',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S04 =  atdrift('D21_S04',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S04 =  atdrift('D22_S04',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S04 =  atdrift('D23_S04',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S04 =  atdrift('D24_S04',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S04 =  atdrift('D25_S04',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S04 =  atdrift('D26_S04',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S04 =  atdrift('D27_S04',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S04 =  atdrift('D28_S04',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S04 =  atdrift('D29_S04',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S04 =  atdrift('D30_S04',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S04 =  atdrift('D31_S04',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S04 =  atdrift('D32_S04',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S04 =  atdrift('D33_S04',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S04 =  atdrift('D34_S04',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S04 =  atdrift('D35_S04',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S04 =  atdrift('D36_S04',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S04 =  atdrift('D37_S04',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S04 =  atdrift('D38_S04',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S04 =  atdrift('D39_S04',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S04 =  atdrift('D40_S04',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S04 =  atdrift('D41_S04',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S04 =  atdrift('D42_S04',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S04 =  atdrift('D43_S04',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S04 =  atdrift('D44_S04',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S04 =  atdrift('D45_S04',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S04 =  atdrift('D46_S04',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S04 =  atdrift('D47_S04',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S04 =  atdrift('D48_S04',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S04 =  atdrift('D49_S04',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S04 =  atdrift('D50_S04',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S04 =  atdrift('D51_S04',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S04 =  atdrift('D52_S04',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S04 =  atdrift('D53_S04',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S04 =  atdrift('D54_S04',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S04 =  atdrift('D55_S04',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S04 =  atdrift('D56_S04',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S04 =  atdrift('D57_S04',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S04 =  atdrift('D58_S04',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S04 =  atdrift('D59_S04',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S04 =  atdrift('D60_S04',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S04 =  atdrift('D61_S04',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S04 =  atdrift('D62_S04',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S04 =  atdrift('D63_S04',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S04 =  atdrift('D64_S04',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S04_01 = atcorrector('CH_S04.01',0,[0 0],'CorrectorPass');
CH_S04_02 = atcorrector('CH_S04.02',0,[0 0],'CorrectorPass');
CH_S04_03 = atcorrector('CH_S04.03',0,[0 0],'CorrectorPass');
CH_S04_04 = atcorrector('CH_S04.04',0,[0 0],'CorrectorPass');
CH_S04_05 = atcorrector('CH_S04.05',0,[0 0],'CorrectorPass');
CH_S04_06 = atcorrector('CH_S04.06',0,[0 0],'CorrectorPass');
CH_S04_07 = atcorrector('CH_S04.07',0,[0 0],'CorrectorPass');
CH_S04_08 = atcorrector('CH_S04.08',0,[0 0],'CorrectorPass');
CH_S04_09 = atcorrector('CH_S04.09',0,[0 0],'CorrectorPass');

CH_S04_12 = atcorrector('CH_S04.12',0,[0 0],'CorrectorPass');
CH_S04_13 = atcorrector('CH_S04.13',0,[0 0],'CorrectorPass');
CH_S04_14 = atcorrector('CH_S04.14',0,[0 0],'CorrectorPass');
CH_S04_15 = atcorrector('CH_S04.15',0,[0 0],'CorrectorPass');
CH_S04_16 = atcorrector('CH_S04.16',0,[0 0],'CorrectorPass');
CH_S04_17 = atcorrector('CH_S04.17',0,[0 0],'CorrectorPass');
CH_S04_18 = atcorrector('CH_S04.18',0,[0 0],'CorrectorPass');
CH_S04_19 = atcorrector('CH_S04.19',0,[0 0],'CorrectorPass');
CH_S04_20 = atcorrector('CH_S04.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S04_01 = atcorrector('CV_S04.01',0,[0 0],'CorrectorPass');
CV_S04_02 = atcorrector('CV_S04.02',0,[0 0],'CorrectorPass');
CV_S04_03 = atcorrector('CV_S04.03',0,[0 0],'CorrectorPass');
CV_S04_04 = atcorrector('CV_S04.04',0,[0 0],'CorrectorPass');
CV_S04_05 = atcorrector('CV_S04.05',0,[0 0],'CorrectorPass');
CV_S04_06 = atcorrector('CV_S04.06',0,[0 0],'CorrectorPass');
CV_S04_07 = atcorrector('CV_S04.07',0,[0 0],'CorrectorPass');
CV_S04_08 = atcorrector('CV_S04.08',0,[0 0],'CorrectorPass');
CV_S04_09 = atcorrector('CV_S04.09',0,[0 0],'CorrectorPass');

CV_S04_12 = atcorrector('CV_S04.12',0,[0 0],'CorrectorPass');
CV_S04_13 = atcorrector('CV_S04.13',0,[0 0],'CorrectorPass');
CV_S04_14 = atcorrector('CV_S04.14',0,[0 0],'CorrectorPass');
CV_S04_15 = atcorrector('CV_S04.15',0,[0 0],'CorrectorPass');
CV_S04_16 = atcorrector('CV_S04.16',0,[0 0],'CorrectorPass');
CV_S04_17 = atcorrector('CV_S04.17',0,[0 0],'CorrectorPass');
CV_S04_18 = atcorrector('CV_S04.18',0,[0 0],'CorrectorPass');
CV_S04_19 = atcorrector('CV_S04.19',0,[0 0],'CorrectorPass');
CV_S04_20 = atcorrector('CV_S04.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S04_01 = atmonitor('BPM_S04.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_02 = atmonitor('BPM_S04.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_03 = atmonitor('BPM_S04.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_04 = atmonitor('BPM_S04.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_05 = atmonitor('BPM_S04.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_06 = atmonitor('BPM_S04.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_07 = atmonitor('BPM_S04.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_08 = atmonitor('BPM_S04.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_09 = atmonitor('BPM_S04.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_10 = atmonitor('BPM_S04.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_11 = atmonitor('BPM_S04.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_12 = atmonitor('BPM_S04.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_13 = atmonitor('BPM_S04.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S04_14 = atmonitor('BPM_S04.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S04_02 = bf2ca;
B_S04_03 = {b1};
B_S04_04 = {b1};
B_S04_05 = bf2ca;
B_S04_06 = bf3ca;

B_S04_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S04_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S04_01      = atmultipole('SD_S04.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_02      = atmultipole('SD_S04.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_03      = atmultipole('SD_S04.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_04      = atmultipole('SD_S04.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_05      = atmultipole('SD_S04.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_06      = atmultipole('SD_S04.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_07      = atmultipole('SD_S04.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_08      = atmultipole('SD_S04.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_09      = atmultipole('SD_S04.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S04_10      = atmultipole('SD_S04.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_01      = atmultipole('SF_S04.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_02      = atmultipole('SF_S04.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_03      = atmultipole('SF_S04.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_04      = atmultipole('SF_S04.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_05      = atmultipole('SF_S04.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S04_06      = atmultipole('SF_S04.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_01      = atmultipole('SH_S04.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_02      = atmultipole('SH_S04.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_03      = atmultipole('SH_S04.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S04_04      = atmultipole('SH_S04.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S04_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S04_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S04_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S04_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S04_01   = atquadrupole('QF_S04.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S04_02   = atquadrupole('QF_S04.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S04_03   = atquadrupole('QF_S04.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S04_04   = atquadrupole('QF_S04.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S04_02   = atquadrupole('QD_S04.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S04_03   = atquadrupole('QD_S04.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S04_01      = atrbend('QAB_S04.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_02      = atrbend('QAB_S04.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_03      = atrbend('QAB_S04.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_04      = atrbend('QAB_S04.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_05      = atrbend('QAB_S04.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_06      = atrbend('QAB_S04.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_07      = atrbend('QAB_S04.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S04_08      = atrbend('QAB_S04.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s04_g1 = [ {SF_S04_01} {CH_S04_01} {CV_S04_01} {D1_S04} {drbpm} {BPM_S04_01} {drbpm} {D2_S04} {QAB_S04_01} {D3_S04} {SD_S04_01} {CH_S04_02} {CV_S04_02} {D4_S04} {drbpm} {BPM_S04_02} {drbpm} {D5_S04} ];
subcell_s04_g2 = [ {D6_S04} {SD_S04_02} {CH_S04_03} {CV_S04_03} {D7_S04} {drbpm} {BPM_S04_03} {drbpm} {D8_S04} {QAB_S04_02} {D9_S04} {SF_S04_02} {CH_S04_04} {CV_S04_04} {D10_S04} {QAB_S04_03} {D11_S04} {drbpm} {BPM_S04_04} {drbpm} {D12_S04} {SD_S04_03} {CH_S04_05} {CV_S04_05} {D13_S04} ];
subcell_s04_g3 = [ {D14_S04} {SD_S04_04} {CH_S04_06} {CV_S04_06} {D15_S04} {QAB_S04_04} {D16_S04} {SF_S04_03} {CH_S04_07} {CV_S04_07} {D17_S04} {drbpm} {BPM_S04_05} {drbpm} {D18_S04} {OCT_S04_01} {CH_S04_08} {CV_S04_08} {D19_S04} {QF_S04_01} {D20_S04} {SD_S04_05} {D21_S04} ];
subcell_s04_g4 = [ {D22_S04} {D23_S04} {OCT_S04_02} {D24_S04} {drbpm} {BPM_S04_06} {drbpm} {D25_S04} {SH_S04_01} {CH_S04_09} {CV_S04_09} {D26_S04} {QF_S04_02} {D27_S04} {D28_S04} {SH_S04_02} {D29_S04} {QD_S04_02} {D30_S04} {D31_S04} {chv1} {D32_S04} {drbpm} {BPM_S04_07} {drbpm} ];

             
%long to short 
subcell_s04_g5 = [ {D33_S04} {drbpm} {BPM_S04_08} {drbpm} {D34_S04} {chv2} {D35_S04} {QD_S04_03} {D36_S04} {SH_S04_03} {D37_S04} {D38_S04} {QF_S04_03} {D39_S04} {SH_S04_04} {CH_S04_12} {CV_S04_12} {D40_S04} {D41_S04} {OCT_S04_03} {D42_S04} {drbpm} {BPM_S04_09} {drbpm} {D43_S04} ];
subcell_s04_g6 = [ {D44_S04} {SD_S04_06} {D45_S04} {QF_S04_04} {D46_S04} {OCT_S04_04} {CH_S04_13} {CV_S04_13} {D47_S04} {drbpm} {BPM_S04_10} {drbpm} {D48_S04} {SF_S04_04} {CH_S04_14} {CV_S04_14} {D49_S04} {QAB_S04_05} {D50_S04} {SD_S04_07} {CH_S04_15} {CV_S04_15} {D51_S04} {drbpm} {BPM_S04_11} {drbpm} {D52_S04} ];
subcell_s04_g7 = [ {D53_S04} {SD_S04_08} {CH_S04_16} {CV_S04_16} {D54_S04} {drbpm} {BPM_S04_12} {drbpm} {D55_S04} {QAB_S04_06} {D56_S04} {SF_S04_05} {CH_S04_17} {CV_S04_17} {D57_S04} {QAB_S04_07} {D58_S04} {drbpm} {BPM_S04_13} {drbpm} {D59_S04} {SD_S04_09} {CH_S04_18} {CV_S04_18} {D60_S04}];
subcell_s04_g8 = [ {D61_S04} {SD_S04_10} {CH_S04_19} {CV_S04_19} {D62_S04} {QAB_S04_08} {D63_S04} {drbpm} {BPM_S04_14} {drbpm} {D64_S04} {SF_S04_06} {CH_S04_20} {CV_S04_20}];


cell_s04_s_to_l  = [ {gs} subcell_s04_g1 {ge} B_S04_01 {gs} subcell_s04_g2 {ge} B_S04_02 {gs} subcell_s04_g3 {ge} B_S04_03 {gs} subcell_s04_g4 {ge} ];
cell_s04_l_to_s  = [ {gs} subcell_s04_g5 {ge} B_S04_04 {gs} subcell_s04_g6 {ge} B_S04_05 {gs} subcell_s04_g7 {ge} B_S04_06 {gs} subcell_s04_g8 {ge} ];

%% Cell 5-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S05 =  atdrift('D1_S05',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S05 =  atdrift('D2_S05',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S05 =  atdrift('D3_S05',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S05 =  atdrift('D4_S05',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S05 =  atdrift('D5_S05',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S05 =  atdrift('D6_S05',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S05 =  atdrift('D7_S05',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S05 =  atdrift('D8_S05',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S05 =  atdrift('D9_S05',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S05 =  atdrift('D10_S05',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S05 =  atdrift('D11_S05',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S05 =  atdrift('D12_S05',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S05 =  atdrift('D13_S05',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S05 =  atdrift('D14_S05',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S05 =  atdrift('D15_S05',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S05 =  atdrift('D16_S05',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S05 =  atdrift('D17_S05',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S05 =  atdrift('D18_S05',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S05 =  atdrift('D19_S05',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S05 =  atdrift('D20_S05',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S05 =  atdrift('D21_S05',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S05 =  atdrift('D22_S05',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S05 =  atdrift('D23_S05',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S05 =  atdrift('D24_S05',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S05 =  atdrift('D25_S05',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S05 =  atdrift('D26_S05',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S05 =  atdrift('D27_S05',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S05 =  atdrift('D28_S05',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S05 =  atdrift('D29_S05',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S05 =  atdrift('D30_S05',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S05 =  atdrift('D31_S05',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S05 =  atdrift('D32_S05',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S05 =  atdrift('D33_S05',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S05 =  atdrift('D34_S05',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S05 =  atdrift('D35_S05',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S05 =  atdrift('D36_S05',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S05 =  atdrift('D37_S05',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S05 =  atdrift('D38_S05',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S05 =  atdrift('D39_S05',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S05 =  atdrift('D40_S05',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S05 =  atdrift('D41_S05',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S05 =  atdrift('D42_S05',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S05 =  atdrift('D43_S05',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S05 =  atdrift('D44_S05',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S05 =  atdrift('D45_S05',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S05 =  atdrift('D46_S05',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S05 =  atdrift('D47_S05',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S05 =  atdrift('D48_S05',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S05 =  atdrift('D49_S05',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S05 =  atdrift('D50_S05',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S05 =  atdrift('D51_S05',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S05 =  atdrift('D52_S05',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S05 =  atdrift('D53_S05',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S05 =  atdrift('D54_S05',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S05 =  atdrift('D55_S05',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S05 =  atdrift('D56_S05',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S05 =  atdrift('D57_S05',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S05 =  atdrift('D58_S05',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S05 =  atdrift('D59_S05',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S05 =  atdrift('D60_S05',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S05 =  atdrift('D61_S05',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S05 =  atdrift('D62_S05',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S05 =  atdrift('D63_S05',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S05 =  atdrift('D64_S05',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S05_01 = atcorrector('CH_S05.01',0,[0 0],'CorrectorPass');
CH_S05_02 = atcorrector('CH_S05.02',0,[0 0],'CorrectorPass');
CH_S05_03 = atcorrector('CH_S05.03',0,[0 0],'CorrectorPass');
CH_S05_04 = atcorrector('CH_S05.04',0,[0 0],'CorrectorPass');
CH_S05_05 = atcorrector('CH_S05.05',0,[0 0],'CorrectorPass');
CH_S05_06 = atcorrector('CH_S05.06',0,[0 0],'CorrectorPass');
CH_S05_07 = atcorrector('CH_S05.07',0,[0 0],'CorrectorPass');
CH_S05_08 = atcorrector('CH_S05.08',0,[0 0],'CorrectorPass');
CH_S05_09 = atcorrector('CH_S05.09',0,[0 0],'CorrectorPass');

CH_S05_12 = atcorrector('CH_S05.12',0,[0 0],'CorrectorPass');
CH_S05_13 = atcorrector('CH_S05.13',0,[0 0],'CorrectorPass');
CH_S05_14 = atcorrector('CH_S05.14',0,[0 0],'CorrectorPass');
CH_S05_15 = atcorrector('CH_S05.15',0,[0 0],'CorrectorPass');
CH_S05_16 = atcorrector('CH_S05.16',0,[0 0],'CorrectorPass');
CH_S05_17 = atcorrector('CH_S05.17',0,[0 0],'CorrectorPass');
CH_S05_18 = atcorrector('CH_S05.18',0,[0 0],'CorrectorPass');
CH_S05_19 = atcorrector('CH_S05.19',0,[0 0],'CorrectorPass');
CH_S05_20 = atcorrector('CH_S05.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S05_01 = atcorrector('CV_S05.01',0,[0 0],'CorrectorPass');
CV_S05_02 = atcorrector('CV_S05.02',0,[0 0],'CorrectorPass');
CV_S05_03 = atcorrector('CV_S05.03',0,[0 0],'CorrectorPass');
CV_S05_04 = atcorrector('CV_S05.04',0,[0 0],'CorrectorPass');
CV_S05_05 = atcorrector('CV_S05.05',0,[0 0],'CorrectorPass');
CV_S05_06 = atcorrector('CV_S05.06',0,[0 0],'CorrectorPass');
CV_S05_07 = atcorrector('CV_S05.07',0,[0 0],'CorrectorPass');
CV_S05_08 = atcorrector('CV_S05.08',0,[0 0],'CorrectorPass');
CV_S05_09 = atcorrector('CV_S05.09',0,[0 0],'CorrectorPass');

CV_S05_12 = atcorrector('CV_S05.12',0,[0 0],'CorrectorPass');
CV_S05_13 = atcorrector('CV_S05.13',0,[0 0],'CorrectorPass');
CV_S05_14 = atcorrector('CV_S05.14',0,[0 0],'CorrectorPass');
CV_S05_15 = atcorrector('CV_S05.15',0,[0 0],'CorrectorPass');
CV_S05_16 = atcorrector('CV_S05.16',0,[0 0],'CorrectorPass');
CV_S05_17 = atcorrector('CV_S05.17',0,[0 0],'CorrectorPass');
CV_S05_18 = atcorrector('CV_S05.18',0,[0 0],'CorrectorPass');
CV_S05_19 = atcorrector('CV_S05.19',0,[0 0],'CorrectorPass');
CV_S05_20 = atcorrector('CV_S05.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S05_01 = atmonitor('BPM_S05.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_02 = atmonitor('BPM_S05.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_03 = atmonitor('BPM_S05.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_04 = atmonitor('BPM_S05.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_05 = atmonitor('BPM_S05.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_06 = atmonitor('BPM_S05.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_07 = atmonitor('BPM_S05.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_08 = atmonitor('BPM_S05.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_09 = atmonitor('BPM_S05.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_10 = atmonitor('BPM_S05.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_11 = atmonitor('BPM_S05.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_12 = atmonitor('BPM_S05.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_13 = atmonitor('BPM_S05.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S05_14 = atmonitor('BPM_S05.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S05_02 = bf2ca;
B_S05_03 = {b1};
B_S05_04 = {b1};
B_S05_05 = bf2ca;
B_S05_06 = bf3ca;

B_S05_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S05_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S05_01      = atmultipole('SD_S05.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_02      = atmultipole('SD_S05.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_03      = atmultipole('SD_S05.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_04      = atmultipole('SD_S05.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_05      = atmultipole('SD_S05.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_06      = atmultipole('SD_S05.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_07      = atmultipole('SD_S05.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_08      = atmultipole('SD_S05.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_09      = atmultipole('SD_S05.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S05_10      = atmultipole('SD_S05.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_01      = atmultipole('SF_S05.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_02      = atmultipole('SF_S05.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_03      = atmultipole('SF_S05.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_04      = atmultipole('SF_S05.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_05      = atmultipole('SF_S05.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S05_06      = atmultipole('SF_S05.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_01      = atmultipole('SH_S05.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_02      = atmultipole('SH_S05.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_03      = atmultipole('SH_S05.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S05_04      = atmultipole('SH_S05.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S05_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S05_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S05_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S05_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S05_01   = atquadrupole('QF_S05.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S05_02   = atquadrupole('QF_S05.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S05_03   = atquadrupole('QF_S05.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S05_04   = atquadrupole('QF_S05.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S05_02   = atquadrupole('QD_S05.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S05_03   = atquadrupole('QD_S05.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S05_01      = atrbend('QAB_S05.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_02      = atrbend('QAB_S05.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_03      = atrbend('QAB_S05.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_04      = atrbend('QAB_S05.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_05      = atrbend('QAB_S05.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_06      = atrbend('QAB_S05.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_07      = atrbend('QAB_S05.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S05_08      = atrbend('QAB_S05.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s05_g1 = [ {SF_S05_01} {CH_S05_01} {CV_S05_01} {D1_S05} {drbpm} {BPM_S05_01} {drbpm} {D2_S05} {QAB_S05_01} {D3_S05} {SD_S05_01} {CH_S05_02} {CV_S05_02} {D4_S05} {drbpm} {BPM_S05_02} {drbpm} {D5_S05} ];
subcell_s05_g2 = [ {D6_S05} {SD_S05_02} {CH_S05_03} {CV_S05_03} {D7_S05} {drbpm} {BPM_S05_03} {drbpm} {D8_S05} {QAB_S05_02} {D9_S05} {SF_S05_02} {CH_S05_04} {CV_S05_04} {D10_S05} {QAB_S05_03} {D11_S05} {drbpm} {BPM_S05_04} {drbpm} {D12_S05} {SD_S05_03} {CH_S05_05} {CV_S05_05} {D13_S05} ];
subcell_s05_g3 = [ {D14_S05} {SD_S05_04} {CH_S05_06} {CV_S05_06} {D15_S05} {QAB_S05_04} {D16_S05} {SF_S05_03} {CH_S05_07} {CV_S05_07} {D17_S05} {drbpm} {BPM_S05_05} {drbpm} {D18_S05} {OCT_S05_01} {CH_S05_08} {CV_S05_08} {D19_S05} {QF_S05_01} {D20_S05} {SD_S05_05} {D21_S05} ];
subcell_s05_g4 = [ {D22_S05} {D23_S05} {OCT_S05_02} {D24_S05} {drbpm} {BPM_S05_06} {drbpm} {D25_S05} {SH_S05_01} {CH_S05_09} {CV_S05_09} {D26_S05} {QF_S05_02} {D27_S05} {D28_S05} {SH_S05_02} {D29_S05} {QD_S05_02} {D30_S05} {D31_S05} {chv1} {D32_S05} {drbpm} {BPM_S05_07} {drbpm} ];

             
%long to short 
subcell_s05_g5 = [ {D33_S05} {drbpm} {BPM_S05_08} {drbpm} {D34_S05} {chv2} {D35_S05} {QD_S05_03} {D36_S05} {SH_S05_03} {D37_S05} {D38_S05} {QF_S05_03} {D39_S05} {SH_S05_04} {CH_S05_12} {CV_S05_12} {D40_S05} {D41_S05} {OCT_S05_03} {D42_S05} {drbpm} {BPM_S05_09} {drbpm} {D43_S05} ];
subcell_s05_g6 = [ {D44_S05} {SD_S05_06} {D45_S05} {QF_S05_04} {D46_S05} {OCT_S05_04} {CH_S05_13} {CV_S05_13} {D47_S05} {drbpm} {BPM_S05_10} {drbpm} {D48_S05} {SF_S05_04} {CH_S05_14} {CV_S05_14} {D49_S05} {QAB_S05_05} {D50_S05} {SD_S05_07} {CH_S05_15} {CV_S05_15} {D51_S05} {drbpm} {BPM_S05_11} {drbpm} {D52_S05} ];
subcell_s05_g7 = [ {D53_S05} {SD_S05_08} {CH_S05_16} {CV_S05_16} {D54_S05} {drbpm} {BPM_S05_12} {drbpm} {D55_S05} {QAB_S05_06} {D56_S05} {SF_S05_05} {CH_S05_17} {CV_S05_17} {D57_S05} {QAB_S05_07} {D58_S05} {drbpm} {BPM_S05_13} {drbpm} {D59_S05} {SD_S05_09} {CH_S05_18} {CV_S05_18} {D60_S05}];
subcell_s05_g8 = [ {D61_S05} {SD_S05_10} {CH_S05_19} {CV_S05_19} {D62_S05} {QAB_S05_08} {D63_S05} {drbpm} {BPM_S05_14} {drbpm} {D64_S05} {SF_S05_06} {CH_S05_20} {CV_S05_20}];


cell_s05_s_to_l  = [ {gs} subcell_s05_g1 {ge} B_S05_01 {gs} subcell_s05_g2 {ge} B_S05_02 {gs} subcell_s05_g3 {ge} B_S05_03 {gs} subcell_s05_g4 {ge} ];
cell_s05_l_to_s  = [ {gs} subcell_s05_g5 {ge} B_S05_04 {gs} subcell_s05_g6 {ge} B_S05_05 {gs} subcell_s05_g7 {ge} B_S05_06 {gs} subcell_s05_g8 {ge} ];

%% Cell 6-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S06 =  atdrift('D1_S06',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S06 =  atdrift('D2_S06',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S06 =  atdrift('D3_S06',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S06 =  atdrift('D4_S06',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S06 =  atdrift('D5_S06',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S06 =  atdrift('D6_S06',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S06 =  atdrift('D7_S06',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S06 =  atdrift('D8_S06',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S06 =  atdrift('D9_S06',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S06 =  atdrift('D10_S06',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S06 =  atdrift('D11_S06',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S06 =  atdrift('D12_S06',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S06 =  atdrift('D13_S06',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S06 =  atdrift('D14_S06',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S06 =  atdrift('D15_S06',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S06 =  atdrift('D16_S06',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S06 =  atdrift('D17_S06',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S06 =  atdrift('D18_S06',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S06 =  atdrift('D19_S06',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S06 =  atdrift('D20_S06',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S06 =  atdrift('D21_S06',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S06 =  atdrift('D22_S06',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S06 =  atdrift('D23_S06',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S06 =  atdrift('D24_S06',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S06 =  atdrift('D25_S06',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S06 =  atdrift('D26_S06',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S06 =  atdrift('D27_S06',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S06 =  atdrift('D28_S06',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S06 =  atdrift('D29_S06',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S06 =  atdrift('D30_S06',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S06 =  atdrift('D31_S06',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S06 =  atdrift('D32_S06',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S06 =  atdrift('D33_S06',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S06 =  atdrift('D34_S06',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S06 =  atdrift('D35_S06',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S06 =  atdrift('D36_S06',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S06 =  atdrift('D37_S06',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S06 =  atdrift('D38_S06',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S06 =  atdrift('D39_S06',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S06 =  atdrift('D40_S06',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S06 =  atdrift('D41_S06',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S06 =  atdrift('D42_S06',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S06 =  atdrift('D43_S06',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S06 =  atdrift('D44_S06',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S06 =  atdrift('D45_S06',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S06 =  atdrift('D46_S06',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S06 =  atdrift('D47_S06',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S06 =  atdrift('D48_S06',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S06 =  atdrift('D49_S06',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S06 =  atdrift('D50_S06',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S06 =  atdrift('D51_S06',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S06 =  atdrift('D52_S06',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S06 =  atdrift('D53_S06',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S06 =  atdrift('D54_S06',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S06 =  atdrift('D55_S06',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S06 =  atdrift('D56_S06',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S06 =  atdrift('D57_S06',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S06 =  atdrift('D58_S06',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S06 =  atdrift('D59_S06',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S06 =  atdrift('D60_S06',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S06 =  atdrift('D61_S06',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S06 =  atdrift('D62_S06',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S06 =  atdrift('D63_S06',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S06 =  atdrift('D64_S06',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S06_01 = atcorrector('CH_S06.01',0,[0 0],'CorrectorPass');
CH_S06_02 = atcorrector('CH_S06.02',0,[0 0],'CorrectorPass');
CH_S06_03 = atcorrector('CH_S06.03',0,[0 0],'CorrectorPass');
CH_S06_04 = atcorrector('CH_S06.04',0,[0 0],'CorrectorPass');
CH_S06_05 = atcorrector('CH_S06.05',0,[0 0],'CorrectorPass');
CH_S06_06 = atcorrector('CH_S06.06',0,[0 0],'CorrectorPass');
CH_S06_07 = atcorrector('CH_S06.07',0,[0 0],'CorrectorPass');
CH_S06_08 = atcorrector('CH_S06.08',0,[0 0],'CorrectorPass');
CH_S06_09 = atcorrector('CH_S06.09',0,[0 0],'CorrectorPass');

CH_S06_12 = atcorrector('CH_S06.12',0,[0 0],'CorrectorPass');
CH_S06_13 = atcorrector('CH_S06.13',0,[0 0],'CorrectorPass');
CH_S06_14 = atcorrector('CH_S06.14',0,[0 0],'CorrectorPass');
CH_S06_15 = atcorrector('CH_S06.15',0,[0 0],'CorrectorPass');
CH_S06_16 = atcorrector('CH_S06.16',0,[0 0],'CorrectorPass');
CH_S06_17 = atcorrector('CH_S06.17',0,[0 0],'CorrectorPass');
CH_S06_18 = atcorrector('CH_S06.18',0,[0 0],'CorrectorPass');
CH_S06_19 = atcorrector('CH_S06.19',0,[0 0],'CorrectorPass');
CH_S06_20 = atcorrector('CH_S06.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S06_01 = atcorrector('CV_S06.01',0,[0 0],'CorrectorPass');
CV_S06_02 = atcorrector('CV_S06.02',0,[0 0],'CorrectorPass');
CV_S06_03 = atcorrector('CV_S06.03',0,[0 0],'CorrectorPass');
CV_S06_04 = atcorrector('CV_S06.04',0,[0 0],'CorrectorPass');
CV_S06_05 = atcorrector('CV_S06.05',0,[0 0],'CorrectorPass');
CV_S06_06 = atcorrector('CV_S06.06',0,[0 0],'CorrectorPass');
CV_S06_07 = atcorrector('CV_S06.07',0,[0 0],'CorrectorPass');
CV_S06_08 = atcorrector('CV_S06.08',0,[0 0],'CorrectorPass');
CV_S06_09 = atcorrector('CV_S06.09',0,[0 0],'CorrectorPass');

CV_S06_12 = atcorrector('CV_S06.12',0,[0 0],'CorrectorPass');
CV_S06_13 = atcorrector('CV_S06.13',0,[0 0],'CorrectorPass');
CV_S06_14 = atcorrector('CV_S06.14',0,[0 0],'CorrectorPass');
CV_S06_15 = atcorrector('CV_S06.15',0,[0 0],'CorrectorPass');
CV_S06_16 = atcorrector('CV_S06.16',0,[0 0],'CorrectorPass');
CV_S06_17 = atcorrector('CV_S06.17',0,[0 0],'CorrectorPass');
CV_S06_18 = atcorrector('CV_S06.18',0,[0 0],'CorrectorPass');
CV_S06_19 = atcorrector('CV_S06.19',0,[0 0],'CorrectorPass');
CV_S06_20 = atcorrector('CV_S06.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S06_01 = atmonitor('BPM_S06.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_02 = atmonitor('BPM_S06.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_03 = atmonitor('BPM_S06.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_04 = atmonitor('BPM_S06.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_05 = atmonitor('BPM_S06.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_06 = atmonitor('BPM_S06.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_07 = atmonitor('BPM_S06.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_08 = atmonitor('BPM_S06.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_09 = atmonitor('BPM_S06.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_10 = atmonitor('BPM_S06.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_11 = atmonitor('BPM_S06.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_12 = atmonitor('BPM_S06.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_13 = atmonitor('BPM_S06.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S06_14 = atmonitor('BPM_S06.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S06_02 = bf2ca;
B_S06_03 = {b1};
B_S06_04 = {b1};
B_S06_05 = bf2ca;
B_S06_06 = bf3ca;

B_S06_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S06_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S06_01      = atmultipole('SD_S06.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_02      = atmultipole('SD_S06.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_03      = atmultipole('SD_S06.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_04      = atmultipole('SD_S06.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_05      = atmultipole('SD_S06.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_06      = atmultipole('SD_S06.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_07      = atmultipole('SD_S06.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_08      = atmultipole('SD_S06.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_09      = atmultipole('SD_S06.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S06_10      = atmultipole('SD_S06.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_01      = atmultipole('SF_S06.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_02      = atmultipole('SF_S06.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_03      = atmultipole('SF_S06.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_04      = atmultipole('SF_S06.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_05      = atmultipole('SF_S06.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S06_06      = atmultipole('SF_S06.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_01      = atmultipole('SH_S06.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_02      = atmultipole('SH_S06.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_03      = atmultipole('SH_S06.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S06_04      = atmultipole('SH_S06.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S06_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S06_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S06_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S06_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S06_01   = atquadrupole('QF_S06.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S06_02   = atquadrupole('QF_S06.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S06_03   = atquadrupole('QF_S06.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S06_04   = atquadrupole('QF_S06.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S06_02   = atquadrupole('QD_S06.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S06_03   = atquadrupole('QD_S06.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S06_01      = atrbend('QAB_S06.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_02      = atrbend('QAB_S06.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_03      = atrbend('QAB_S06.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_04      = atrbend('QAB_S06.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_05      = atrbend('QAB_S06.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_06      = atrbend('QAB_S06.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_07      = atrbend('QAB_S06.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S06_08      = atrbend('QAB_S06.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s06_g1 = [ {SF_S06_01} {CH_S06_01} {CV_S06_01} {D1_S06} {drbpm} {BPM_S06_01} {drbpm} {D2_S06} {QAB_S06_01} {D3_S06} {SD_S06_01} {CH_S06_02} {CV_S06_02} {D4_S06} {drbpm} {BPM_S06_02} {drbpm} {D5_S06} ];
subcell_s06_g2 = [ {D6_S06} {SD_S06_02} {CH_S06_03} {CV_S06_03} {D7_S06} {drbpm} {BPM_S06_03} {drbpm} {D8_S06} {QAB_S06_02} {D9_S06} {SF_S06_02} {CH_S06_04} {CV_S06_04} {D10_S06} {QAB_S06_03} {D11_S06} {drbpm} {BPM_S06_04} {drbpm} {D12_S06} {SD_S06_03} {CH_S06_05} {CV_S06_05} {D13_S06} ];
subcell_s06_g3 = [ {D14_S06} {SD_S06_04} {CH_S06_06} {CV_S06_06} {D15_S06} {QAB_S06_04} {D16_S06} {SF_S06_03} {CH_S06_07} {CV_S06_07} {D17_S06} {drbpm} {BPM_S06_05} {drbpm} {D18_S06} {OCT_S06_01} {CH_S06_08} {CV_S06_08} {D19_S06} {QF_S06_01} {D20_S06} {SD_S06_05} {D21_S06} ];
subcell_s06_g4 = [ {D22_S06} {D23_S06} {OCT_S06_02} {D24_S06} {drbpm} {BPM_S06_06} {drbpm} {D25_S06} {SH_S06_01} {CH_S06_09} {CV_S06_09} {D26_S06} {QF_S06_02} {D27_S06} {D28_S06} {SH_S06_02} {D29_S06} {QD_S06_02} {D30_S06} {D31_S06} {chv1} {D32_S06} {drbpm} {BPM_S06_07} {drbpm} ];

             
%long to short 
subcell_s06_g5 = [ {D33_S06} {drbpm} {BPM_S06_08} {drbpm} {D34_S06} {chv2} {D35_S06} {QD_S06_03} {D36_S06} {SH_S06_03} {D37_S06} {D38_S06} {QF_S06_03} {D39_S06} {SH_S06_04} {CH_S06_12} {CV_S06_12} {D40_S06} {D41_S06} {OCT_S06_03} {D42_S06} {drbpm} {BPM_S06_09} {drbpm} {D43_S06} ];
subcell_s06_g6 = [ {D44_S06} {SD_S06_06} {D45_S06} {QF_S06_04} {D46_S06} {OCT_S06_04} {CH_S06_13} {CV_S06_13} {D47_S06} {drbpm} {BPM_S06_10} {drbpm} {D48_S06} {SF_S06_04} {CH_S06_14} {CV_S06_14} {D49_S06} {QAB_S06_05} {D50_S06} {SD_S06_07} {CH_S06_15} {CV_S06_15} {D51_S06} {drbpm} {BPM_S06_11} {drbpm} {D52_S06} ];
subcell_s06_g7 = [ {D53_S06} {SD_S06_08} {CH_S06_16} {CV_S06_16} {D54_S06} {drbpm} {BPM_S06_12} {drbpm} {D55_S06} {QAB_S06_06} {D56_S06} {SF_S06_05} {CH_S06_17} {CV_S06_17} {D57_S06} {QAB_S06_07} {D58_S06} {drbpm} {BPM_S06_13} {drbpm} {D59_S06} {SD_S06_09} {CH_S06_18} {CV_S06_18} {D60_S06}];
subcell_s06_g8 = [ {D61_S06} {SD_S06_10} {CH_S06_19} {CV_S06_19} {D62_S06} {QAB_S06_08} {D63_S06} {drbpm} {BPM_S06_14} {drbpm} {D64_S06} {SF_S06_06} {CH_S06_20} {CV_S06_20}];


cell_s06_s_to_l  = [ {gs} subcell_s06_g1 {ge} B_S06_01 {gs} subcell_s06_g2 {ge} B_S06_02 {gs} subcell_s06_g3 {ge} B_S06_03 {gs} subcell_s06_g4 {ge} ];
cell_s06_l_to_s  = [ {gs} subcell_s06_g5 {ge} B_S06_04 {gs} subcell_s06_g6 {ge} B_S06_05 {gs} subcell_s06_g7 {ge} B_S06_06 {gs} subcell_s06_g8 {ge} ];

%% Cell 7-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S07 =  atdrift('D1_S07',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S07 =  atdrift('D2_S07',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S07 =  atdrift('D3_S07',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S07 =  atdrift('D4_S07',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S07 =  atdrift('D5_S07',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S07 =  atdrift('D6_S07',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S07 =  atdrift('D7_S07',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S07 =  atdrift('D8_S07',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S07 =  atdrift('D9_S07',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S07 =  atdrift('D10_S07',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S07 =  atdrift('D11_S07',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S07 =  atdrift('D12_S07',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S07 =  atdrift('D13_S07',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S07 =  atdrift('D14_S07',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S07 =  atdrift('D15_S07',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S07 =  atdrift('D16_S07',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S07 =  atdrift('D17_S07',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S07 =  atdrift('D18_S07',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S07 =  atdrift('D19_S07',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S07 =  atdrift('D20_S07',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S07 =  atdrift('D21_S07',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S07 =  atdrift('D22_S07',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S07 =  atdrift('D23_S07',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S07 =  atdrift('D24_S07',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S07 =  atdrift('D25_S07',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S07 =  atdrift('D26_S07',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S07 =  atdrift('D27_S07',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S07 =  atdrift('D28_S07',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S07 =  atdrift('D29_S07',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S07 =  atdrift('D30_S07',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S07 =  atdrift('D31_S07',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S07 =  atdrift('D32_S07',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S07 =  atdrift('D33_S07',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S07 =  atdrift('D34_S07',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S07 =  atdrift('D35_S07',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S07 =  atdrift('D36_S07',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S07 =  atdrift('D37_S07',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S07 =  atdrift('D38_S07',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S07 =  atdrift('D39_S07',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S07 =  atdrift('D40_S07',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S07 =  atdrift('D41_S07',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S07 =  atdrift('D42_S07',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S07 =  atdrift('D43_S07',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S07 =  atdrift('D44_S07',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S07 =  atdrift('D45_S07',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S07 =  atdrift('D46_S07',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S07 =  atdrift('D47_S07',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S07 =  atdrift('D48_S07',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S07 =  atdrift('D49_S07',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S07 =  atdrift('D50_S07',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S07 =  atdrift('D51_S07',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S07 =  atdrift('D52_S07',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S07 =  atdrift('D53_S07',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S07 =  atdrift('D54_S07',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S07 =  atdrift('D55_S07',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S07 =  atdrift('D56_S07',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S07 =  atdrift('D57_S07',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S07 =  atdrift('D58_S07',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S07 =  atdrift('D59_S07',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S07 =  atdrift('D60_S07',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S07 =  atdrift('D61_S07',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S07 =  atdrift('D62_S07',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S07 =  atdrift('D63_S07',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S07 =  atdrift('D64_S07',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S07_01 = atcorrector('CH_S07.01',0,[0 0],'CorrectorPass');
CH_S07_02 = atcorrector('CH_S07.02',0,[0 0],'CorrectorPass');
CH_S07_03 = atcorrector('CH_S07.03',0,[0 0],'CorrectorPass');
CH_S07_04 = atcorrector('CH_S07.04',0,[0 0],'CorrectorPass');
CH_S07_05 = atcorrector('CH_S07.05',0,[0 0],'CorrectorPass');
CH_S07_06 = atcorrector('CH_S07.06',0,[0 0],'CorrectorPass');
CH_S07_07 = atcorrector('CH_S07.07',0,[0 0],'CorrectorPass');
CH_S07_08 = atcorrector('CH_S07.08',0,[0 0],'CorrectorPass');
CH_S07_09 = atcorrector('CH_S07.09',0,[0 0],'CorrectorPass');

CH_S07_12 = atcorrector('CH_S07.12',0,[0 0],'CorrectorPass');
CH_S07_13 = atcorrector('CH_S07.13',0,[0 0],'CorrectorPass');
CH_S07_14 = atcorrector('CH_S07.14',0,[0 0],'CorrectorPass');
CH_S07_15 = atcorrector('CH_S07.15',0,[0 0],'CorrectorPass');
CH_S07_16 = atcorrector('CH_S07.16',0,[0 0],'CorrectorPass');
CH_S07_17 = atcorrector('CH_S07.17',0,[0 0],'CorrectorPass');
CH_S07_18 = atcorrector('CH_S07.18',0,[0 0],'CorrectorPass');
CH_S07_19 = atcorrector('CH_S07.19',0,[0 0],'CorrectorPass');
CH_S07_20 = atcorrector('CH_S07.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S07_01 = atcorrector('CV_S07.01',0,[0 0],'CorrectorPass');
CV_S07_02 = atcorrector('CV_S07.02',0,[0 0],'CorrectorPass');
CV_S07_03 = atcorrector('CV_S07.03',0,[0 0],'CorrectorPass');
CV_S07_04 = atcorrector('CV_S07.04',0,[0 0],'CorrectorPass');
CV_S07_05 = atcorrector('CV_S07.05',0,[0 0],'CorrectorPass');
CV_S07_06 = atcorrector('CV_S07.06',0,[0 0],'CorrectorPass');
CV_S07_07 = atcorrector('CV_S07.07',0,[0 0],'CorrectorPass');
CV_S07_08 = atcorrector('CV_S07.08',0,[0 0],'CorrectorPass');
CV_S07_09 = atcorrector('CV_S07.09',0,[0 0],'CorrectorPass');

CV_S07_12 = atcorrector('CV_S07.12',0,[0 0],'CorrectorPass');
CV_S07_13 = atcorrector('CV_S07.13',0,[0 0],'CorrectorPass');
CV_S07_14 = atcorrector('CV_S07.14',0,[0 0],'CorrectorPass');
CV_S07_15 = atcorrector('CV_S07.15',0,[0 0],'CorrectorPass');
CV_S07_16 = atcorrector('CV_S07.16',0,[0 0],'CorrectorPass');
CV_S07_17 = atcorrector('CV_S07.17',0,[0 0],'CorrectorPass');
CV_S07_18 = atcorrector('CV_S07.18',0,[0 0],'CorrectorPass');
CV_S07_19 = atcorrector('CV_S07.19',0,[0 0],'CorrectorPass');
CV_S07_20 = atcorrector('CV_S07.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S07_01 = atmonitor('BPM_S07.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_02 = atmonitor('BPM_S07.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_03 = atmonitor('BPM_S07.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_04 = atmonitor('BPM_S07.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_05 = atmonitor('BPM_S07.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_06 = atmonitor('BPM_S07.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_07 = atmonitor('BPM_S07.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_08 = atmonitor('BPM_S07.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_09 = atmonitor('BPM_S07.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_10 = atmonitor('BPM_S07.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_11 = atmonitor('BPM_S07.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_12 = atmonitor('BPM_S07.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_13 = atmonitor('BPM_S07.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S07_14 = atmonitor('BPM_S07.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S07_02 = bf2ca;
B_S07_03 = {b1};
B_S07_04 = {b1};
B_S07_05 = bf2ca;
B_S07_06 = bf3ca;

B_S07_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S07_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S07_01      = atmultipole('SD_S07.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_02      = atmultipole('SD_S07.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_03      = atmultipole('SD_S07.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_04      = atmultipole('SD_S07.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_05      = atmultipole('SD_S07.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_06      = atmultipole('SD_S07.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_07      = atmultipole('SD_S07.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_08      = atmultipole('SD_S07.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_09      = atmultipole('SD_S07.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S07_10      = atmultipole('SD_S07.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_01      = atmultipole('SF_S07.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_02      = atmultipole('SF_S07.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_03      = atmultipole('SF_S07.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_04      = atmultipole('SF_S07.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_05      = atmultipole('SF_S07.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S07_06      = atmultipole('SF_S07.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_01      = atmultipole('SH_S07.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_02      = atmultipole('SH_S07.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_03      = atmultipole('SH_S07.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S07_04      = atmultipole('SH_S07.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S07_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S07_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S07_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S07_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S07_01   = atquadrupole('QF_S07.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S07_02   = atquadrupole('QF_S07.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S07_03   = atquadrupole('QF_S07.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S07_04   = atquadrupole('QF_S07.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S07_02   = atquadrupole('QD_S07.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S07_03   = atquadrupole('QD_S07.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S07_01      = atrbend('QAB_S07.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_02      = atrbend('QAB_S07.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_03      = atrbend('QAB_S07.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_04      = atrbend('QAB_S07.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_05      = atrbend('QAB_S07.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_06      = atrbend('QAB_S07.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_07      = atrbend('QAB_S07.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S07_08      = atrbend('QAB_S07.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s07_g1 = [ {SF_S07_01} {CH_S07_01} {CV_S07_01} {D1_S07} {drbpm} {BPM_S07_01} {drbpm} {D2_S07} {QAB_S07_01} {D3_S07} {SD_S07_01} {CH_S07_02} {CV_S07_02} {D4_S07} {drbpm} {BPM_S07_02} {drbpm} {D5_S07} ];
subcell_s07_g2 = [ {D6_S07} {SD_S07_02} {CH_S07_03} {CV_S07_03} {D7_S07} {drbpm} {BPM_S07_03} {drbpm} {D8_S07} {QAB_S07_02} {D9_S07} {SF_S07_02} {CH_S07_04} {CV_S07_04} {D10_S07} {QAB_S07_03} {D11_S07} {drbpm} {BPM_S07_04} {drbpm} {D12_S07} {SD_S07_03} {CH_S07_05} {CV_S07_05} {D13_S07} ];
subcell_s07_g3 = [ {D14_S07} {SD_S07_04} {CH_S07_06} {CV_S07_06} {D15_S07} {QAB_S07_04} {D16_S07} {SF_S07_03} {CH_S07_07} {CV_S07_07} {D17_S07} {drbpm} {BPM_S07_05} {drbpm} {D18_S07} {OCT_S07_01} {CH_S07_08} {CV_S07_08} {D19_S07} {QF_S07_01} {D20_S07} {SD_S07_05} {D21_S07} ];
subcell_s07_g4 = [ {D22_S07} {D23_S07} {OCT_S07_02} {D24_S07} {drbpm} {BPM_S07_06} {drbpm} {D25_S07} {SH_S07_01} {CH_S07_09} {CV_S07_09} {D26_S07} {QF_S07_02} {D27_S07} {D28_S07} {SH_S07_02} {D29_S07} {QD_S07_02} {D30_S07} {D31_S07} {chv1} {D32_S07} {drbpm} {BPM_S07_07} {drbpm} ];

             
%long to short 
subcell_s07_g5 = [ {D33_S07} {drbpm} {BPM_S07_08} {drbpm} {D34_S07} {chv2} {D35_S07} {QD_S07_03} {D36_S07} {SH_S07_03} {D37_S07} {D38_S07} {QF_S07_03} {D39_S07} {SH_S07_04} {CH_S07_12} {CV_S07_12} {D40_S07} {D41_S07} {OCT_S07_03} {D42_S07} {drbpm} {BPM_S07_09} {drbpm} {D43_S07} ];
subcell_s07_g6 = [ {D44_S07} {SD_S07_06} {D45_S07} {QF_S07_04} {D46_S07} {OCT_S07_04} {CH_S07_13} {CV_S07_13} {D47_S07} {drbpm} {BPM_S07_10} {drbpm} {D48_S07} {SF_S07_04} {CH_S07_14} {CV_S07_14} {D49_S07} {QAB_S07_05} {D50_S07} {SD_S07_07} {CH_S07_15} {CV_S07_15} {D51_S07} {drbpm} {BPM_S07_11} {drbpm} {D52_S07} ];
subcell_s07_g7 = [ {D53_S07} {SD_S07_08} {CH_S07_16} {CV_S07_16} {D54_S07} {drbpm} {BPM_S07_12} {drbpm} {D55_S07} {QAB_S07_06} {D56_S07} {SF_S07_05} {CH_S07_17} {CV_S07_17} {D57_S07} {QAB_S07_07} {D58_S07} {drbpm} {BPM_S07_13} {drbpm} {D59_S07} {SD_S07_09} {CH_S07_18} {CV_S07_18} {D60_S07}];
subcell_s07_g8 = [ {D61_S07} {SD_S07_10} {CH_S07_19} {CV_S07_19} {D62_S07} {QAB_S07_08} {D63_S07} {drbpm} {BPM_S07_14} {drbpm} {D64_S07} {SF_S07_06} {CH_S07_20} {CV_S07_20}];


cell_s07_s_to_l  = [ {gs} subcell_s07_g1 {ge} B_S07_01 {gs} subcell_s07_g2 {ge} B_S07_02 {gs} subcell_s07_g3 {ge} B_S07_03 {gs} subcell_s07_g4 {ge} ];
cell_s07_l_to_s  = [ {gs} subcell_s07_g5 {ge} B_S07_04 {gs} subcell_s07_g6 {ge} B_S07_05 {gs} subcell_s07_g7 {ge} B_S07_06 {gs} subcell_s07_g8 {ge} ];

%% Cell 8-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S08 =  atdrift('D1_S08',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S08 =  atdrift('D2_S08',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S08 =  atdrift('D3_S08',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S08 =  atdrift('D4_S08',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S08 =  atdrift('D5_S08',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S08 =  atdrift('D6_S08',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S08 =  atdrift('D7_S08',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S08 =  atdrift('D8_S08',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S08 =  atdrift('D9_S08',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S08 =  atdrift('D10_S08',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S08 =  atdrift('D11_S08',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S08 =  atdrift('D12_S08',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S08 =  atdrift('D13_S08',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S08 =  atdrift('D14_S08',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S08 =  atdrift('D15_S08',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S08 =  atdrift('D16_S08',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S08 =  atdrift('D17_S08',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S08 =  atdrift('D18_S08',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S08 =  atdrift('D19_S08',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S08 =  atdrift('D20_S08',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S08 =  atdrift('D21_S08',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S08 =  atdrift('D22_S08',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S08 =  atdrift('D23_S08',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S08 =  atdrift('D24_S08',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S08 =  atdrift('D25_S08',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S08 =  atdrift('D26_S08',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S08 =  atdrift('D27_S08',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S08 =  atdrift('D28_S08',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S08 =  atdrift('D29_S08',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S08 =  atdrift('D30_S08',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S08 =  atdrift('D31_S08',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S08 =  atdrift('D32_S08',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S08 =  atdrift('D33_S08',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S08 =  atdrift('D34_S08',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S08 =  atdrift('D35_S08',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S08 =  atdrift('D36_S08',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S08 =  atdrift('D37_S08',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S08 =  atdrift('D38_S08',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S08 =  atdrift('D39_S08',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S08 =  atdrift('D40_S08',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S08 =  atdrift('D41_S08',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S08 =  atdrift('D42_S08',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S08 =  atdrift('D43_S08',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S08 =  atdrift('D44_S08',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S08 =  atdrift('D45_S08',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S08 =  atdrift('D46_S08',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S08 =  atdrift('D47_S08',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S08 =  atdrift('D48_S08',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S08 =  atdrift('D49_S08',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S08 =  atdrift('D50_S08',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S08 =  atdrift('D51_S08',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S08 =  atdrift('D52_S08',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S08 =  atdrift('D53_S08',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S08 =  atdrift('D54_S08',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S08 =  atdrift('D55_S08',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S08 =  atdrift('D56_S08',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S08 =  atdrift('D57_S08',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S08 =  atdrift('D58_S08',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S08 =  atdrift('D59_S08',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S08 =  atdrift('D60_S08',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S08 =  atdrift('D61_S08',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S08 =  atdrift('D62_S08',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S08 =  atdrift('D63_S08',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S08 =  atdrift('D64_S08',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S08_01 = atcorrector('CH_S08.01',0,[0 0],'CorrectorPass');
CH_S08_02 = atcorrector('CH_S08.02',0,[0 0],'CorrectorPass');
CH_S08_03 = atcorrector('CH_S08.03',0,[0 0],'CorrectorPass');
CH_S08_04 = atcorrector('CH_S08.04',0,[0 0],'CorrectorPass');
CH_S08_05 = atcorrector('CH_S08.05',0,[0 0],'CorrectorPass');
CH_S08_06 = atcorrector('CH_S08.06',0,[0 0],'CorrectorPass');
CH_S08_07 = atcorrector('CH_S08.07',0,[0 0],'CorrectorPass');
CH_S08_08 = atcorrector('CH_S08.08',0,[0 0],'CorrectorPass');
CH_S08_09 = atcorrector('CH_S08.09',0,[0 0],'CorrectorPass');

CH_S08_12 = atcorrector('CH_S08.12',0,[0 0],'CorrectorPass');
CH_S08_13 = atcorrector('CH_S08.13',0,[0 0],'CorrectorPass');
CH_S08_14 = atcorrector('CH_S08.14',0,[0 0],'CorrectorPass');
CH_S08_15 = atcorrector('CH_S08.15',0,[0 0],'CorrectorPass');
CH_S08_16 = atcorrector('CH_S08.16',0,[0 0],'CorrectorPass');
CH_S08_17 = atcorrector('CH_S08.17',0,[0 0],'CorrectorPass');
CH_S08_18 = atcorrector('CH_S08.18',0,[0 0],'CorrectorPass');
CH_S08_19 = atcorrector('CH_S08.19',0,[0 0],'CorrectorPass');
CH_S08_20 = atcorrector('CH_S08.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S08_01 = atcorrector('CV_S08.01',0,[0 0],'CorrectorPass');
CV_S08_02 = atcorrector('CV_S08.02',0,[0 0],'CorrectorPass');
CV_S08_03 = atcorrector('CV_S08.03',0,[0 0],'CorrectorPass');
CV_S08_04 = atcorrector('CV_S08.04',0,[0 0],'CorrectorPass');
CV_S08_05 = atcorrector('CV_S08.05',0,[0 0],'CorrectorPass');
CV_S08_06 = atcorrector('CV_S08.06',0,[0 0],'CorrectorPass');
CV_S08_07 = atcorrector('CV_S08.07',0,[0 0],'CorrectorPass');
CV_S08_08 = atcorrector('CV_S08.08',0,[0 0],'CorrectorPass');
CV_S08_09 = atcorrector('CV_S08.09',0,[0 0],'CorrectorPass');

CV_S08_12 = atcorrector('CV_S08.12',0,[0 0],'CorrectorPass');
CV_S08_13 = atcorrector('CV_S08.13',0,[0 0],'CorrectorPass');
CV_S08_14 = atcorrector('CV_S08.14',0,[0 0],'CorrectorPass');
CV_S08_15 = atcorrector('CV_S08.15',0,[0 0],'CorrectorPass');
CV_S08_16 = atcorrector('CV_S08.16',0,[0 0],'CorrectorPass');
CV_S08_17 = atcorrector('CV_S08.17',0,[0 0],'CorrectorPass');
CV_S08_18 = atcorrector('CV_S08.18',0,[0 0],'CorrectorPass');
CV_S08_19 = atcorrector('CV_S08.19',0,[0 0],'CorrectorPass');
CV_S08_20 = atcorrector('CV_S08.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S08_01 = atmonitor('BPM_S08.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_02 = atmonitor('BPM_S08.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_03 = atmonitor('BPM_S08.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_04 = atmonitor('BPM_S08.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_05 = atmonitor('BPM_S08.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_06 = atmonitor('BPM_S08.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_07 = atmonitor('BPM_S08.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_08 = atmonitor('BPM_S08.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_09 = atmonitor('BPM_S08.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_10 = atmonitor('BPM_S08.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_11 = atmonitor('BPM_S08.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_12 = atmonitor('BPM_S08.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_13 = atmonitor('BPM_S08.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S08_14 = atmonitor('BPM_S08.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S08_02 = bf2ca;
B_S08_03 = {b1};
B_S08_04 = {b1};
B_S08_05 = bf2ca;
B_S08_06 = bf3ca;

B_S08_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S08_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S08_01      = atmultipole('SD_S08.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_02      = atmultipole('SD_S08.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_03      = atmultipole('SD_S08.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_04      = atmultipole('SD_S08.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_05      = atmultipole('SD_S08.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_06      = atmultipole('SD_S08.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_07      = atmultipole('SD_S08.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_08      = atmultipole('SD_S08.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_09      = atmultipole('SD_S08.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S08_10      = atmultipole('SD_S08.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_01      = atmultipole('SF_S08.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_02      = atmultipole('SF_S08.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_03      = atmultipole('SF_S08.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_04      = atmultipole('SF_S08.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_05      = atmultipole('SF_S08.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S08_06      = atmultipole('SF_S08.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_01      = atmultipole('SH_S08.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_02      = atmultipole('SH_S08.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_03      = atmultipole('SH_S08.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S08_04      = atmultipole('SH_S08.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S08_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S08_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S08_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S08_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S08_01   = atquadrupole('QF_S08.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S08_02   = atquadrupole('QF_S08.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S08_03   = atquadrupole('QF_S08.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S08_04   = atquadrupole('QF_S08.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S08_02   = atquadrupole('QD_S08.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S08_03   = atquadrupole('QD_S08.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S08_01      = atrbend('QAB_S08.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_02      = atrbend('QAB_S08.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_03      = atrbend('QAB_S08.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_04      = atrbend('QAB_S08.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_05      = atrbend('QAB_S08.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_06      = atrbend('QAB_S08.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_07      = atrbend('QAB_S08.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S08_08      = atrbend('QAB_S08.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s08_g1 = [ {SF_S08_01} {CH_S08_01} {CV_S08_01} {D1_S08} {drbpm} {BPM_S08_01} {drbpm} {D2_S08} {QAB_S08_01} {D3_S08} {SD_S08_01} {CH_S08_02} {CV_S08_02} {D4_S08} {drbpm} {BPM_S08_02} {drbpm} {D5_S08} ];
subcell_s08_g2 = [ {D6_S08} {SD_S08_02} {CH_S08_03} {CV_S08_03} {D7_S08} {drbpm} {BPM_S08_03} {drbpm} {D8_S08} {QAB_S08_02} {D9_S08} {SF_S08_02} {CH_S08_04} {CV_S08_04} {D10_S08} {QAB_S08_03} {D11_S08} {drbpm} {BPM_S08_04} {drbpm} {D12_S08} {SD_S08_03} {CH_S08_05} {CV_S08_05} {D13_S08} ];
subcell_s08_g3 = [ {D14_S08} {SD_S08_04} {CH_S08_06} {CV_S08_06} {D15_S08} {QAB_S08_04} {D16_S08} {SF_S08_03} {CH_S08_07} {CV_S08_07} {D17_S08} {drbpm} {BPM_S08_05} {drbpm} {D18_S08} {OCT_S08_01} {CH_S08_08} {CV_S08_08} {D19_S08} {QF_S08_01} {D20_S08} {SD_S08_05} {D21_S08} ];
subcell_s08_g4 = [ {D22_S08} {D23_S08} {OCT_S08_02} {D24_S08} {drbpm} {BPM_S08_06} {drbpm} {D25_S08} {SH_S08_01} {CH_S08_09} {CV_S08_09} {D26_S08} {QF_S08_02} {D27_S08} {D28_S08} {SH_S08_02} {D29_S08} {QD_S08_02} {D30_S08} {D31_S08} {chv1} {D32_S08} {drbpm} {BPM_S08_07} {drbpm} ];

             
%long to short 
subcell_s08_g5 = [ {D33_S08} {drbpm} {BPM_S08_08} {drbpm} {D34_S08} {chv2} {D35_S08} {QD_S08_03} {D36_S08} {SH_S08_03} {D37_S08} {D38_S08} {QF_S08_03} {D39_S08} {SH_S08_04} {CH_S08_12} {CV_S08_12} {D40_S08} {D41_S08} {OCT_S08_03} {D42_S08} {drbpm} {BPM_S08_09} {drbpm} {D43_S08} ];
subcell_s08_g6 = [ {D44_S08} {SD_S08_06} {D45_S08} {QF_S08_04} {D46_S08} {OCT_S08_04} {CH_S08_13} {CV_S08_13} {D47_S08} {drbpm} {BPM_S08_10} {drbpm} {D48_S08} {SF_S08_04} {CH_S08_14} {CV_S08_14} {D49_S08} {QAB_S08_05} {D50_S08} {SD_S08_07} {CH_S08_15} {CV_S08_15} {D51_S08} {drbpm} {BPM_S08_11} {drbpm} {D52_S08} ];
subcell_s08_g7 = [ {D53_S08} {SD_S08_08} {CH_S08_16} {CV_S08_16} {D54_S08} {drbpm} {BPM_S08_12} {drbpm} {D55_S08} {QAB_S08_06} {D56_S08} {SF_S08_05} {CH_S08_17} {CV_S08_17} {D57_S08} {QAB_S08_07} {D58_S08} {drbpm} {BPM_S08_13} {drbpm} {D59_S08} {SD_S08_09} {CH_S08_18} {CV_S08_18} {D60_S08}];
subcell_s08_g8 = [ {D61_S08} {SD_S08_10} {CH_S08_19} {CV_S08_19} {D62_S08} {QAB_S08_08} {D63_S08} {drbpm} {BPM_S08_14} {drbpm} {D64_S08} {SF_S08_06} {CH_S08_20} {CV_S08_20}];


cell_s08_s_to_l  = [ {gs} subcell_s08_g1 {ge} B_S08_01 {gs} subcell_s08_g2 {ge} B_S08_02 {gs} subcell_s08_g3 {ge} B_S08_03 {gs} subcell_s08_g4 {ge} ];
cell_s08_l_to_s  = [ {gs} subcell_s08_g5 {ge} B_S08_04 {gs} subcell_s08_g6 {ge} B_S08_05 {gs} subcell_s08_g7 {ge} B_S08_06 {gs} subcell_s08_g8 {ge} ];

%% Cell 9-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S09 =  atdrift('D1_S09',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S09 =  atdrift('D2_S09',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S09 =  atdrift('D3_S09',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S09 =  atdrift('D4_S09',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S09 =  atdrift('D5_S09',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S09 =  atdrift('D6_S09',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S09 =  atdrift('D7_S09',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S09 =  atdrift('D8_S09',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S09 =  atdrift('D9_S09',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S09 =  atdrift('D10_S09',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S09 =  atdrift('D11_S09',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S09 =  atdrift('D12_S09',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S09 =  atdrift('D13_S09',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S09 =  atdrift('D14_S09',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S09 =  atdrift('D15_S09',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S09 =  atdrift('D16_S09',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S09 =  atdrift('D17_S09',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S09 =  atdrift('D18_S09',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S09 =  atdrift('D19_S09',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S09 =  atdrift('D20_S09',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S09 =  atdrift('D21_S09',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S09 =  atdrift('D22_S09',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S09 =  atdrift('D23_S09',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S09 =  atdrift('D24_S09',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S09 =  atdrift('D25_S09',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S09 =  atdrift('D26_S09',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S09 =  atdrift('D27_S09',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S09 =  atdrift('D28_S09',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S09 =  atdrift('D29_S09',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S09 =  atdrift('D30_S09',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S09 =  atdrift('D31_S09',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S09 =  atdrift('D32_S09',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S09 =  atdrift('D33_S09',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S09 =  atdrift('D34_S09',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S09 =  atdrift('D35_S09',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S09 =  atdrift('D36_S09',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S09 =  atdrift('D37_S09',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S09 =  atdrift('D38_S09',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S09 =  atdrift('D39_S09',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S09 =  atdrift('D40_S09',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S09 =  atdrift('D41_S09',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S09 =  atdrift('D42_S09',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S09 =  atdrift('D43_S09',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S09 =  atdrift('D44_S09',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S09 =  atdrift('D45_S09',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S09 =  atdrift('D46_S09',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S09 =  atdrift('D47_S09',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S09 =  atdrift('D48_S09',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S09 =  atdrift('D49_S09',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S09 =  atdrift('D50_S09',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S09 =  atdrift('D51_S09',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S09 =  atdrift('D52_S09',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S09 =  atdrift('D53_S09',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S09 =  atdrift('D54_S09',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S09 =  atdrift('D55_S09',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S09 =  atdrift('D56_S09',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S09 =  atdrift('D57_S09',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S09 =  atdrift('D58_S09',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S09 =  atdrift('D59_S09',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S09 =  atdrift('D60_S09',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S09 =  atdrift('D61_S09',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S09 =  atdrift('D62_S09',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S09 =  atdrift('D63_S09',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S09 =  atdrift('D64_S09',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S09_01 = atcorrector('CH_S09.01',0,[0 0],'CorrectorPass');
CH_S09_02 = atcorrector('CH_S09.02',0,[0 0],'CorrectorPass');
CH_S09_03 = atcorrector('CH_S09.03',0,[0 0],'CorrectorPass');
CH_S09_04 = atcorrector('CH_S09.04',0,[0 0],'CorrectorPass');
CH_S09_05 = atcorrector('CH_S09.05',0,[0 0],'CorrectorPass');
CH_S09_06 = atcorrector('CH_S09.06',0,[0 0],'CorrectorPass');
CH_S09_07 = atcorrector('CH_S09.07',0,[0 0],'CorrectorPass');
CH_S09_08 = atcorrector('CH_S09.08',0,[0 0],'CorrectorPass');
CH_S09_09 = atcorrector('CH_S09.09',0,[0 0],'CorrectorPass');

CH_S09_12 = atcorrector('CH_S09.12',0,[0 0],'CorrectorPass');
CH_S09_13 = atcorrector('CH_S09.13',0,[0 0],'CorrectorPass');
CH_S09_14 = atcorrector('CH_S09.14',0,[0 0],'CorrectorPass');
CH_S09_15 = atcorrector('CH_S09.15',0,[0 0],'CorrectorPass');
CH_S09_16 = atcorrector('CH_S09.16',0,[0 0],'CorrectorPass');
CH_S09_17 = atcorrector('CH_S09.17',0,[0 0],'CorrectorPass');
CH_S09_18 = atcorrector('CH_S09.18',0,[0 0],'CorrectorPass');
CH_S09_19 = atcorrector('CH_S09.19',0,[0 0],'CorrectorPass');
CH_S09_20 = atcorrector('CH_S09.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S09_01 = atcorrector('CV_S09.01',0,[0 0],'CorrectorPass');
CV_S09_02 = atcorrector('CV_S09.02',0,[0 0],'CorrectorPass');
CV_S09_03 = atcorrector('CV_S09.03',0,[0 0],'CorrectorPass');
CV_S09_04 = atcorrector('CV_S09.04',0,[0 0],'CorrectorPass');
CV_S09_05 = atcorrector('CV_S09.05',0,[0 0],'CorrectorPass');
CV_S09_06 = atcorrector('CV_S09.06',0,[0 0],'CorrectorPass');
CV_S09_07 = atcorrector('CV_S09.07',0,[0 0],'CorrectorPass');
CV_S09_08 = atcorrector('CV_S09.08',0,[0 0],'CorrectorPass');
CV_S09_09 = atcorrector('CV_S09.09',0,[0 0],'CorrectorPass');

CV_S09_12 = atcorrector('CV_S09.12',0,[0 0],'CorrectorPass');
CV_S09_13 = atcorrector('CV_S09.13',0,[0 0],'CorrectorPass');
CV_S09_14 = atcorrector('CV_S09.14',0,[0 0],'CorrectorPass');
CV_S09_15 = atcorrector('CV_S09.15',0,[0 0],'CorrectorPass');
CV_S09_16 = atcorrector('CV_S09.16',0,[0 0],'CorrectorPass');
CV_S09_17 = atcorrector('CV_S09.17',0,[0 0],'CorrectorPass');
CV_S09_18 = atcorrector('CV_S09.18',0,[0 0],'CorrectorPass');
CV_S09_19 = atcorrector('CV_S09.19',0,[0 0],'CorrectorPass');
CV_S09_20 = atcorrector('CV_S09.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S09_01 = atmonitor('BPM_S09.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_02 = atmonitor('BPM_S09.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_03 = atmonitor('BPM_S09.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_04 = atmonitor('BPM_S09.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_05 = atmonitor('BPM_S09.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_06 = atmonitor('BPM_S09.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_07 = atmonitor('BPM_S09.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_08 = atmonitor('BPM_S09.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_09 = atmonitor('BPM_S09.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_10 = atmonitor('BPM_S09.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_11 = atmonitor('BPM_S09.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_12 = atmonitor('BPM_S09.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_13 = atmonitor('BPM_S09.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S09_14 = atmonitor('BPM_S09.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S09_02 = bf2ca;
B_S09_03 = {b1};
B_S09_04 = {b1};
B_S09_05 = bf2ca;
B_S09_06 = bf3ca;

B_S09_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S09_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S09_01      = atmultipole('SD_S09.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_02      = atmultipole('SD_S09.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_03      = atmultipole('SD_S09.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_04      = atmultipole('SD_S09.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_05      = atmultipole('SD_S09.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_06      = atmultipole('SD_S09.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_07      = atmultipole('SD_S09.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_08      = atmultipole('SD_S09.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_09      = atmultipole('SD_S09.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S09_10      = atmultipole('SD_S09.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_01      = atmultipole('SF_S09.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_02      = atmultipole('SF_S09.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_03      = atmultipole('SF_S09.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_04      = atmultipole('SF_S09.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_05      = atmultipole('SF_S09.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S09_06      = atmultipole('SF_S09.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_01      = atmultipole('SH_S09.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_02      = atmultipole('SH_S09.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_03      = atmultipole('SH_S09.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S09_04      = atmultipole('SH_S09.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S09_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S09_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S09_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S09_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S09_01   = atquadrupole('QF_S09.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S09_02   = atquadrupole('QF_S09.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S09_03   = atquadrupole('QF_S09.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S09_04   = atquadrupole('QF_S09.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S09_02   = atquadrupole('QD_S09.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S09_03   = atquadrupole('QD_S09.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S09_01      = atrbend('QAB_S09.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_02      = atrbend('QAB_S09.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_03      = atrbend('QAB_S09.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_04      = atrbend('QAB_S09.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_05      = atrbend('QAB_S09.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_06      = atrbend('QAB_S09.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_07      = atrbend('QAB_S09.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S09_08      = atrbend('QAB_S09.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s09_g1 = [ {SF_S09_01} {CH_S09_01} {CV_S09_01} {D1_S09} {drbpm} {BPM_S09_01} {drbpm} {D2_S09} {QAB_S09_01} {D3_S09} {SD_S09_01} {CH_S09_02} {CV_S09_02} {D4_S09} {drbpm} {BPM_S09_02} {drbpm} {D5_S09} ];
subcell_s09_g2 = [ {D6_S09} {SD_S09_02} {CH_S09_03} {CV_S09_03} {D7_S09} {drbpm} {BPM_S09_03} {drbpm} {D8_S09} {QAB_S09_02} {D9_S09} {SF_S09_02} {CH_S09_04} {CV_S09_04} {D10_S09} {QAB_S09_03} {D11_S09} {drbpm} {BPM_S09_04} {drbpm} {D12_S09} {SD_S09_03} {CH_S09_05} {CV_S09_05} {D13_S09} ];
subcell_s09_g3 = [ {D14_S09} {SD_S09_04} {CH_S09_06} {CV_S09_06} {D15_S09} {QAB_S09_04} {D16_S09} {SF_S09_03} {CH_S09_07} {CV_S09_07} {D17_S09} {drbpm} {BPM_S09_05} {drbpm} {D18_S09} {OCT_S09_01} {CH_S09_08} {CV_S09_08} {D19_S09} {QF_S09_01} {D20_S09} {SD_S09_05} {D21_S09} ];
subcell_s09_g4 = [ {D22_S09} {D23_S09} {OCT_S09_02} {D24_S09} {drbpm} {BPM_S09_06} {drbpm} {D25_S09} {SH_S09_01} {CH_S09_09} {CV_S09_09} {D26_S09} {QF_S09_02} {D27_S09} {D28_S09} {SH_S09_02} {D29_S09} {QD_S09_02} {D30_S09} {D31_S09} {chv1} {D32_S09} {drbpm} {BPM_S09_07} {drbpm} ];

             
%long to short 
subcell_s09_g5 = [ {D33_S09} {drbpm} {BPM_S09_08} {drbpm} {D34_S09} {chv2} {D35_S09} {QD_S09_03} {D36_S09} {SH_S09_03} {D37_S09} {D38_S09} {QF_S09_03} {D39_S09} {SH_S09_04} {CH_S09_12} {CV_S09_12} {D40_S09} {D41_S09} {OCT_S09_03} {D42_S09} {drbpm} {BPM_S09_09} {drbpm} {D43_S09} ];
subcell_s09_g6 = [ {D44_S09} {SD_S09_06} {D45_S09} {QF_S09_04} {D46_S09} {OCT_S09_04} {CH_S09_13} {CV_S09_13} {D47_S09} {drbpm} {BPM_S09_10} {drbpm} {D48_S09} {SF_S09_04} {CH_S09_14} {CV_S09_14} {D49_S09} {QAB_S09_05} {D50_S09} {SD_S09_07} {CH_S09_15} {CV_S09_15} {D51_S09} {drbpm} {BPM_S09_11} {drbpm} {D52_S09} ];
subcell_s09_g7 = [ {D53_S09} {SD_S09_08} {CH_S09_16} {CV_S09_16} {D54_S09} {drbpm} {BPM_S09_12} {drbpm} {D55_S09} {QAB_S09_06} {D56_S09} {SF_S09_05} {CH_S09_17} {CV_S09_17} {D57_S09} {QAB_S09_07} {D58_S09} {drbpm} {BPM_S09_13} {drbpm} {D59_S09} {SD_S09_09} {CH_S09_18} {CV_S09_18} {D60_S09}];
subcell_s09_g8 = [ {D61_S09} {SD_S09_10} {CH_S09_19} {CV_S09_19} {D62_S09} {QAB_S09_08} {D63_S09} {drbpm} {BPM_S09_14} {drbpm} {D64_S09} {SF_S09_06} {CH_S09_20} {CV_S09_20}];


cell_s09_s_to_l  = [ {gs} subcell_s09_g1 {ge} B_S09_01 {gs} subcell_s09_g2 {ge} B_S09_02 {gs} subcell_s09_g3 {ge} B_S09_03 {gs} subcell_s09_g4 {ge} ];
cell_s09_l_to_s  = [ {gs} subcell_s09_g5 {ge} B_S09_04 {gs} subcell_s09_g6 {ge} B_S09_05 {gs} subcell_s09_g7 {ge} B_S09_06 {gs} subcell_s09_g8 {ge} ];

%% Cell 10-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S10 =  atdrift('D1_S10',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S10 =  atdrift('D2_S10',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S10 =  atdrift('D3_S10',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S10 =  atdrift('D4_S10',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S10 =  atdrift('D5_S10',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S10 =  atdrift('D6_S10',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S10 =  atdrift('D7_S10',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S10 =  atdrift('D8_S10',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S10 =  atdrift('D9_S10',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S10 =  atdrift('D10_S10',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S10 =  atdrift('D11_S10',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S10 =  atdrift('D12_S10',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S10 =  atdrift('D13_S10',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S10 =  atdrift('D14_S10',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S10 =  atdrift('D15_S10',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S10 =  atdrift('D16_S10',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S10 =  atdrift('D17_S10',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S10 =  atdrift('D18_S10',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S10 =  atdrift('D19_S10',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S10 =  atdrift('D20_S10',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S10 =  atdrift('D21_S10',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S10 =  atdrift('D22_S10',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S10 =  atdrift('D23_S10',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S10 =  atdrift('D24_S10',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S10 =  atdrift('D25_S10',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S10 =  atdrift('D26_S10',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S10 =  atdrift('D27_S10',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S10 =  atdrift('D28_S10',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S10 =  atdrift('D29_S10',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S10 =  atdrift('D30_S10',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S10 =  atdrift('D31_S10',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S10 =  atdrift('D32_S10',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S10 =  atdrift('D33_S10',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S10 =  atdrift('D34_S10',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S10 =  atdrift('D35_S10',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S10 =  atdrift('D36_S10',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S10 =  atdrift('D37_S10',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S10 =  atdrift('D38_S10',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S10 =  atdrift('D39_S10',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S10 =  atdrift('D40_S10',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S10 =  atdrift('D41_S10',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S10 =  atdrift('D42_S10',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S10 =  atdrift('D43_S10',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S10 =  atdrift('D44_S10',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S10 =  atdrift('D45_S10',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S10 =  atdrift('D46_S10',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S10 =  atdrift('D47_S10',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S10 =  atdrift('D48_S10',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S10 =  atdrift('D49_S10',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S10 =  atdrift('D50_S10',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S10 =  atdrift('D51_S10',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S10 =  atdrift('D52_S10',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S10 =  atdrift('D53_S10',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S10 =  atdrift('D54_S10',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S10 =  atdrift('D55_S10',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S10 =  atdrift('D56_S10',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S10 =  atdrift('D57_S10',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S10 =  atdrift('D58_S10',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S10 =  atdrift('D59_S10',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S10 =  atdrift('D60_S10',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S10 =  atdrift('D61_S10',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S10 =  atdrift('D62_S10',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S10 =  atdrift('D63_S10',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S10 =  atdrift('D64_S10',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S10_01 = atcorrector('CH_S10.01',0,[0 0],'CorrectorPass');
CH_S10_02 = atcorrector('CH_S10.02',0,[0 0],'CorrectorPass');
CH_S10_03 = atcorrector('CH_S10.03',0,[0 0],'CorrectorPass');
CH_S10_04 = atcorrector('CH_S10.04',0,[0 0],'CorrectorPass');
CH_S10_05 = atcorrector('CH_S10.05',0,[0 0],'CorrectorPass');
CH_S10_06 = atcorrector('CH_S10.06',0,[0 0],'CorrectorPass');
CH_S10_07 = atcorrector('CH_S10.07',0,[0 0],'CorrectorPass');
CH_S10_08 = atcorrector('CH_S10.08',0,[0 0],'CorrectorPass');
CH_S10_09 = atcorrector('CH_S10.09',0,[0 0],'CorrectorPass');

CH_S10_12 = atcorrector('CH_S10.12',0,[0 0],'CorrectorPass');
CH_S10_13 = atcorrector('CH_S10.13',0,[0 0],'CorrectorPass');
CH_S10_14 = atcorrector('CH_S10.14',0,[0 0],'CorrectorPass');
CH_S10_15 = atcorrector('CH_S10.15',0,[0 0],'CorrectorPass');
CH_S10_16 = atcorrector('CH_S10.16',0,[0 0],'CorrectorPass');
CH_S10_17 = atcorrector('CH_S10.17',0,[0 0],'CorrectorPass');
CH_S10_18 = atcorrector('CH_S10.18',0,[0 0],'CorrectorPass');
CH_S10_19 = atcorrector('CH_S10.19',0,[0 0],'CorrectorPass');
CH_S10_20 = atcorrector('CH_S10.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S10_01 = atcorrector('CV_S10.01',0,[0 0],'CorrectorPass');
CV_S10_02 = atcorrector('CV_S10.02',0,[0 0],'CorrectorPass');
CV_S10_03 = atcorrector('CV_S10.03',0,[0 0],'CorrectorPass');
CV_S10_04 = atcorrector('CV_S10.04',0,[0 0],'CorrectorPass');
CV_S10_05 = atcorrector('CV_S10.05',0,[0 0],'CorrectorPass');
CV_S10_06 = atcorrector('CV_S10.06',0,[0 0],'CorrectorPass');
CV_S10_07 = atcorrector('CV_S10.07',0,[0 0],'CorrectorPass');
CV_S10_08 = atcorrector('CV_S10.08',0,[0 0],'CorrectorPass');
CV_S10_09 = atcorrector('CV_S10.09',0,[0 0],'CorrectorPass');

CV_S10_12 = atcorrector('CV_S10.12',0,[0 0],'CorrectorPass');
CV_S10_13 = atcorrector('CV_S10.13',0,[0 0],'CorrectorPass');
CV_S10_14 = atcorrector('CV_S10.14',0,[0 0],'CorrectorPass');
CV_S10_15 = atcorrector('CV_S10.15',0,[0 0],'CorrectorPass');
CV_S10_16 = atcorrector('CV_S10.16',0,[0 0],'CorrectorPass');
CV_S10_17 = atcorrector('CV_S10.17',0,[0 0],'CorrectorPass');
CV_S10_18 = atcorrector('CV_S10.18',0,[0 0],'CorrectorPass');
CV_S10_19 = atcorrector('CV_S10.19',0,[0 0],'CorrectorPass');
CV_S10_20 = atcorrector('CV_S10.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S10_01 = atmonitor('BPM_S10.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_02 = atmonitor('BPM_S10.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_03 = atmonitor('BPM_S10.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_04 = atmonitor('BPM_S10.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_05 = atmonitor('BPM_S10.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_06 = atmonitor('BPM_S10.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_07 = atmonitor('BPM_S10.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_08 = atmonitor('BPM_S10.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_09 = atmonitor('BPM_S10.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_10 = atmonitor('BPM_S10.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_11 = atmonitor('BPM_S10.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_12 = atmonitor('BPM_S10.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_13 = atmonitor('BPM_S10.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S10_14 = atmonitor('BPM_S10.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S10_02 = bf2ca;
B_S10_03 = {b1};
B_S10_04 = {b1};
B_S10_05 = bf2ca;
B_S10_06 = bf3ca;

B_S10_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S10_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S10_01      = atmultipole('SD_S10.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_02      = atmultipole('SD_S10.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_03      = atmultipole('SD_S10.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_04      = atmultipole('SD_S10.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_05      = atmultipole('SD_S10.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_06      = atmultipole('SD_S10.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_07      = atmultipole('SD_S10.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_08      = atmultipole('SD_S10.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_09      = atmultipole('SD_S10.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S10_10      = atmultipole('SD_S10.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_01      = atmultipole('SF_S10.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_02      = atmultipole('SF_S10.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_03      = atmultipole('SF_S10.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_04      = atmultipole('SF_S10.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_05      = atmultipole('SF_S10.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S10_06      = atmultipole('SF_S10.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_01      = atmultipole('SH_S10.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_02      = atmultipole('SH_S10.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_03      = atmultipole('SH_S10.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S10_04      = atmultipole('SH_S10.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S10_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S10_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S10_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S10_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S10_01   = atquadrupole('QF_S10.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S10_02   = atquadrupole('QF_S10.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S10_03   = atquadrupole('QF_S10.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S10_04   = atquadrupole('QF_S10.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S10_02   = atquadrupole('QD_S10.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S10_03   = atquadrupole('QD_S10.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S10_01      = atrbend('QAB_S10.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_02      = atrbend('QAB_S10.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_03      = atrbend('QAB_S10.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_04      = atrbend('QAB_S10.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_05      = atrbend('QAB_S10.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_06      = atrbend('QAB_S10.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_07      = atrbend('QAB_S10.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S10_08      = atrbend('QAB_S10.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s10_g1 = [ {SF_S10_01} {CH_S10_01} {CV_S10_01} {D1_S10} {drbpm} {BPM_S10_01} {drbpm} {D2_S10} {QAB_S10_01} {D3_S10} {SD_S10_01} {CH_S10_02} {CV_S10_02} {D4_S10} {drbpm} {BPM_S10_02} {drbpm} {D5_S10} ];
subcell_s10_g2 = [ {D6_S10} {SD_S10_02} {CH_S10_03} {CV_S10_03} {D7_S10} {drbpm} {BPM_S10_03} {drbpm} {D8_S10} {QAB_S10_02} {D9_S10} {SF_S10_02} {CH_S10_04} {CV_S10_04} {D10_S10} {QAB_S10_03} {D11_S10} {drbpm} {BPM_S10_04} {drbpm} {D12_S10} {SD_S10_03} {CH_S10_05} {CV_S10_05} {D13_S10} ];
subcell_s10_g3 = [ {D14_S10} {SD_S10_04} {CH_S10_06} {CV_S10_06} {D15_S10} {QAB_S10_04} {D16_S10} {SF_S10_03} {CH_S10_07} {CV_S10_07} {D17_S10} {drbpm} {BPM_S10_05} {drbpm} {D18_S10} {OCT_S10_01} {CH_S10_08} {CV_S10_08} {D19_S10} {QF_S10_01} {D20_S10} {SD_S10_05} {D21_S10} ];
subcell_s10_g4 = [ {D22_S10} {D23_S10} {OCT_S10_02} {D24_S10} {drbpm} {BPM_S10_06} {drbpm} {D25_S10} {SH_S10_01} {CH_S10_09} {CV_S10_09} {D26_S10} {QF_S10_02} {D27_S10} {D28_S10} {SH_S10_02} {D29_S10} {QD_S10_02} {D30_S10} {D31_S10} {chv1} {D32_S10} {drbpm} {BPM_S10_07} {drbpm} ];

             
%long to short 
subcell_s10_g5 = [ {D33_S10} {drbpm} {BPM_S10_08} {drbpm} {D34_S10} {chv2} {D35_S10} {QD_S10_03} {D36_S10} {SH_S10_03} {D37_S10} {D38_S10} {QF_S10_03} {D39_S10} {SH_S10_04} {CH_S10_12} {CV_S10_12} {D40_S10} {D41_S10} {OCT_S10_03} {D42_S10} {drbpm} {BPM_S10_09} {drbpm} {D43_S10} ];
subcell_s10_g6 = [ {D44_S10} {SD_S10_06} {D45_S10} {QF_S10_04} {D46_S10} {OCT_S10_04} {CH_S10_13} {CV_S10_13} {D47_S10} {drbpm} {BPM_S10_10} {drbpm} {D48_S10} {SF_S10_04} {CH_S10_14} {CV_S10_14} {D49_S10} {QAB_S10_05} {D50_S10} {SD_S10_07} {CH_S10_15} {CV_S10_15} {D51_S10} {drbpm} {BPM_S10_11} {drbpm} {D52_S10} ];
subcell_s10_g7 = [ {D53_S10} {SD_S10_08} {CH_S10_16} {CV_S10_16} {D54_S10} {drbpm} {BPM_S10_12} {drbpm} {D55_S10} {QAB_S10_06} {D56_S10} {SF_S10_05} {CH_S10_17} {CV_S10_17} {D57_S10} {QAB_S10_07} {D58_S10} {drbpm} {BPM_S10_13} {drbpm} {D59_S10} {SD_S10_09} {CH_S10_18} {CV_S10_18} {D60_S10}];
subcell_s10_g8 = [ {D61_S10} {SD_S10_10} {CH_S10_19} {CV_S10_19} {D62_S10} {QAB_S10_08} {D63_S10} {drbpm} {BPM_S10_14} {drbpm} {D64_S10} {SF_S10_06} {CH_S10_20} {CV_S10_20}];


cell_s10_s_to_l  = [ {gs} subcell_s10_g1 {ge} B_S10_01 {gs} subcell_s10_g2 {ge} B_S10_02 {gs} subcell_s10_g3 {ge} B_S10_03 {gs} subcell_s10_g4 {ge} ];
cell_s10_l_to_s  = [ {gs} subcell_s10_g5 {ge} B_S10_04 {gs} subcell_s10_g6 {ge} B_S10_05 {gs} subcell_s10_g7 {ge} B_S10_06 {gs} subcell_s10_g8 {ge} ];

%% Cell 11-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S11 =  atdrift('D1_S11',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S11 =  atdrift('D2_S11',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S11 =  atdrift('D3_S11',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S11 =  atdrift('D4_S11',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S11 =  atdrift('D5_S11',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S11 =  atdrift('D6_S11',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S11 =  atdrift('D7_S11',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S11 =  atdrift('D8_S11',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S11 =  atdrift('D9_S11',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S11 =  atdrift('D10_S11',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S11 =  atdrift('D11_S11',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S11 =  atdrift('D12_S11',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S11 =  atdrift('D13_S11',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S11 =  atdrift('D14_S11',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S11 =  atdrift('D15_S11',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S11 =  atdrift('D16_S11',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S11 =  atdrift('D17_S11',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S11 =  atdrift('D18_S11',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S11 =  atdrift('D19_S11',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S11 =  atdrift('D20_S11',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S11 =  atdrift('D21_S11',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S11 =  atdrift('D22_S11',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S11 =  atdrift('D23_S11',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S11 =  atdrift('D24_S11',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S11 =  atdrift('D25_S11',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S11 =  atdrift('D26_S11',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S11 =  atdrift('D27_S11',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S11 =  atdrift('D28_S11',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S11 =  atdrift('D29_S11',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S11 =  atdrift('D30_S11',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S11 =  atdrift('D31_S11',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S11 =  atdrift('D32_S11',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S11 =  atdrift('D33_S11',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S11 =  atdrift('D34_S11',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S11 =  atdrift('D35_S11',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S11 =  atdrift('D36_S11',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S11 =  atdrift('D37_S11',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S11 =  atdrift('D38_S11',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S11 =  atdrift('D39_S11',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S11 =  atdrift('D40_S11',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S11 =  atdrift('D41_S11',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S11 =  atdrift('D42_S11',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S11 =  atdrift('D43_S11',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S11 =  atdrift('D44_S11',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S11 =  atdrift('D45_S11',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S11 =  atdrift('D46_S11',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S11 =  atdrift('D47_S11',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S11 =  atdrift('D48_S11',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S11 =  atdrift('D49_S11',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S11 =  atdrift('D50_S11',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S11 =  atdrift('D51_S11',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S11 =  atdrift('D52_S11',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S11 =  atdrift('D53_S11',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S11 =  atdrift('D54_S11',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S11 =  atdrift('D55_S11',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S11 =  atdrift('D56_S11',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S11 =  atdrift('D57_S11',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S11 =  atdrift('D58_S11',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S11 =  atdrift('D59_S11',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S11 =  atdrift('D60_S11',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S11 =  atdrift('D61_S11',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S11 =  atdrift('D62_S11',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S11 =  atdrift('D63_S11',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S11 =  atdrift('D64_S11',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S11_01 = atcorrector('CH_S11.01',0,[0 0],'CorrectorPass');
CH_S11_02 = atcorrector('CH_S11.02',0,[0 0],'CorrectorPass');
CH_S11_03 = atcorrector('CH_S11.03',0,[0 0],'CorrectorPass');
CH_S11_04 = atcorrector('CH_S11.04',0,[0 0],'CorrectorPass');
CH_S11_05 = atcorrector('CH_S11.05',0,[0 0],'CorrectorPass');
CH_S11_06 = atcorrector('CH_S11.06',0,[0 0],'CorrectorPass');
CH_S11_07 = atcorrector('CH_S11.07',0,[0 0],'CorrectorPass');
CH_S11_08 = atcorrector('CH_S11.08',0,[0 0],'CorrectorPass');
CH_S11_09 = atcorrector('CH_S11.09',0,[0 0],'CorrectorPass');

CH_S11_12 = atcorrector('CH_S11.12',0,[0 0],'CorrectorPass');
CH_S11_13 = atcorrector('CH_S11.13',0,[0 0],'CorrectorPass');
CH_S11_14 = atcorrector('CH_S11.14',0,[0 0],'CorrectorPass');
CH_S11_15 = atcorrector('CH_S11.15',0,[0 0],'CorrectorPass');
CH_S11_16 = atcorrector('CH_S11.16',0,[0 0],'CorrectorPass');
CH_S11_17 = atcorrector('CH_S11.17',0,[0 0],'CorrectorPass');
CH_S11_18 = atcorrector('CH_S11.18',0,[0 0],'CorrectorPass');
CH_S11_19 = atcorrector('CH_S11.19',0,[0 0],'CorrectorPass');
CH_S11_20 = atcorrector('CH_S11.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S11_01 = atcorrector('CV_S11.01',0,[0 0],'CorrectorPass');
CV_S11_02 = atcorrector('CV_S11.02',0,[0 0],'CorrectorPass');
CV_S11_03 = atcorrector('CV_S11.03',0,[0 0],'CorrectorPass');
CV_S11_04 = atcorrector('CV_S11.04',0,[0 0],'CorrectorPass');
CV_S11_05 = atcorrector('CV_S11.05',0,[0 0],'CorrectorPass');
CV_S11_06 = atcorrector('CV_S11.06',0,[0 0],'CorrectorPass');
CV_S11_07 = atcorrector('CV_S11.07',0,[0 0],'CorrectorPass');
CV_S11_08 = atcorrector('CV_S11.08',0,[0 0],'CorrectorPass');
CV_S11_09 = atcorrector('CV_S11.09',0,[0 0],'CorrectorPass');

CV_S11_12 = atcorrector('CV_S11.12',0,[0 0],'CorrectorPass');
CV_S11_13 = atcorrector('CV_S11.13',0,[0 0],'CorrectorPass');
CV_S11_14 = atcorrector('CV_S11.14',0,[0 0],'CorrectorPass');
CV_S11_15 = atcorrector('CV_S11.15',0,[0 0],'CorrectorPass');
CV_S11_16 = atcorrector('CV_S11.16',0,[0 0],'CorrectorPass');
CV_S11_17 = atcorrector('CV_S11.17',0,[0 0],'CorrectorPass');
CV_S11_18 = atcorrector('CV_S11.18',0,[0 0],'CorrectorPass');
CV_S11_19 = atcorrector('CV_S11.19',0,[0 0],'CorrectorPass');
CV_S11_20 = atcorrector('CV_S11.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S11_01 = atmonitor('BPM_S11.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_02 = atmonitor('BPM_S11.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_03 = atmonitor('BPM_S11.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_04 = atmonitor('BPM_S11.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_05 = atmonitor('BPM_S11.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_06 = atmonitor('BPM_S11.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_07 = atmonitor('BPM_S11.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_08 = atmonitor('BPM_S11.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_09 = atmonitor('BPM_S11.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_10 = atmonitor('BPM_S11.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_11 = atmonitor('BPM_S11.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_12 = atmonitor('BPM_S11.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_13 = atmonitor('BPM_S11.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S11_14 = atmonitor('BPM_S11.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S11_02 = bf2ca;
B_S11_03 = {b1};
B_S11_04 = {b1};
B_S11_05 = bf2ca;
B_S11_06 = bf3ca;

B_S11_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S11_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S11_01      = atmultipole('SD_S11.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_02      = atmultipole('SD_S11.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_03      = atmultipole('SD_S11.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_04      = atmultipole('SD_S11.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_05      = atmultipole('SD_S11.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_06      = atmultipole('SD_S11.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_07      = atmultipole('SD_S11.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_08      = atmultipole('SD_S11.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_09      = atmultipole('SD_S11.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S11_10      = atmultipole('SD_S11.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_01      = atmultipole('SF_S11.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_02      = atmultipole('SF_S11.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_03      = atmultipole('SF_S11.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_04      = atmultipole('SF_S11.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_05      = atmultipole('SF_S11.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S11_06      = atmultipole('SF_S11.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_01      = atmultipole('SH_S11.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_02      = atmultipole('SH_S11.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_03      = atmultipole('SH_S11.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S11_04      = atmultipole('SH_S11.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S11_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S11_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S11_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S11_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S11_01   = atquadrupole('QF_S11.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S11_02   = atquadrupole('QF_S11.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S11_03   = atquadrupole('QF_S11.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S11_04   = atquadrupole('QF_S11.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S11_02   = atquadrupole('QD_S11.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S11_03   = atquadrupole('QD_S11.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S11_01      = atrbend('QAB_S11.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_02      = atrbend('QAB_S11.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_03      = atrbend('QAB_S11.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_04      = atrbend('QAB_S11.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_05      = atrbend('QAB_S11.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_06      = atrbend('QAB_S11.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_07      = atrbend('QAB_S11.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S11_08      = atrbend('QAB_S11.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s11_g1 = [ {SF_S11_01} {CH_S11_01} {CV_S11_01} {D1_S11} {drbpm} {BPM_S11_01} {drbpm} {D2_S11} {QAB_S11_01} {D3_S11} {SD_S11_01} {CH_S11_02} {CV_S11_02} {D4_S11} {drbpm} {BPM_S11_02} {drbpm} {D5_S11} ];
subcell_s11_g2 = [ {D6_S11} {SD_S11_02} {CH_S11_03} {CV_S11_03} {D7_S11} {drbpm} {BPM_S11_03} {drbpm} {D8_S11} {QAB_S11_02} {D9_S11} {SF_S11_02} {CH_S11_04} {CV_S11_04} {D10_S11} {QAB_S11_03} {D11_S11} {drbpm} {BPM_S11_04} {drbpm} {D12_S11} {SD_S11_03} {CH_S11_05} {CV_S11_05} {D13_S11} ];
subcell_s11_g3 = [ {D14_S11} {SD_S11_04} {CH_S11_06} {CV_S11_06} {D15_S11} {QAB_S11_04} {D16_S11} {SF_S11_03} {CH_S11_07} {CV_S11_07} {D17_S11} {drbpm} {BPM_S11_05} {drbpm} {D18_S11} {OCT_S11_01} {CH_S11_08} {CV_S11_08} {D19_S11} {QF_S11_01} {D20_S11} {SD_S11_05} {D21_S11} ];
subcell_s11_g4 = [ {D22_S11} {D23_S11} {OCT_S11_02} {D24_S11} {drbpm} {BPM_S11_06} {drbpm} {D25_S11} {SH_S11_01} {CH_S11_09} {CV_S11_09} {D26_S11} {QF_S11_02} {D27_S11} {D28_S11} {SH_S11_02} {D29_S11} {QD_S11_02} {D30_S11} {D31_S11} {chv1} {D32_S11} {drbpm} {BPM_S11_07} {drbpm} ];

             
%long to short 
subcell_s11_g5 = [ {D33_S11} {drbpm} {BPM_S11_08} {drbpm} {D34_S11} {chv2} {D35_S11} {QD_S11_03} {D36_S11} {SH_S11_03} {D37_S11} {D38_S11} {QF_S11_03} {D39_S11} {SH_S11_04} {CH_S11_12} {CV_S11_12} {D40_S11} {D41_S11} {OCT_S11_03} {D42_S11} {drbpm} {BPM_S11_09} {drbpm} {D43_S11} ];
subcell_s11_g6 = [ {D44_S11} {SD_S11_06} {D45_S11} {QF_S11_04} {D46_S11} {OCT_S11_04} {CH_S11_13} {CV_S11_13} {D47_S11} {drbpm} {BPM_S11_10} {drbpm} {D48_S11} {SF_S11_04} {CH_S11_14} {CV_S11_14} {D49_S11} {QAB_S11_05} {D50_S11} {SD_S11_07} {CH_S11_15} {CV_S11_15} {D51_S11} {drbpm} {BPM_S11_11} {drbpm} {D52_S11} ];
subcell_s11_g7 = [ {D53_S11} {SD_S11_08} {CH_S11_16} {CV_S11_16} {D54_S11} {drbpm} {BPM_S11_12} {drbpm} {D55_S11} {QAB_S11_06} {D56_S11} {SF_S11_05} {CH_S11_17} {CV_S11_17} {D57_S11} {QAB_S11_07} {D58_S11} {drbpm} {BPM_S11_13} {drbpm} {D59_S11} {SD_S11_09} {CH_S11_18} {CV_S11_18} {D60_S11}];
subcell_s11_g8 = [ {D61_S11} {SD_S11_10} {CH_S11_19} {CV_S11_19} {D62_S11} {QAB_S11_08} {D63_S11} {drbpm} {BPM_S11_14} {drbpm} {D64_S11} {SF_S11_06} {CH_S11_20} {CV_S11_20}];


cell_s11_s_to_l  = [ {gs} subcell_s11_g1 {ge} B_S11_01 {gs} subcell_s11_g2 {ge} B_S11_02 {gs} subcell_s11_g3 {ge} B_S11_03 {gs} subcell_s11_g4 {ge} ];
cell_s11_l_to_s  = [ {gs} subcell_s11_g5 {ge} B_S11_04 {gs} subcell_s11_g6 {ge} B_S11_05 {gs} subcell_s11_g7 {ge} B_S11_06 {gs} subcell_s11_g8 {ge} ];

%% Cell 12-----------------------------------------------------------------------------------------------
%% Drifts ------------------------------------------------

D1_S12 =  atdrift('D1_S12',    0.02800000, 'EApertures', [13.5 8.5]*1e-3); 
D2_S12 =  atdrift('D2_S12',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D3_S12 =  atdrift('D3_S12',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D4_S12 =  atdrift('D4_S12',    0.017, 'EApertures', [13.5 8.5]*1e-3); 
D5_S12 =  atdrift('D5_S12',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D6_S12 =  atdrift('D6_S12',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D7_S12 =  atdrift('D7_S12',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D8_S12 =  atdrift('D8_S12',    0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D9_S12 =  atdrift('D9_S12',    0.07, 'EApertures', [13.5 8.5]*1e-3); 
D10_S12 =  atdrift('D10_S12',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D11_S12 =  atdrift('D11_S12',  0.00200000, 'EApertures', [13.5 8.5]*1e-3); 
D12_S12 =  atdrift('D12_S12',  0.028, 'EApertures', [13.5 8.5]*1e-3); 
D13_S12 =  atdrift('D13_S12',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D14_S12 =  atdrift('D14_S12',  0.18, 'EApertures', [13.5 8.5]*1e-3); 
D15_S12 =  atdrift('D15_S12',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D16_S12 =  atdrift('D16_S12',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D17_S12 =  atdrift('D17_S12',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D18_S12 =  atdrift('D18_S12',  0.027, 'EApertures', [13.5 8.5]*1e-3); 
D19_S12 =  atdrift('D19_S12',  0.04, 'EApertures', [13.5 8.5]*1e-3); 
D20_S12 =  atdrift('D20_S12',  0.05, 'EApertures', [13.5 8.5]*1e-3); 
D21_S12 =  atdrift('D21_S12',  0.13, 'EApertures', [13.5 8.5]*1e-3); 
D22_S12 =  atdrift('D22_S12',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D23_S12 =  atdrift('D23_S12',  0.095, 'EApertures', [13.5 8.5]*1e-3); 
D24_S12 =  atdrift('D24_S12',  0.033, 'EApertures', [13.5 8.5]*1e-3); 
D25_S12 =  atdrift('D25_S12',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D26_S12 =  atdrift('D26_S12',  0.105, 'EApertures', [13.5 8.5]*1e-3); 
D27_S12 =  atdrift('D27_S12',  0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D28_S12 =  atdrift('D28_S12',  0.025, 'EApertures', [13.5 8.5]*1e-3); 
D29_S12 =  atdrift('D29_S12',  0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D30_S12 =  atdrift('D30_S12',  0.02, 'EApertures', [13.5 8.5]*1e-3); 
D31_S12 =  atdrift('D31_S12',  0.052, 'EApertures', [13.5 8.5]*1e-3); 
D32_S12 =  atdrift('D32_S12',  0.142, 'EApertures', [13.5 8.5]*1e-3); 
D33_S12 =  atdrift('D33_S12',  0.02, 'EApertures', [13.5 8.5]*1e-3); 

D34_S12 =  atdrift('D34_S12',    0.142, 'EApertures', [13.5 8.5]*1e-3); 
D35_S12 =  atdrift('D35_S12',    0.052, 'EApertures', [13.5 8.5]*1e-3); 
D36_S12 =  atdrift('D36_S12',    0.07199999999999999, 'EApertures', [13.5 8.5]*1e-3); 
D37_S12 =  atdrift('D37_S12',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D38_S12 =  atdrift('D38_S12',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D39_S12 =  atdrift('D39_S12',    0.105, 'EApertures', [13.5 8.5]*1e-3); 
D40_S12 =  atdrift('D40_S12',    0.08, 'EApertures', [13.5 8.5]*1e-3); 
D41_S12 =  atdrift('D41_S12',    0.025, 'EApertures', [13.5 8.5]*1e-3); 
D42_S12 =  atdrift('D42_S12',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D43_S12 =  atdrift('D43_S12',    0.078, 'EApertures', [13.5 8.5]*1e-3); 
D44_S12 =  atdrift('D44_S12',    0.17, 'EApertures', [13.5 8.5]*1e-3); 
D45_S12 =  atdrift('D45_S12',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D46_S12 =  atdrift('D46_S12',    0.04, 'EApertures', [13.5 8.5]*1e-3); 
D47_S12 =  atdrift('D47_S12',    0.027, 'EApertures', [13.5 8.5]*1e-3); 
D48_S12 =  atdrift('D48_S12',    0.033, 'EApertures', [13.5 8.5]*1e-3); 
D49_S12 =  atdrift('D49_S12',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D50_S12 =  atdrift('D50_S12',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D51_S12 =  atdrift('D51_S12',    0.067, 'EApertures', [13.5 8.5]*1e-3); 
D52_S12 =  atdrift('D52_S12',    0.093, 'EApertures', [13.5 8.5]*1e-3); 
D53_S12 =  atdrift('D53_S12',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D54_S12 =  atdrift('D54_S12',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D55_S12 =  atdrift('D55_S12',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D56_S12 =  atdrift('D56_S12',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D57_S12 =  atdrift('D57_S12',    0.07000000000000001, 'EApertures', [13.5 8.5]*1e-3); 
D58_S12 =  atdrift('D58_S12',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D59_S12 =  atdrift('D59_S12',    0.028, 'EApertures', [13.5 8.5]*1e-3); 
D60_S12 =  atdrift('D60_S12',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D61_S12 =  atdrift('D61_S12',    0.13, 'EApertures', [13.5 8.5]*1e-3); 
D62_S12 =  atdrift('D62_S12',    0.05, 'EApertures', [13.5 8.5]*1e-3); 
D63_S12 =  atdrift('D63_S12',    0.002, 'EApertures', [13.5 8.5]*1e-3); 
D64_S12 =  atdrift('D64_S12',    0.028, 'EApertures', [13.5 8.5]*1e-3);   
drbpm=  atdrift('drbpm', 0.01000000, 'EApertures', [13.5 8.5]*1e-3); 
 
%%Horizonta Correctors------------------------------------
CH_S12_01 = atcorrector('CH_S12.01',0,[0 0],'CorrectorPass');
CH_S12_02 = atcorrector('CH_S12.02',0,[0 0],'CorrectorPass');
CH_S12_03 = atcorrector('CH_S12.03',0,[0 0],'CorrectorPass');
CH_S12_04 = atcorrector('CH_S12.04',0,[0 0],'CorrectorPass');
CH_S12_05 = atcorrector('CH_S12.05',0,[0 0],'CorrectorPass');
CH_S12_06 = atcorrector('CH_S12.06',0,[0 0],'CorrectorPass');
CH_S12_07 = atcorrector('CH_S12.07',0,[0 0],'CorrectorPass');
CH_S12_08 = atcorrector('CH_S12.08',0,[0 0],'CorrectorPass');
CH_S12_09 = atcorrector('CH_S12.09',0,[0 0],'CorrectorPass');

CH_S12_12 = atcorrector('CH_S12.12',0,[0 0],'CorrectorPass');
CH_S12_13 = atcorrector('CH_S12.13',0,[0 0],'CorrectorPass');
CH_S12_14 = atcorrector('CH_S12.14',0,[0 0],'CorrectorPass');
CH_S12_15 = atcorrector('CH_S12.15',0,[0 0],'CorrectorPass');
CH_S12_16 = atcorrector('CH_S12.16',0,[0 0],'CorrectorPass');
CH_S12_17 = atcorrector('CH_S12.17',0,[0 0],'CorrectorPass');
CH_S12_18 = atcorrector('CH_S12.18',0,[0 0],'CorrectorPass');
CH_S12_19 = atcorrector('CH_S12.19',0,[0 0],'CorrectorPass');
CH_S12_20 = atcorrector('CH_S12.20',0,[0 0],'CorrectorPass');
%%Vertical Correctors--------------------------------------
CV_S12_01 = atcorrector('CV_S12.01',0,[0 0],'CorrectorPass');
CV_S12_02 = atcorrector('CV_S12.02',0,[0 0],'CorrectorPass');
CV_S12_03 = atcorrector('CV_S12.03',0,[0 0],'CorrectorPass');
CV_S12_04 = atcorrector('CV_S12.04',0,[0 0],'CorrectorPass');
CV_S12_05 = atcorrector('CV_S12.05',0,[0 0],'CorrectorPass');
CV_S12_06 = atcorrector('CV_S12.06',0,[0 0],'CorrectorPass');
CV_S12_07 = atcorrector('CV_S12.07',0,[0 0],'CorrectorPass');
CV_S12_08 = atcorrector('CV_S12.08',0,[0 0],'CorrectorPass');
CV_S12_09 = atcorrector('CV_S12.09',0,[0 0],'CorrectorPass');

CV_S12_12 = atcorrector('CV_S12.12',0,[0 0],'CorrectorPass');
CV_S12_13 = atcorrector('CV_S12.13',0,[0 0],'CorrectorPass');
CV_S12_14 = atcorrector('CV_S12.14',0,[0 0],'CorrectorPass');
CV_S12_15 = atcorrector('CV_S12.15',0,[0 0],'CorrectorPass');
CV_S12_16 = atcorrector('CV_S12.16',0,[0 0],'CorrectorPass');
CV_S12_17 = atcorrector('CV_S12.17',0,[0 0],'CorrectorPass');
CV_S12_18 = atcorrector('CV_S12.18',0,[0 0],'CorrectorPass');
CV_S12_19 = atcorrector('CV_S12.19',0,[0 0],'CorrectorPass');
CV_S12_20 = atcorrector('CV_S12.20',0,[0 0],'CorrectorPass');
%%BPMS----------------------------------------------------
BPM_S12_01 = atmonitor('BPM_S12.01','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_02 = atmonitor('BPM_S12.02','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_03 = atmonitor('BPM_S12.03','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_04 = atmonitor('BPM_S12.04','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_05 = atmonitor('BPM_S12.05','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_06 = atmonitor('BPM_S12.06','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_07 = atmonitor('BPM_S12.07','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_08 = atmonitor('BPM_S12.08','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_09 = atmonitor('BPM_S12.09','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_10 = atmonitor('BPM_S12.10','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_11 = atmonitor('BPM_S12.11','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_12 = atmonitor('BPM_S12.12','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_13 = atmonitor('BPM_S12.13','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
BPM_S12_14 = atmonitor('BPM_S12.14','T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EApertures', [13.5 8.5]*1e-3);
%% Bends and superbends ------------------------------------------------
b1      = atsbend('b1',           0.640000, 3.60*pi/180, -2.211500, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.800*pi/180, 'ExitAngle', 1.800*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca1 = atsbend('bfh21ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh21ca2 = atsbend('bfh21ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca1 = atsbend('bfh22ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh22ca2 = atsbend('bfh22ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca1 = atsbend('bfh31ca1',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca1 = atsbend('bfh32ca1',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh31ca2 = atsbend('bfh31ca2',    0.290000, 2.10*pi/180, -2.603000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 1.050*pi/180, 'ExitAngle', 1.050*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bfh32ca2 = atsbend('bfh32ca2',    0.110000, 1.15*pi/180,  0.000000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],'EntranceAngle', 0.575*pi/180, 'ExitAngle', 0.575*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');

bf2ca   = {bfh21ca1 bfh22ca1 bfh22ca2 bfh21ca2};
bf3ca   = {bfh31ca1 bfh32ca1 bfh32ca2 bfh31ca2};

% supebend
sb1    = atrbend('sb1',     0.290000, 1.20*pi/180, -2.543, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.600*pi/180, 'ExitAngle', 0.600*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb1sup = atrbend('sb1sup',  0.070000, 0.35*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 0.175*pi/180, 'ExitAngle', 0.175*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
sb2    = atrbend('sb2',     0.080000, 3.40*pi/180,  0.000, 'FringeBendEntrance',0, 'FringeBendExit',0, 'MaxOrder', 4,'FringeQuadEntrance', 0, 'FringeQuadExit',0, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', 1.700*pi/180, 'ExitAngle', 1.700*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
bf3s1  = {sb1 sb1sup sb2 sb1sup sb1};

% Bending distribution
dip1 = bf3ca;

B_S12_02 = bf2ca;
B_S12_03 = {b1};
B_S12_04 = {b1};
B_S12_05 = bf2ca;
B_S12_06 = bf3ca;

B_S12_01 = bf3ca; % OFF per supebend ON bf3s1 or bf3ca to switch it off
% B_S12_01 = bf3s1;   %  ON per supebend ON bf3s1 or bf3ca to switch it off 



%% 'pure' corrector----------------------------------------
chv1 = atmultipole('chv1',0.0800000);
chv2 = atmultipole('chv2',0.0800000);

%% Sextupoles----------------------------------------------
SD_S12_01      = atmultipole('SD_S12.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_02      = atmultipole('SD_S12.02', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_03      = atmultipole('SD_S12.03', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_04      = atmultipole('SD_S12.04', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_05      = atmultipole('SD_S12.05', 0.1600, 'SkewID',1, 'PolynomB', [0,0,-162.2174], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_06      = atmultipole('SD_S12.06', 0.1200, 'SkewID',1, 'PolynomB', [0,0,-162.2174*0.16/0.12], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_07      = atmultipole('SD_S12.07', 0.1600, 'corID', 1, 'PolynomB', [0,0,-277.6439], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_08      = atmultipole('SD_S12.08', 0.1600, 'corID', 1, 'PolynomB', [0,0,-261.5826], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_09      = atmultipole('SD_S12.09', 0.1600, 'corID', 1, 'PolynomB', [0,0,-209.3386], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SD_S12_10      = atmultipole('SD_S12.10', 0.1600, 'corID', 1, 'PolynomB', [0,0,-230.7962], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_01      = atmultipole('SF_S12.01', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_02      = atmultipole('SF_S12.02', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_03      = atmultipole('SF_S12.03', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_04      = atmultipole('SF_S12.04', 0.2000,             'PolynomB', [0,0,295.7935], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_05      = atmultipole('SF_S12.05', 0.2000,             'PolynomB', [0,0,285.1602], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SF_S12_06      = atmultipole('SF_S12.06', 0.1600, 'corID', 1, 'PolynomB', [0,0,148.3105], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_01      = atmultipole('SH_S12.01', 0.1200, 'corID',1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_02      = atmultipole('SH_S12.02', 0.1200, 'SkewID', 1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_03      = atmultipole('SH_S12.03', 0.1200, 'SkewID',1, 'PolynomB', [0,0,160.7656], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');
SH_S12_04      = atmultipole('SH_S12.04', 0.1200, 'corID', 1, 'PolynomB', [0,0,-112.1351], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EApertures', [13.5 8.5]*1e-3 ,  'Class', 'Sextupole', 'PassMethod', 'StrMPoleSymplectic4RadPass');



%% Octupole---------------------------------------------------
OCT_S12_01 = atmultipole('oct1', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S12_02 = atmultipole('oct2', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');         
OCT_S12_03 = atmultipole('oct3', 0.120000,   'PolynomB', [0,-0.2571816207088756,0,-34.6941], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
OCT_S12_04 = atmultipole('oct4', 0.120000, 'corID', 1,   'PolynomB', [0,0,0,264.232], 'PolynomA', [0,0],'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],  'MaxOrder', 4,  'EApertures', [13.5 8.5]*1e-3 ,  'PassMethod', 'StrMPoleSymplectic4RadPass',  'Class', 'Octupole');        
 
%% Quads--------------------------------------------------------

QF_S12_01   = atquadrupole('QF_S12.01', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S12_02   = atquadrupole('QF_S12.02', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S12_03   = atquadrupole('QF_S12.03', 0.240000,  5.612465666995213, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneF', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QF_S12_04   = atquadrupole('QF_S12.04', 0.240000,  5.518000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0],                 'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');

QD_S12_02   = atquadrupole('QD_S12.02', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');
QD_S12_03   = atquadrupole('QD_S12.03', 0.106000, -3.727851875546614, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'ForTuneD', 1,  'EApertures', [13.5 8.5]*1e-3, 'PassMethod', 'StrMPoleSymplectic4RadPass');


%% Revers Bend----------------------------------------------------
QAB_S12_01      = atrbend('QAB_S12.01',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_02      = atrbend('QAB_S12.02',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_03      = atrbend('QAB_S12.03',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_04      = atrbend('QAB_S12.04',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_05      = atrbend('QAB_S12.05',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_06      = atrbend('QAB_S12.06',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_07      = atrbend('QAB_S12.07',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');
QAB_S12_08      = atrbend('QAB_S12.08',  0.240000, -0.4*pi/180, 5.180000, 'T1',[0;0;0;0;0;0],'T2',[0;0;0;0;0;0], 'EntranceAngle', -0.20*pi/180, 'ExitAngle', -0.20*pi/180, 'EApertures', [13.5 8.5]*1e-3 , 'PassMethod', 'BndMPoleSymplectic4RadPass');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Girders and half achromat %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%short to long
subcell_s12_g1 = [ {SF_S12_01} {CH_S12_01} {CV_S12_01} {D1_S12} {drbpm} {BPM_S12_01} {drbpm} {D2_S12} {QAB_S12_01} {D3_S12} {SD_S12_01} {CH_S12_02} {CV_S12_02} {D4_S12} {drbpm} {BPM_S12_02} {drbpm} {D5_S12} ];
subcell_s12_g2 = [ {D6_S12} {SD_S12_02} {CH_S12_03} {CV_S12_03} {D7_S12} {drbpm} {BPM_S12_03} {drbpm} {D8_S12} {QAB_S12_02} {D9_S12} {SF_S12_02} {CH_S12_04} {CV_S12_04} {D10_S12} {QAB_S12_03} {D11_S12} {drbpm} {BPM_S12_04} {drbpm} {D12_S12} {SD_S12_03} {CH_S12_05} {CV_S12_05} {D13_S12} ];
subcell_s12_g3 = [ {D14_S12} {SD_S12_04} {CH_S12_06} {CV_S12_06} {D15_S12} {QAB_S12_04} {D16_S12} {SF_S12_03} {CH_S12_07} {CV_S12_07} {D17_S12} {drbpm} {BPM_S12_05} {drbpm} {D18_S12} {OCT_S12_01} {CH_S12_08} {CV_S12_08} {D19_S12} {QF_S12_01} {D20_S12} {SD_S12_05} {D21_S12} ];
subcell_s12_g4 = [ {D22_S12} {D23_S12} {OCT_S12_02} {D24_S12} {drbpm} {BPM_S12_06} {drbpm} {D25_S12} {SH_S12_01} {CH_S12_09} {CV_S12_09} {D26_S12} {QF_S12_02} {D27_S12} {D28_S12} {SH_S12_02} {D29_S12} {QD_S12_02} {D30_S12} {D31_S12} {chv1} {D32_S12} {drbpm} {BPM_S12_07} {drbpm} ];

             
%long to short 
subcell_s12_g5 = [ {D33_S12} {drbpm} {BPM_S12_08} {drbpm} {D34_S12} {chv2} {D35_S12} {QD_S12_03} {D36_S12} {SH_S12_03} {D37_S12} {D38_S12} {QF_S12_03} {D39_S12} {SH_S12_04} {CH_S12_12} {CV_S12_12} {D40_S12} {D41_S12} {OCT_S12_03} {D42_S12} {drbpm} {BPM_S12_09} {drbpm} {D43_S12} ];
subcell_s12_g6 = [ {D44_S12} {SD_S12_06} {D45_S12} {QF_S12_04} {D46_S12} {OCT_S12_04} {CH_S12_13} {CV_S12_13} {D47_S12} {drbpm} {BPM_S12_10} {drbpm} {D48_S12} {SF_S12_04} {CH_S12_14} {CV_S12_14} {D49_S12} {QAB_S12_05} {D50_S12} {SD_S12_07} {CH_S12_15} {CV_S12_15} {D51_S12} {drbpm} {BPM_S12_11} {drbpm} {D52_S12} ];
subcell_s12_g7 = [ {D53_S12} {SD_S12_08} {CH_S12_16} {CV_S12_16} {D54_S12} {drbpm} {BPM_S12_12} {drbpm} {D55_S12} {QAB_S12_06} {D56_S12} {SF_S12_05} {CH_S12_17} {CV_S12_17} {D57_S12} {QAB_S12_07} {D58_S12} {drbpm} {BPM_S12_13} {drbpm} {D59_S12} {SD_S12_09} {CH_S12_18} {CV_S12_18} {D60_S12}];
subcell_s12_g8 = [ {D61_S12} {SD_S12_10} {CH_S12_19} {CV_S12_19} {D62_S12} {QAB_S12_08} {D63_S12} {drbpm} {BPM_S12_14} {drbpm} {D64_S12} {SF_S12_06} {CH_S12_20} {CV_S12_20}];


cell_s12_s_to_l  = [ {gs} subcell_s12_g1 {ge} B_S12_01 {gs} subcell_s12_g2 {ge} B_S12_02 {gs} subcell_s12_g3 {ge} B_S12_03 {gs} subcell_s12_g4 {ge} ];
cell_s12_l_to_s  = [ {gs} subcell_s12_g5 {ge} B_S12_04 {gs} subcell_s12_g6 {ge} B_S12_05 {gs} subcell_s12_g7 {ge} B_S12_06 {gs} subcell_s12_g8 {ge} ];

%% ring 
ring                = [ {ss} s01_1 {ss} cell_s01_s_to_l {ll} s01_2  {ll} cell_s01_l_to_s {ss} s02_1 {ss} cell_s02_s_to_l {ll} ...
                   s02_2  {ll} cell_s02_l_to_s {ss} rfs3 {rf} {ss} cell_s03_s_to_l {ll} s03_2  {ll} cell_s03_l_to_s {ss} rfs4 {rf} {ss} cell_s04_s_to_l {ll} ...
                   s04_2  {ll} cell_s04_l_to_s {ss} s05_1 {ss} cell_s05_s_to_l {ll} s05_2  {ll} cell_s05_l_to_s {ss} s06_1 {ss} cell_s06_s_to_l {ll} ...
                   s06_2  {ll} cell_s06_l_to_s {ss} s07_1 {ss} cell_s07_s_to_l {ll} s07_2  {ll} cell_s07_l_to_s {ss} s08_1 {ss} cell_s08_s_to_l {ll} ...
                   s08_2  {ll} cell_s08_l_to_s {ss} rfs9 {rf} {ss} cell_s09_s_to_l {ll} s09_2  {ll} cell_s09_l_to_s {ss} rfs10 {rf} {ss} cell_s10_s_to_l {ll} ...
                   s10_2  {ll} cell_s10_l_to_s {ss} s11_1 {ss} cell_s11_s_to_l {ll} s11_2  {ll} cell_s11_l_to_s {ss} s12_1 {ss} cell_s12_s_to_l {ll} s12_2 {ll} cell_s12_l_to_s ...
                   ];

if nargout
    varargout{1} = ring;
else % If no output arguments - greate global variable THERING
    global THERING
    THERING = ring';
    
    if evalin('base','exist(''THERING'')') && evalin('base','isempty(whos(''global'',''THERING''))')
        warning('Global variable THERING was overridden');
    else
        evalin('caller','global THERING');
    end
end
% Set all magnets to same energy
% THERING=atsetenergy(THERING,energy);
% THERING=atsetcavity(THERING, 'Frequency','nominal', 'HarmNumber',HarmNumber, 'Voltage',2e6); THERING=atSetCavityPhase(THERING); THERING=atradon(THERING); 
% L0 = findspos(THERING, length(THERING)+1);
% 
% % LOSSFLAG is not global in AT1.3
% evalin('base','clear LOSSFLAG');
% fprintf('   Energy %.3f GeV  \n', energy*1e-9);
% fprintf('   SR Length = %.6f meters  \n', L0);
% disp('** Done **');
% SROUT = THERING;
